/* Generated by Edge Impulse
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */
// Generated on: 01.07.2022 14:22:38

#include <stdio.h>
#include <stdlib.h>
#include <vector>
#include "edge-impulse-sdk/tensorflow/lite/c/builtin_op_data.h"
#include "edge-impulse-sdk/tensorflow/lite/c/common.h"
#include "edge-impulse-sdk/tensorflow/lite/micro/micro_mutable_op_resolver.h"
#include "edge-impulse-sdk/porting/ei_classifier_porting.h"

#if EI_CLASSIFIER_PRINT_STATE
#if defined(__cplusplus) && EI_C_LINKAGE == 1
extern "C" {
    extern void ei_printf(const char *format, ...);
}
#else
extern void ei_printf(const char *format, ...);
#endif
#endif

#if defined __GNUC__
#define ALIGN(X) __attribute__((aligned(X)))
#elif defined _MSC_VER
#define ALIGN(X) __declspec(align(X))
#elif defined __TASKING__
#define ALIGN(X) __align(X)
#endif

using namespace tflite;
using namespace tflite::ops;
using namespace tflite::ops::micro;

namespace {

constexpr int kTensorArenaSize = 637648;

#if defined(EI_CLASSIFIER_ALLOCATION_STATIC)
uint8_t tensor_arena[kTensorArenaSize] ALIGN(16);
#elif defined(EI_CLASSIFIER_ALLOCATION_STATIC_HIMAX)
#pragma Bss(".tensor_arena")
uint8_t tensor_arena[kTensorArenaSize] ALIGN(16);
#pragma Bss()
#elif defined(EI_CLASSIFIER_ALLOCATION_STATIC_HIMAX_GNU)
uint8_t tensor_arena[kTensorArenaSize] ALIGN(16) __attribute__((section(".tensor_arena")));
#else
#define EI_CLASSIFIER_ALLOCATION_HEAP 1
uint8_t* tensor_arena = NULL;
#endif

static uint8_t* tensor_boundary;
static uint8_t* current_location;

template <int SZ, class T> struct TfArray {
  int sz; T elem[SZ];
};
enum used_operators_e {
  OP_CONV_2D, OP_DEPTHWISE_CONV_2D, OP_PAD, OP_ADD, OP_SOFTMAX,  OP_LAST
};
struct TensorInfo_t { // subset of TfLiteTensor used for initialization from constant memory
  TfLiteAllocationType allocation_type;
  TfLiteType type;
  void* data;
  TfLiteIntArray* dims;
  size_t bytes;
  TfLiteQuantization quantization;
};
struct NodeInfo_t { // subset of TfLiteNode used for initialization from constant memory
  struct TfLiteIntArray* inputs;
  struct TfLiteIntArray* outputs;
  void* builtin_data;
  used_operators_e used_op_index;
};

TfLiteContext ctx{};
TfLiteTensor tflTensors[71];
TfLiteEvalTensor tflEvalTensors[71];
TfLiteRegistration registrations[OP_LAST];
TfLiteNode tflNodes[27];

const TfArray<4, int> tensor_dimension0 = { 4, { 1,160,160,1 } };
const TfArray<1, float> quant0_scale = { 1, { 0.0039215688593685627, } };
const TfArray<1, int> quant0_zero = { 1, { -128 } };
const TfLiteAffineQuantization quant0 = { (TfLiteFloatArray*)&quant0_scale, (TfLiteIntArray*)&quant0_zero, 0 };
const ALIGN(16) int32_t tensor_data1[4*2] = { 
  0, 0, 
  0, 1, 
  0, 1, 
  0, 0, 
};
const TfArray<2, int> tensor_dimension1 = { 2, { 4,2 } };
const ALIGN(16) int8_t tensor_data2[16*3*3*1] = { 
  /* [0][0][][] */ -95, -120, -35, 
  /* [0][1][][] */ 63, -41, 17, 
  /* [0][2][][] */ 33, 127, 24, 
  /* [1][0][][] */ 112, -92, -3, 
  /* [1][1][][] */ -127, 114, 33, 
  /* [1][2][][] */ 19, 5, -5, 
  /* [2][0][][] */ -20, -3, -47, 
  /* [2][1][][] */ 37, 96, 127, 
  /* [2][2][][] */ -9, -88, -75, 
  /* [3][0][][] */ 123, 127, 55, 
  /* [3][1][][] */ 5, -19, -17, 
  /* [3][2][][] */ -98, -124, -46, 
  /* [4][0][][] */ 35, -41, 43, 
  /* [4][1][][] */ 47, -127, 32, 
  /* [4][2][][] */ 42, -86, -4, 
  /* [5][0][][] */ -89, 96, 115, 
  /* [5][1][][] */ -127, 95, 66, 
  /* [5][2][][] */ -97, 65, 55, 
  /* [6][0][][] */ -25, 78, 127, 
  /* [6][1][][] */ -67, 48, -37, 
  /* [6][2][][] */ -55, -73, -118, 
  /* [7][0][][] */ 17, -1, -9, 
  /* [7][1][][] */ 127, 75, 13, 
  /* [7][2][][] */ 105, 70, 28, 
  /* [8][0][][] */ -23, -32, 52, 
  /* [8][1][][] */ -54, -87, 127, 
  /* [8][2][][] */ -25, -59, 98, 
  /* [9][0][][] */ 5, 93, -57, 
  /* [9][1][][] */ 0, 127, -68, 
  /* [9][2][][] */ -1, 97, -45, 
  /* [10][0][][] */ 17, 77, 5, 
  /* [10][1][][] */ -41, -127, -34, 
  /* [10][2][][] */ 5, 31, 10, 
  /* [11][0][][] */ 11, -12, 16, 
  /* [11][1][][] */ 67, -85, 40, 
  /* [11][2][][] */ -78, 127, -40, 
  /* [12][0][][] */ -43, 44, -12, 
  /* [12][1][][] */ -127, 106, 2, 
  /* [12][2][][] */ -79, 73, 1, 
  /* [13][0][][] */ 8, 18, -25, 
  /* [13][1][][] */ 89, 127, 2, 
  /* [13][2][][] */ 88, 104, 6, 
  /* [14][0][][] */ -28, -23, 60, 
  /* [14][1][][] */ 51, 111, -127, 
  /* [14][2][][] */ -13, -68, 95, 
  /* [15][0][][] */ -32, 2, 47, 
  /* [15][1][][] */ -127, -105, 38, 
  /* [15][2][][] */ -2, -47, 19, 
};
const TfArray<4, int> tensor_dimension2 = { 4, { 16,3,3,1 } };
const TfArray<16, float> quant2_scale = { 16, { 0.076342463493347168, 0.094902947545051575, 0.0949978306889534, 0.042563240975141525, 0.010225601494312286, 0.010542069561779499, 0.024737080559134483, 0.0039404775016009808, 0.028090115636587143, 0.00941498763859272, 0.041425097733736038, 0.098881632089614868, 0.048909742385149002, 0.0034890915267169476, 0.060216553509235382, 0.01455597672611475, } };
const TfArray<16, int> quant2_zero = { 16, { 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0 } };
const TfLiteAffineQuantization quant2 = { (TfLiteFloatArray*)&quant2_scale, (TfLiteIntArray*)&quant2_zero, 0 };
const ALIGN(16) int32_t tensor_data3[16] = { 4016, -6767, -1460, 3175, 38831, 12142, 19439, 20967, 9511, 6417, 11982, -5173, 13726, 40716, -7511, 19241, };
const TfArray<1, int> tensor_dimension3 = { 1, { 16 } };
const TfArray<16, float> quant3_scale = { 16, { 0.00029938222724013031, 0.00037216843338683248, 0.00037254052585922182, 0.00016691467317286879, 4.0100399928633124e-05, 4.1341452742926776e-05, 9.7008167358580977e-05, 1.54528534039855e-05, 0.00011015732161467895, 3.6921523133059964e-05, 0.00016245136794168502, 0.0003877711424138397, 0.00019180291565135121, 1.3682712960871868e-05, 0.00023614335805177689, 5.7082266721408814e-05, } };
const TfArray<16, int> quant3_zero = { 16, { 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0 } };
const TfLiteAffineQuantization quant3 = { (TfLiteFloatArray*)&quant3_scale, (TfLiteIntArray*)&quant3_zero, 0 };
const ALIGN(16) int8_t tensor_data4[1*3*3*16] = { 
  /* [0][0][][] */ -14,-14,-2,29,-23,11,-4,12,20,-11,18,-11,47,-14,-15,13, -13,3,-23,19,12,3,-9,-26,-5,7,12,127,-25,18,1,12, -11,-5,4,12,-21,-2,-6,15,4,-4,12,61,-33,-13,27,0, 
  /* [0][1][][] */ -9,-12,-24,1,127,-26,-127,-20,127,127,15,-33,127,-33,-14,-11, -127,127,127,6,-85,-85,7,-94,14,-112,127,112,84,127,127,127, -10,-5,-18,3,-34,127,12,0,-2,-16,-4,37,-22,-14,8,-12, 
  /* [0][2][][] */ 2,-13,-25,-16,-8,9,72,9,10,-8,-16,-23,9,-12,-18,-11, 16,-13,-34,-127,17,-13,31,127,-19,-1,-13,-10,-42,-70,2,-34, 5,23,-4,-13,-10,-6,30,11,6,0,-31,23,-31,-18,26,-11, 
};
const TfArray<4, int> tensor_dimension4 = { 4, { 1,3,3,16 } };
const TfArray<16, float> quant4_scale = { 16, { 0.0032040125224739313, 0.0073553044348955154, 0.0080657443031668663, 0.0093267597258090973, 0.028054626658558846, 0.02410578541457653, 0.0056113367900252342, 0.037642680108547211, 0.0080585172399878502, 0.032558180391788483, 0.0062456210143864155, 0.0024787748698145151, 0.0061054746620357037, 0.016208279877901077, 0.0079556489363312721, 0.025527151301503181, } };
const TfArray<16, int> quant4_zero = { 16, { 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0 } };
const TfLiteAffineQuantization quant4 = { (TfLiteFloatArray*)&quant4_scale, (TfLiteIntArray*)&quant4_zero, 3 };
const ALIGN(16) int32_t tensor_data5[16] = { 30012, -3605, -1619, 4598, 740, 700, 7804, 197, 1026, 1724, -1695, 12749, -225, 1715, -2665, -1272, };
const TfArray<1, int> tensor_dimension5 = { 1, { 16 } };
const TfArray<16, float> quant5_scale = { 16, { 7.5388532422948629e-05, 0.00017306598601862788, 0.00018978222215082496, 0.00021945316984783858, 0.00066010886803269386, 0.00056719494750723243, 0.00013203146227169782, 0.00088571012020111084, 0.00018961216846946627, 0.00076607486698776484, 0.00014695579011458904, 5.832411625306122e-05, 0.00014365822426043451, 0.00038137129740789533, 0.00018719174840953201, 0.00060063885757699609, } };
const TfArray<16, int> quant5_zero = { 16, { 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0 } };
const TfLiteAffineQuantization quant5 = { (TfLiteFloatArray*)&quant5_scale, (TfLiteIntArray*)&quant5_zero, 0 };
const ALIGN(16) int8_t tensor_data6[8*1*1*16] = { 
  /* [0][0][][] */ 9,-31,22,-83,-13,-42,58,-38,2,-14,-28,-20,69,127,-27,-100, 
  /* [1][0][][] */ 127,-90,-96,-3,-74,101,-40,-45,-72,94,-78,-65,-49,-11,-80,-26, 
  /* [2][0][][] */ -65,-96,7,36,23,-64,-56,-15,22,-87,23,-127,70,-24,-91,4, 
  /* [3][0][][] */ 12,-19,8,30,-59,85,-52,-16,127,29,31,16,8,-23,-8,33, 
  /* [4][0][][] */ -48,-21,-47,-85,-7,26,91,-64,7,-9,-77,-17,-127,16,-15,-42, 
  /* [5][0][][] */ 71,-2,65,6,39,-45,-18,-127,-25,-40,40,7,-86,35,26,-26, 
  /* [6][0][][] */ 109,6,-123,-127,17,-76,64,-89,-44,20,-71,66,41,-51,1,68, 
  /* [7][0][][] */ -127,-2,73,5,-42,54,2,-57,-45,94,67,-56,44,-47,-6,59, 
};
const TfArray<4, int> tensor_dimension6 = { 4, { 8,1,1,16 } };
const TfArray<8, float> quant6_scale = { 8, { 0.0067930533550679684, 0.0051930965855717659, 0.0088114533573389053, 0.0091376248747110367, 0.0064723151735961437, 0.008568999357521534, 0.008145548403263092, 0.0073538240976631641, } };
const TfArray<8, int> quant6_zero = { 8, { 0,0,0,0,0,0,0,0 } };
const TfLiteAffineQuantization quant6 = { (TfLiteFloatArray*)&quant6_scale, (TfLiteIntArray*)&quant6_zero, 0 };
const ALIGN(16) int32_t tensor_data7[8] = { -841, 1536, 13889, -10648, 15131, 8420, -2214, 11312, };
const TfArray<1, int> tensor_dimension7 = { 1, { 8 } };
const TfArray<8, float> quant7_scale = { 8, { 0.00015983654884621501, 0.00012219051131978631, 0.00020732832490466535, 0.00021500294678844512, 0.00015228976553771645, 0.00020162352302577347, 0.00019165997218806297, 0.0001730311632854864, } };
const TfArray<8, int> quant7_zero = { 8, { 0,0,0,0,0,0,0,0 } };
const TfLiteAffineQuantization quant7 = { (TfLiteFloatArray*)&quant7_scale, (TfLiteIntArray*)&quant7_zero, 0 };
const ALIGN(16) int8_t tensor_data8[48*1*1*8] = { 
  /* [0][0][][] */ -6,-6,-19,-36,-63,-57,-127,-14, 
  /* [1][0][][] */ 67,-22,-111,-5,101,-2,127,15, 
  /* [2][0][][] */ -87,58,-127,-92,62,-7,-80,2, 
  /* [3][0][][] */ -11,14,115,-113,124,-24,127,-42, 
  /* [4][0][][] */ -59,-45,31,-3,-79,-127,-19,35, 
  /* [5][0][][] */ 127,-27,99,32,-52,86,8,-19, 
  /* [6][0][][] */ 21,55,127,-68,30,-30,-89,1, 
  /* [7][0][][] */ 62,-44,-126,-79,-52,127,111,-50, 
  /* [8][0][][] */ -18,127,-24,-18,89,-37,-46,110, 
  /* [9][0][][] */ -56,120,-127,126,110,-28,-35,74, 
  /* [10][0][][] */ -35,-93,52,-37,-109,-127,-75,-63, 
  /* [11][0][][] */ -127,-79,126,57,-14,-96,95,64, 
  /* [12][0][][] */ -43,68,-127,33,30,28,-50,70, 
  /* [13][0][][] */ 127,-115,84,41,2,43,68,-47, 
  /* [14][0][][] */ -19,42,-92,-43,-96,-127,-94,-117, 
  /* [15][0][][] */ 42,63,-28,-32,36,-25,127,-119, 
  /* [16][0][][] */ -49,-127,-100,60,-45,32,17,-48, 
  /* [17][0][][] */ 2,-84,-127,26,-36,63,-20,10, 
  /* [18][0][][] */ 20,77,-20,74,2,127,61,13, 
  /* [19][0][][] */ 36,-62,123,-127,27,-94,-12,-47, 
  /* [20][0][][] */ 21,62,23,23,39,127,51,-16, 
  /* [21][0][][] */ 47,75,42,-42,27,-44,94,-127, 
  /* [22][0][][] */ 42,23,127,7,-7,82,16,-14, 
  /* [23][0][][] */ -76,-91,54,-50,53,95,0,-127, 
  /* [24][0][][] */ -33,-92,29,-105,66,127,-13,-112, 
  /* [25][0][][] */ 127,43,-42,-42,67,26,-68,27, 
  /* [26][0][][] */ -127,-25,-118,-5,-56,-14,64,2, 
  /* [27][0][][] */ 111,42,15,-65,-122,-20,127,86, 
  /* [28][0][][] */ -43,-57,59,39,-127,-43,-8,24, 
  /* [29][0][][] */ -127,-70,5,43,-1,-90,55,108, 
  /* [30][0][][] */ -26,-46,11,-33,63,127,28,-106, 
  /* [31][0][][] */ 93,-3,9,127,-40,-76,-35,7, 
  /* [32][0][][] */ -5,127,1,8,61,8,6,10, 
  /* [33][0][][] */ 41,127,-109,59,56,-21,0,-35, 
  /* [34][0][][] */ -101,-66,-38,87,-5,18,3,127, 
  /* [35][0][][] */ -49,127,-20,-4,66,50,54,65, 
  /* [36][0][][] */ 27,42,18,-67,-72,-6,127,90, 
  /* [37][0][][] */ -106,106,51,1,-127,108,-117,-56, 
  /* [38][0][][] */ 41,52,-28,34,127,102,31,35, 
  /* [39][0][][] */ -51,-81,-12,10,-18,33,-45,127, 
  /* [40][0][][] */ -60,28,-27,127,-57,6,-7,41, 
  /* [41][0][][] */ 127,-15,88,12,-10,33,25,-24, 
  /* [42][0][][] */ -14,51,-98,-127,39,-74,32,92, 
  /* [43][0][][] */ 29,22,41,-15,46,127,80,8, 
  /* [44][0][][] */ -49,43,-126,127,62,-11,-48,-108, 
  /* [45][0][][] */ 70,77,29,-127,97,11,17,-40, 
  /* [46][0][][] */ -40,-61,32,-4,15,35,-76,127, 
  /* [47][0][][] */ -23,31,45,-127,62,120,66,-29, 
};
const TfArray<4, int> tensor_dimension8 = { 4, { 48,1,1,8 } };
const TfArray<48, float> quant8_scale = { 48, { 0.0046567944809794426, 0.0047833044081926346, 0.0032830156851559877, 0.0029728086665272713, 0.0022118159104138613, 0.0035602804273366928, 0.006694507785141468, 0.0014840054791420698, 0.0030108715873211622, 0.0038570347242057323, 0.0026632393710315228, 0.0015648407861590385, 0.0031813590321689844, 0.0047286031767725945, 0.0029961129184812307, 0.0040836986154317856, 0.0055897505953907967, 0.00018636554887052625, 0.0041959024965763092, 0.0049555450677871704, 0.0040186014957726002, 0.00323261390440166, 0.0051800576038658619, 0.0030041225254535675, 0.0030217657331377268, 0.0058111310936510563, 0.0049977414309978485, 0.0072034681215882301, 0.0011053177295252681, 0.0015122747281566262, 0.0019034020369872451, 0.0080505181103944778, 0.0032060705125331879, 0.0033880756236612797, 0.0024907197803258896, 0.0038266230840235949, 0.0040062079206109047, 0.0052265292033553123, 0.0030238386243581772, 0.0085859913378953934, 0.0046409661881625652, 0.0038806030061095953, 0.0046218773350119591, 0.0046333805657923222, 0.0026828739792108536, 0.0047284746542572975, 0.0036068162880837917, 0.0035191806964576244, } };
const TfArray<48, int> quant8_zero = { 48, { 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0 } };
const TfLiteAffineQuantization quant8 = { (TfLiteFloatArray*)&quant8_scale, (TfLiteIntArray*)&quant8_zero, 0 };
const ALIGN(16) int32_t tensor_data9[48] = { 1274, -498, -1343, 2132, 5785, 1837, -108, 8725, 1820, 3067, 794, 10045, -749, -98, -1940, -594, 629, 124201, 2288, -56, 1635, -1328, 291, 2862, -1716, -1357, 400, -6, 15466, 6931, 7315, -211, 2426, -805, 6277, 647, 694, -1362, 2843, 392, 1435, 2003, -73, -745, 1439, 935, 1904, 818, };
const TfArray<1, int> tensor_dimension9 = { 1, { 48 } };
const TfArray<48, float> quant9_scale = { 48, { 0.00031840047449804842, 0.00032705036574043334, 0.00022447067021857947, 0.00020326078811194748, 0.00015122919285204262, 0.00024342817778233439, 0.00045772569137625396, 0.0001014663721434772, 0.00020586326718330383, 0.00026371824787929654, 0.00018209450354333967, 0.00010699334961827844, 0.00021752006432507187, 0.00032331026159226894, 0.00020485417917370796, 0.00027921600849367678, 0.00038218978443183005, 1.2742430044454522e-05, 0.00028688774909824133, 0.00033882705611176789, 0.00027476510149426758, 0.00022102452930994332, 0.00035417769686318934, 0.00020540181139949709, 0.00020660813606809825, 0.00039732630830258131, 0.00034171214792877436, 0.00049252499593421817, 7.5574236689135432e-05, 0.00010339923755964264, 0.00013014191063120961, 0.00055044062901288271, 0.00021920967265032232, 0.00023165396123658866, 0.00017029876471497118, 0.00026163889560848475, 0.00027391771436668932, 0.0003573551366571337, 0.00020674987172242254, 0.00058705266565084457, 0.00031731824856251478, 0.00026532969786785543, 0.00031601308728568256, 0.00031679958919994533, 0.00018343699048273265, 0.00032330150133930147, 0.00024660999770276248, 0.00024061805743258446, } };
const TfArray<48, int> quant9_zero = { 48, { 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0 } };
const TfLiteAffineQuantization quant9 = { (TfLiteFloatArray*)&quant9_scale, (TfLiteIntArray*)&quant9_zero, 0 };
const ALIGN(16) int8_t tensor_data10[1*3*3*48] = { 
  /* [0][0][][] */ -127,-54,-51,22,127,-14,6,-58,-79,-98,-37,-127,127,20,33,-86,92,20,21,-38,55,127,-94,-95,-13,15,113,-44,5,-75,-20,-59,-4,-95,103,-50,7,108,121,7,-112,12,-24,93,127,-28,104,12, -55,-8,-127,39,9,127,-11,-80,-56,24,65,-120,123,25,127,-3,-3,-127,43,-66,-96,108,72,127,-49,72,127,-122,16,-31,-30,-8,9,-127,106,55,105,51,127,-103,-113,-79,101,72,24,62,127,54, 38,30,-28,121,-4,-68,-31,38,120,17,31,-98,37,23,41,39,33,2,54,-8,-59,72,-27,-48,-42,-5,8,-127,12,48,87,-52,17,1,21,34,3,80,10,-86,-24,95,4,-31,105,13,79,-98, 
  /* [0][1][][] */ -87,-67,-82,31,-83,-35,62,-55,-127,-127,123,-92,68,27,-101,-30,127,-82,-80,-82,-93,46,-127,-25,-35,127,71,-15,-127,-50,-90,-103,39,-84,-111,-40,14,127,78,-39,58,-45,73,108,68,127,117,-92, -81,-127,-117,-69,-21,107,117,-127,74,56,127,-29,66,97,62,14,99,-60,-127,-68,-127,77,-41,117,-127,76,88,-36,-114,127,-60,-127,-12,-98,69,37,127,97,73,-122,91,-24,127,127,54,34,93,127, -62,0,-51,127,25,-111,49,24,74,-6,15,-23,15,41,78,-127,70,51,-32,-127,-34,65,98,-41,-76,86,34,-85,-47,48,67,-62,-37,30,72,85,15,74,-1,-127,52,127,-14,23,74,5,86,-14, 
  /* [0][2][][] */ -123,-94,-53,0,-52,-17,54,-84,-1,-36,-44,-39,5,84,-43,-1,-4,62,51,-4,-23,43,-66,-71,-39,29,-14,-56,14,52,-127,-40,-14,-57,-100,50,14,-7,57,-72,127,-32,47,36,-38,48,14,-118, -93,-103,-12,-99,41,55,127,-82,81,27,-56,-19,2,127,-53,-39,100,37,-8,-12,7,21,-33,69,-59,43,19,-31,10,-10,-91,-73,-118,-27,-127,78,21,68,-19,-17,76,-2,79,90,-8,-91,-45,-8, -36,-121,-2,-12,-48,4,30,-81,-55,-8,-44,-7,-2,64,48,-17,108,108,-56,-84,79,9,105,-52,-61,24,-29,-45,8,-68,-49,-45,-127,22,-14,127,-2,82,-2,-22,40,21,-42,67,-15,-15,-20,-30, 
};
const TfArray<4, int> tensor_dimension10 = { 4, { 1,3,3,48 } };
const TfArray<48, float> quant10_scale = { 48, { 0.0027650468982756138, 0.0023630682844668627, 0.0054554329253733158, 0.0061708469875156879, 0.015503112226724625, 0.0072604399174451828, 0.0012746899155899882, 0.0039864778518676758, 0.0040151011198759079, 0.0021410856861621141, 0.0020212959498167038, 0.002300061983987689, 0.0050971745513379574, 0.0036769344005733728, 0.0053526726551353931, 0.0078719239681959152, 0.0014168923953548074, 0.019501449540257454, 0.0080423867329955101, 0.0043320665135979652, 0.0028521076310425997, 0.008894188329577446, 0.0070006037130951881, 0.0047617824748158455, 0.0074856993742287159, 0.0041156536899507046, 0.002501743845641613, 0.0036557258572429419, 0.015127341262996197, 0.015672875568270683, 0.0067908870987594128, 0.0030267378315329552, 0.0093990098685026169, 0.005941266193985939, 0.0082941707223653793, 0.0033485607709735632, 0.0044926125556230545, 0.0023887385614216328, 0.0032573300413787365, 0.0020468719303607941, 0.0054148067720234394, 0.009322265163064003, 0.0015947101637721062, 0.0050283544696867466, 0.0053050764836370945, 0.0065809856168925762, 0.0028470715042203665, 0.0054674753919243813, } };
const TfArray<48, int> quant10_zero = { 48, { 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0 } };
const TfLiteAffineQuantization quant10 = { (TfLiteFloatArray*)&quant10_scale, (TfLiteIntArray*)&quant10_zero, 3 };
const ALIGN(16) int32_t tensor_data11[48] = { 12381, 14639, 6264, -7212, 845, -1532, -2877, 32833, -1961, 2216, 15320, 58875, 4560, 4467, -2725, 5011, -20981, 837, 3281, 12854, 794, -2061, 1596, -2014, 9112, 1409, 7737, 16994, 10142, -3178, 9898, 12919, 4094, -1840, -2716, 6575, -8471, 9871, -11079, 25596, -6925, -3668, 22937, -1223, -2362, -6013, 387, 3638, };
const TfArray<1, int> tensor_dimension11 = { 1, { 48 } };
const TfArray<48, float> quant11_scale = { 48, { 6.5059924963861704e-05, 5.5601609346922487e-05, 0.00012836312816943973, 0.00014519640535581857, 0.00036477911635302007, 0.00017083388229366392, 2.9992705094628036e-05, 9.37994773266837e-05, 9.4472969067282975e-05, 5.0378486776025966e-05, 4.7559904487570748e-05, 5.4119107517180964e-05, 0.00011993352381978184, 8.6516105511691421e-05, 0.00012594524014275521, 0.00018522173922974616, 3.3338645152980462e-05, 0.00045885765575803816, 0.00018923263996839523, 0.00010193097841693088, 6.7108412622474134e-05, 0.00020927502191625535, 0.00016472008428536355, 0.00011204194015590474, 0.00017613411182537675, 9.6838914032559842e-05, 5.8864563470706344e-05, 8.6017083958722651e-05, 0.00035593745997175574, 0.00036877355887554586, 0.00015978558803908527, 7.121736416593194e-05, 0.00022115318279247731, 0.00013979450159240514, 0.00019515695748850703, 7.8789664257783443e-05, 0.00010570853191893548, 5.620561569230631e-05, 7.6643060310743749e-05, 4.8161691665882245e-05, 0.00012740722741000354, 0.00021934742107987404, 3.7522593629546463e-05, 0.00011831422307295725, 0.0001248253247467801, 0.00015484672621823847, 6.6989916376769543e-05, 0.00012864648306276649, } };
const TfArray<48, int> quant11_zero = { 48, { 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0 } };
const TfLiteAffineQuantization quant11 = { (TfLiteFloatArray*)&quant11_scale, (TfLiteIntArray*)&quant11_zero, 0 };
const ALIGN(16) int8_t tensor_data12[8*1*1*48] = { 
  /* [0][0][][] */ -43,-15,33,43,1,-11,7,10,-60,-4,-54,-54,-25,-48,0,-32,52,-37,44,9,-1,31,-43,2,-15,-2,64,-35,40,3,30,-11,94,32,57,-127,29,8,2,-22,30,-30,34,61,36,40,45,14, 
  /* [1][0][][] */ 9,40,59,-9,5,94,-50,-36,-23,21,1,-88,4,127,3,9,-20,25,-28,-29,26,-56,6,60,-50,1,5,-68,-28,-31,54,-65,47,83,-80,-18,110,-30,9,71,-67,85,-75,-14,84,-17,-51,-4, 
  /* [2][0][][] */ 10,-25,-39,17,-19,47,-1,-1,0,41,-5,33,89,-19,-7,-52,15,-77,13,24,-26,45,-15,36,-54,58,8,-43,25,11,53,-76,1,-57,23,-5,60,39,26,-23,23,64,48,24,127,23,12,27, 
  /* [3][0][][] */ 0,5,-53,42,8,-44,-57,-101,32,12,-10,17,23,22,30,54,25,1,4,38,-7,-57,15,-44,-71,-5,127,-19,-39,31,-26,4,-6,-51,11,13,2,-37,-23,59,-32,0,27,1,55,15,-23,36, 
  /* [4][0][][] */ -25,-45,-19,-9,39,-10,8,0,9,-23,39,-55,22,41,-3,7,-20,-22,21,-1,7,-68,11,-17,14,12,29,34,35,20,-4,-13,0,11,24,17,-50,85,39,-27,31,28,4,3,-53,11,127,5, 
  /* [5][0][][] */ 42,-66,24,23,40,-40,29,-127,19,-24,19,110,-74,62,25,-67,17,-71,-1,-25,-6,78,-22,5,-93,81,-5,-14,13,37,-11,8,14,44,0,6,-18,9,-16,-30,63,-27,-40,33,-22,53,59,5, 
  /* [6][0][][] */ 99,-66,34,-9,-28,-54,-39,-9,-27,4,-19,127,-74,-26,11,37,44,38,7,95,6,-101,-46,14,7,12,-69,-14,16,-47,-5,40,-26,-19,-56,61,39,4,37,-30,4,-41,42,120,17,-23,70,-14, 
  /* [7][0][][] */ -37,1,-1,58,58,71,-7,9,25,12,98,22,90,126,36,27,59,30,-5,-27,35,-17,-38,26,-28,61,4,49,44,16,-37,-60,41,-25,7,-77,-51,71,51,70,10,55,57,127,-24,16,-96,91, 
};
const TfArray<4, int> tensor_dimension12 = { 4, { 8,1,1,48 } };
const TfArray<8, float> quant12_scale = { 8, { 0.0072360350750386715, 0.0040275040082633495, 0.0052532893605530262, 0.0021909561473876238, 0.0059825805947184563, 0.0043753269128501415, 0.0042670583352446556, 0.0034925092477351427, } };
const TfArray<8, int> quant12_zero = { 8, { 0,0,0,0,0,0,0,0 } };
const TfLiteAffineQuantization quant12 = { (TfLiteFloatArray*)&quant12_scale, (TfLiteIntArray*)&quant12_zero, 0 };
const ALIGN(16) int32_t tensor_data13[8] = { 5998, 9123, -11605, -717, -8973, -41, -13648, -27285, };
const TfArray<1, int> tensor_dimension13 = { 1, { 8 } };
const TfArray<8, float> quant13_scale = { 8, { 0.00017025964916683733, 9.4764800451230258e-05, 0.00012360680557321757, 5.1551909564295784e-05, 0.0001407665986334905, 0.00010294887033523992, 0.00010040137567557395, 8.2176688010804355e-05, } };
const TfArray<8, int> quant13_zero = { 8, { 0,0,0,0,0,0,0,0 } };
const TfLiteAffineQuantization quant13 = { (TfLiteFloatArray*)&quant13_scale, (TfLiteIntArray*)&quant13_zero, 0 };
const ALIGN(16) int8_t tensor_data14[48*1*1*8] = { 
  /* [0][0][][] */ 88,70,-127,-109,112,61,96,-20, 
  /* [1][0][][] */ 45,-35,127,-64,-41,98,-34,42, 
  /* [2][0][][] */ -93,-127,-114,0,-96,-5,72,-21, 
  /* [3][0][][] */ 89,-32,-95,-21,13,-107,-127,-83, 
  /* [4][0][][] */ -12,-41,-33,-127,83,68,95,43, 
  /* [5][0][][] */ 20,53,-70,-7,69,127,15,-33, 
  /* [6][0][][] */ -58,-4,28,7,45,-39,60,-127, 
  /* [7][0][][] */ 127,-15,7,2,-23,47,28,53, 
  /* [8][0][][] */ 21,106,127,28,109,99,44,30, 
  /* [9][0][][] */ 8,127,-59,-40,31,39,4,64, 
  /* [10][0][][] */ 2,-22,21,-25,-20,22,-58,127, 
  /* [11][0][][] */ -52,-39,-127,0,-6,-27,39,-38, 
  /* [12][0][][] */ -1,-78,-110,11,-127,56,-38,-26, 
  /* [13][0][][] */ 6,-41,-127,55,-126,-32,-20,-87, 
  /* [14][0][][] */ -41,-58,-127,-39,43,-37,-1,-64, 
  /* [15][0][][] */ 43,11,-71,-1,-127,28,-33,-9, 
  /* [16][0][][] */ 43,-42,24,55,-18,41,58,127, 
  /* [17][0][][] */ 27,127,85,27,-20,19,-7,-32, 
  /* [18][0][][] */ -43,-127,28,47,-49,19,59,-31, 
  /* [19][0][][] */ 127,-33,-11,53,-40,20,57,115, 
  /* [20][0][][] */ -30,-65,71,84,-17,-127,-19,-72, 
  /* [21][0][][] */ -69,-127,-61,-73,33,21,80,-93, 
  /* [22][0][][] */ -127,18,-85,-25,17,49,-92,-41, 
  /* [23][0][][] */ -97,-23,-6,-31,-121,70,127,-30, 
  /* [24][0][][] */ -67,64,-70,-43,-38,47,127,1, 
  /* [25][0][][] */ -108,-127,-47,-82,57,8,-124,-97, 
  /* [26][0][][] */ 34,76,1,127,-110,81,-73,0, 
  /* [27][0][][] */ -36,-107,37,96,4,-76,69,-127, 
  /* [28][0][][] */ 24,106,127,29,105,59,4,18, 
  /* [29][0][][] */ -35,64,29,99,59,-78,-112,127, 
  /* [30][0][][] */ 59,-1,3,-127,67,-10,18,-25, 
  /* [31][0][][] */ 13,-11,14,28,-8,78,9,127, 
  /* [32][0][][] */ -102,-27,35,-73,-117,127,51,119, 
  /* [33][0][][] */ -67,50,82,-17,-6,34,-127,112, 
  /* [34][0][][] */ 12,38,39,-3,12,84,4,127, 
  /* [35][0][][] */ 59,-107,83,76,3,12,127,-67, 
  /* [36][0][][] */ -34,3,-66,-54,-127,-14,-105,-9, 
  /* [37][0][][] */ -77,-127,81,89,-47,-62,24,-39, 
  /* [38][0][][] */ -64,-23,-1,-84,-127,-65,-31,45, 
  /* [39][0][][] */ 50,-88,85,37,89,-90,13,-127, 
  /* [40][0][][] */ -60,127,9,10,-99,-62,-56,34, 
  /* [41][0][][] */ 92,127,-30,-17,40,21,-60,20, 
  /* [42][0][][] */ 110,11,24,6,115,82,114,127, 
  /* [43][0][][] */ 127,36,58,26,-89,5,7,116, 
  /* [44][0][][] */ 94,72,-31,14,9,-72,-127,25, 
  /* [45][0][][] */ 42,-32,12,34,127,-88,16,-75, 
  /* [46][0][][] */ 3,-41,14,73,127,69,17,44, 
  /* [47][0][][] */ -94,-127,28,73,-61,26,63,-85, 
};
const TfArray<4, int> tensor_dimension14 = { 4, { 48,1,1,8 } };
const TfArray<48, float> quant14_scale = { 48, { 0.0017506686272099614, 0.0031671624165028334, 0.00077413668623194098, 0.0018021668074652553, 0.0035584683064371347, 0.0021829782053828239, 0.0027024780865758657, 0.001497236080467701, 0.0032415385358035564, 0.0057686436921358109, 0.0039076041430234909, 0.0031234996858984232, 0.0011950198095291853, 0.0032018586061894894, 0.0016296692192554474, 0.0017944625578820705, 0.0045756022445857525, 0.0049331248737871647, 0.0039487374015152454, 0.0021564464550465345, 0.003568300511687994, 0.0017758889589458704, 0.0051571656949818134, 0.0012689668219536543, 0.0013436655281111598, 0.0012683393433690071, 0.00051105493912473321, 0.0027670457493513823, 0.0014633531682193279, 0.0010986806591972709, 0.0043462654575705528, 0.0041573806665837765, 0.0033109977375715971, 0.0025591831654310226, 0.0031114891171455383, 0.0034702501725405455, 0.0044815531000494957, 0.0043778517283499241, 0.0033097409177571535, 0.0021947557106614113, 0.0015396750532090664, 0.0052271015010774136, 0.00098779040854424238, 0.0025804606266319752, 0.0025049592368304729, 0.0023259834852069616, 0.0064411964267492294, 0.0034309353213757277, } };
const TfArray<48, int> quant14_zero = { 48, { 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0 } };
const TfLiteAffineQuantization quant14 = { (TfLiteFloatArray*)&quant14_scale, (TfLiteIntArray*)&quant14_zero, 0 };
const ALIGN(16) int32_t tensor_data15[48] = { 9647, 3286, 32890, 6703, 3368, -6230, 6486, 11936, 1055, -414, 3032, -3354, 15889, -2314, 8832, 10645, -738, 763, -2433, 7766, 3458, 9034, 642, 13045, 15573, 15430, 48115, 3511, 11666, 18590, 2465, 1770, 785, 3491, -1459, 158, -1100, -593, 5009, 6320, 12193, 928, 19292, 4390, 6568, 6719, 319, 3327, };
const TfArray<1, int> tensor_dimension15 = { 1, { 48 } };
const TfArray<48, float> quant15_scale = { 48, { 9.2641144874505699e-05, 0.00016759855498094112, 4.0965438529383391e-05, 9.5366303867194802e-05, 0.00018830552289728075, 0.00011551791976671666, 0.00014300859766080976, 7.9230107076000422e-05, 0.00017153436783701181, 0.00030526265618391335, 0.0002067809400614351, 0.00016528803098481148, 6.3237552240025252e-05, 0.00016943459922913462, 8.6238149378914386e-05, 9.4958610134199262e-05, 0.00024212978314608335, 0.00026104901917278767, 0.00020895761554129422, 0.00011411392188165337, 0.00018882581207435578, 9.3975744675844908e-05, 0.00027290472644381225, 6.7150649556424469e-05, 7.1103524533100426e-05, 6.7117442085873336e-05, 2.704378857742995e-05, 0.00014642535825259984, 7.7437107393052429e-05, 5.8139517932431772e-05, 0.00022999383509159088, 0.00021999851742293686, 0.00017520997789688408, 0.00013542576925829053, 0.00016465246153529733, 0.00018363722483627498, 0.00023715292627457529, 0.00023166531173046678, 0.00017514347564429045, 0.00011614115646807477, 8.1475875049363822e-05, 0.00027660554042086005, 5.2271476306486875e-05, 0.00013655172369908541, 0.00013255637895781547, 0.00012308541045058519, 0.00034085250808857381, 0.00018155678117182106, } };
const TfArray<48, int> quant15_zero = { 48, { 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0 } };
const TfLiteAffineQuantization quant15 = { (TfLiteFloatArray*)&quant15_scale, (TfLiteIntArray*)&quant15_zero, 0 };
const ALIGN(16) int8_t tensor_data16[1*3*3*48] = { 
  /* [0][0][][] */ -42,-127,13,36,-62,-90,-69,127,45,-51,2,-60,66,82,16,2,42,40,42,-54,-32,-42,-41,63,18,-36,-36,-29,-84,9,-80,-127,-17,-51,-87,-87,1,-33,-38,-32,-21,28,-37,-127,-19,107,124,99, -127,-107,-4,127,-86,117,-127,93,99,15,-8,-33,50,28,20,-46,-70,-13,-1,-17,-18,58,-15,127,127,-10,7,31,44,-127,-50,-66,1,-76,-51,-93,37,19,-41,-41,-117,-21,-109,-116,26,66,93,73, -54,-101,22,51,-55,23,-39,45,-2,-34,-8,-19,-40,-7,31,-7,-118,-98,-101,-32,-42,-60,63,44,12,-66,127,-28,20,-9,3,-21,-31,-104,-127,19,35,7,49,-35,-36,-10,-24,-86,-23,127,20,-65, 
  /* [0][1][][] */ -60,-34,-30,18,49,-127,123,-55,21,-34,22,-2,127,127,-3,-1,-48,43,51,-8,81,-46,56,2,-39,127,-119,-18,82,-94,-5,-72,-70,21,-8,19,-2,-49,-24,118,127,127,-22,-42,-41,-68,-37,127, 75,-27,127,17,127,56,-20,-108,124,127,127,-127,-70,108,127,127,75,71,115,127,96,48,-7,-15,79,-41,-111,127,-6,60,127,57,-127,127,97,127,-127,127,-100,-56,59,-22,-127,8,127,-97,-4,56, -10,-15,-37,16,-32,74,-119,60,87,-89,18,37,-56,-11,44,-46,25,-39,-127,49,-12,-127,-67,2,34,-41,33,103,-92,-57,-47,-44,-55,6,42,-20,59,2,64,-97,119,8,38,14,-35,83,58,-31, 
  /* [0][2][][] */ -28,-13,-9,-71,55,-121,-4,58,49,-3,-12,24,-2,42,29,25,-127,73,45,-112,60,11,0,-39,-104,12,-3,-14,-33,-40,-34,-15,-2,-11,49,12,6,26,49,127,35,11,65,-39,2,-18,25,66, 28,-26,-36,-94,74,-54,120,-65,127,-35,-45,3,-65,-30,10,-43,-67,127,4,-29,127,18,-109,-61,-36,55,59,21,-127,-17,-93,-67,-13,-5,29,-15,64,68,24,98,-61,-9,46,8,79,15,74,-61, -35,-35,-5,-69,37,-71,-28,13,-7,-15,-23,22,0,-82,23,30,36,37,-78,1,-11,-47,-127,-22,11,-62,47,-1,-69,-18,-71,-50,17,-61,0,-59,33,4,127,-78,20,7,87,-42,16,36,127,-68, 
};
const TfArray<4, int> tensor_dimension16 = { 4, { 1,3,3,48 } };
const TfArray<48, float> quant16_scale = { 48, { 0.0072506899014115334, 0.0042161084711551666, 0.052961230278015137, 0.0073056770488619804, 0.010787320323288441, 0.038100380450487137, 0.0097230607643723488, 0.014270611107349396, 0.003007401479408145, 0.0048581976443529129, 0.0087451674044132233, 0.024408651515841484, 0.016757570207118988, 0.0074481042101979256, 0.0053612855263054371, 0.013439047150313854, 0.0034131132997572422, 0.0030451072379946709, 0.018310302868485451, 0.0048691383562982082, 0.0083360495045781136, 0.0083463955670595169, 0.0038950545713305473, 0.0126990657299757, 0.015397492796182632, 0.01433259341865778, 0.014651576988399029, 0.0093781100586056709, 0.0048420410603284836, 0.0093487482517957687, 0.0042616166174411774, 0.0084711173549294472, 0.0031785289756953716, 0.0057898904196918011, 0.0078170411288738251, 0.0065042893402278423, 0.014466095715761185, 0.00899528618901968, 0.0081054940819740295, 0.0082148928195238113, 0.0067146457731723785, 0.0034652957692742348, 0.0080497115850448608, 0.0039773066528141499, 0.0070719118230044842, 0.0049345069564878941, 0.0025530504062771797, 0.005784961860626936, } };
const TfArray<48, int> quant16_zero = { 48, { 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0 } };
const TfLiteAffineQuantization quant16 = { (TfLiteFloatArray*)&quant16_scale, (TfLiteIntArray*)&quant16_zero, 3 };
const ALIGN(16) int32_t tensor_data17[48] = { 9273, 17338, -1979, 1936, -2817, -639, 4658, -5227, -11643, -265, -3517, 271, -1449, -2266, -7867, -577, 24264, 6538, 602, -589, -5368, 6164, 22650, -1229, -3400, 1050, 932, -5749, 8018, 12587, -2373, 11749, 12297, 8088, 2052, 473, -962, -2359, -840, -2175, 2488, -2891, 1115, 13516, -5639, 2640, -3049, -6516, };
const TfArray<1, int> tensor_dimension17 = { 1, { 48 } };
const TfArray<48, float> quant17_scale = { 48, { 0.00017060447135008872, 9.9202552519273013e-05, 0.0012461466249078512, 0.00017189828213304281, 0.00025381930754519999, 0.00089647958520799875, 0.000228777906158939, 0.00033577909925952554, 7.0762391260359436e-05, 0.00011431053280830383, 0.00020576865063048899, 0.00057432119501754642, 0.00039429578464478254, 0.00017524951545055956, 0.00012614789011422545, 0.00031621288508176804, 8.030854951357469e-05, 7.1649585152044892e-05, 0.00043083066702820361, 0.00011456796346465126, 0.00019614234042819589, 0.00019638577941805124, 9.1648347734007984e-05, 0.00029880154761485755, 0.00036229396937415004, 0.00033723749220371246, 0.00034474299172870815, 0.00022066141536924988, 0.00011393037857487798, 0.00021997054864186794, 0.00010027333337347955, 0.00019932040595449507, 7.4788920755963773e-05, 0.00013623271661344916, 0.00018393038772046566, 0.00015304209955502301, 0.00034037872683256865, 0.00021165379439480603, 0.00019071751739829779, 0.0001932916056830436, 0.00015799167158547789, 8.1536374636925757e-05, 0.00018940497830044478, 9.3583686975762248e-05, 0.00016639793466310948, 0.00011610604997258633, 6.0071775806136429e-05, 0.0001361167524009943, } };
const TfArray<48, int> quant17_zero = { 48, { 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0 } };
const TfLiteAffineQuantization quant17 = { (TfLiteFloatArray*)&quant17_scale, (TfLiteIntArray*)&quant17_zero, 0 };
const ALIGN(16) int8_t tensor_data18[8*1*1*48] = { 
  /* [0][0][][] */ 1,-37,13,-23,18,-15,69,127,-87,-71,-7,-29,-62,-1,-16,9,-46,-6,37,95,50,-8,-30,103,89,63,59,10,-28,-1,-40,-43,-60,76,21,-18,63,-13,105,49,15,17,26,-66,27,-55,-27,-8, 
  /* [1][0][][] */ -4,31,-23,-100,-103,8,11,-64,-78,49,29,36,72,59,-64,-11,-2,-122,120,-10,127,33,-32,57,101,25,-39,55,41,20,79,67,-43,-10,-2,-35,29,123,2,17,71,40,-1,37,87,-43,-109,124, 
  /* [2][0][][] */ 41,-112,127,-7,113,-57,-9,3,-54,10,37,63,48,-15,-61,-101,-81,-31,1,49,-107,74,-45,-11,-21,40,20,-47,-32,0,-15,-94,-28,-70,-58,-14,24,-27,-72,70,12,-35,95,-85,-57,-94,-61,12, 
  /* [3][0][][] */ 48,-42,28,-38,17,-41,41,-7,-51,-21,28,-27,-24,15,-6,14,19,9,-40,25,-33,-13,77,15,10,11,-10,8,-28,53,71,-51,-17,-54,-11,12,15,-34,-34,47,-59,-40,16,-3,-39,-127,-8,-20, 
  /* [4][0][][] */ 16,-11,76,-73,-56,-10,2,-14,-84,8,-15,17,13,-83,28,-66,54,41,26,-17,26,42,2,70,75,-1,69,-21,35,21,-96,-9,-7,-12,9,-6,61,12,44,57,-44,6,-38,28,-2,-127,-58,87, 
  /* [5][0][][] */ 14,-42,66,12,49,26,34,0,-52,-5,-24,-18,70,6,-3,-3,18,76,-22,-2,65,0,127,-59,18,57,27,44,9,23,1,-58,-22,-13,-48,31,-13,51,-7,17,-52,34,64,6,53,-33,61,-13, 
  /* [6][0][][] */ -12,20,-109,52,9,27,55,33,16,19,60,-71,-58,-63,-16,36,-127,62,-25,33,27,2,-33,-42,-47,-46,-25,48,-39,15,-38,-6,4,68,-23,-17,-41,7,20,-19,49,0,-65,-30,6,42,-14,-38, 
  /* [7][0][][] */ -11,61,-1,-53,-72,60,124,97,46,31,-78,-72,-37,49,-51,16,7,52,127,52,94,109,94,38,97,74,-14,77,-100,-62,16,-117,55,-59,-61,-11,-63,56,-35,95,-20,21,-26,-91,55,-50,55,34, 
};
const TfArray<4, int> tensor_dimension18 = { 4, { 8,1,1,48 } };
const TfArray<8, float> quant18_scale = { 8, { 0.003399235662072897, 0.0024272946175187826, 0.0039513767696917057, 0.0056953197345137596, 0.0045108306221663952, 0.0044318749569356441, 0.0041100354865193367, 0.0022934596054255962, } };
const TfArray<8, int> quant18_zero = { 8, { 0,0,0,0,0,0,0,0 } };
const TfLiteAffineQuantization quant18 = { (TfLiteFloatArray*)&quant18_scale, (TfLiteIntArray*)&quant18_zero, 0 };
const ALIGN(16) int32_t tensor_data19[8] = { -3272, -4865, 26261, 8492, -3437, -11442, 9554, -12614, };
const TfArray<1, int> tensor_dimension19 = { 1, { 8 } };
const TfArray<8, float> quant19_scale = { 8, { 7.9982019087765366e-05, 5.7112814829451963e-05, 9.2973576101940125e-05, 0.00013400752504821867, 0.00010613719496177509, 0.00010427941015223041, 9.6706717158667743e-05, 5.3963754908181727e-05, } };
const TfArray<8, int> quant19_zero = { 8, { 0,0,0,0,0,0,0,0 } };
const TfLiteAffineQuantization quant19 = { (TfLiteFloatArray*)&quant19_scale, (TfLiteIntArray*)&quant19_zero, 0 };
const ALIGN(16) int8_t tensor_data20[48*1*1*8] = { 
  /* [0][0][][] */ 123,75,127,1,105,66,-63,15, 
  /* [1][0][][] */ -1,-127,-75,22,75,41,-19,8, 
  /* [2][0][][] */ -127,28,-9,-27,7,-10,-24,-38, 
  /* [3][0][][] */ 7,37,127,-11,-36,-85,-48,0, 
  /* [4][0][][] */ -63,69,-30,-49,81,-16,-127,-21, 
  /* [5][0][][] */ -99,45,-53,-38,13,-10,-25,-127, 
  /* [6][0][][] */ -48,-127,-109,-1,119,-3,57,45, 
  /* [7][0][][] */ -58,-79,-127,-103,-38,-118,32,43, 
  /* [8][0][][] */ 61,58,-72,-15,88,-92,-127,-39, 
  /* [9][0][][] */ -15,43,-51,46,-34,-39,127,-33, 
  /* [10][0][][] */ -56,127,-2,21,77,-56,-12,33, 
  /* [11][0][][] */ -92,47,-76,-3,-95,100,127,-53, 
  /* [12][0][][] */ 127,75,-71,72,2,7,-119,17, 
  /* [13][0][][] */ 72,-127,-55,-30,40,-111,-55,-67, 
  /* [14][0][][] */ 42,7,14,15,127,-51,-49,8, 
  /* [15][0][][] */ -4,4,1,127,105,100,-47,29, 
  /* [16][0][][] */ 86,38,-52,-25,64,-127,-81,-44, 
  /* [17][0][][] */ 118,127,103,84,58,98,-4,-87, 
  /* [18][0][][] */ 58,-4,19,71,127,38,-1,22, 
  /* [19][0][][] */ 2,78,64,9,-127,43,-1,-13, 
  /* [20][0][][] */ -70,53,34,-127,15,4,6,75, 
  /* [21][0][][] */ -37,89,49,-116,15,7,-37,127, 
  /* [22][0][][] */ -48,-21,-77,5,-97,50,127,-68, 
  /* [23][0][][] */ 67,33,-127,-18,30,-48,-92,-48, 
  /* [24][0][][] */ 64,37,41,34,32,115,-75,127, 
  /* [25][0][][] */ -61,-31,-127,4,-56,-114,59,83, 
  /* [26][0][][] */ 51,5,-58,-24,79,-32,127,-34, 
  /* [27][0][][] */ 38,-30,77,127,28,38,-3,98, 
  /* [28][0][][] */ -4,67,60,-40,127,-52,-11,42, 
  /* [29][0][][] */ -49,28,-54,-69,-57,-13,127,-11, 
  /* [30][0][][] */ 21,-105,-59,-127,-79,-63,37,-49, 
  /* [31][0][][] */ -17,-7,-40,-59,-127,-20,-44,-110, 
  /* [32][0][][] */ 127,-47,-26,44,85,-41,102,-73, 
  /* [33][0][][] */ -20,127,-19,-37,40,-65,-35,-71, 
  /* [34][0][][] */ -127,-11,110,15,-7,52,61,13, 
  /* [35][0][][] */ 13,42,127,20,-12,-19,-24,56, 
  /* [36][0][][] */ -68,-72,103,-19,-44,127,81,14, 
  /* [37][0][][] */ -6,-95,-58,-127,-38,-110,100,40, 
  /* [38][0][][] */ 31,-27,60,-89,127,70,-89,-14, 
  /* [39][0][][] */ -10,83,-127,-117,-8,-78,50,118, 
  /* [40][0][][] */ 97,-13,10,58,30,2,-9,127, 
  /* [41][0][][] */ -126,90,100,-113,61,-35,127,-44, 
  /* [42][0][][] */ 34,-127,-76,-39,-91,-44,7,-99, 
  /* [43][0][][] */ -7,-50,26,-24,127,-11,-29,35, 
  /* [44][0][][] */ -2,69,127,46,112,66,-3,29, 
  /* [45][0][][] */ -28,5,66,114,-126,77,-127,-6, 
  /* [46][0][][] */ -101,-117,122,65,-127,-117,-59,-30, 
  /* [47][0][][] */ 17,7,101,-105,-127,74,-59,96, 
};
const TfArray<4, int> tensor_dimension20 = { 4, { 48,1,1,8 } };
const TfArray<48, float> quant20_scale = { 48, { 0.0018308748258277774, 0.0036274415906518698, 0.0026264868211001158, 0.0033447274472564459, 0.0013549431459978223, 0.0020128039177507162, 0.0016099938657134771, 0.0013388671213760972, 0.0022878714371472597, 0.0031724318396300077, 0.0020553532522171736, 0.0020729003008455038, 0.0033914519008249044, 0.0033689250703901052, 0.004110945388674736, 0.0026542723644524813, 0.0022553671151399612, 0.0017156159738078713, 0.0016046901000663638, 0.0037800783757120371, 0.0041002905927598476, 0.0034229999873787165, 0.002769167535007, 0.0018943585455417633, 0.0018066039774566889, 0.0019031154224649072, 0.0036083243321627378, 0.0020696208812296391, 0.0020710034295916557, 0.0029457178898155689, 0.0014628829667344689, 0.0015688808634877205, 0.0016512844013050199, 0.0022318200208246708, 0.0027630000840872526, 0.0027522558812052011, 0.0024110330268740654, 0.0016292772488668561, 0.0023947281297296286, 0.00016470950504299253, 0.0024463729932904243, 0.0010854718275368214, 0.0009976543951779604, 0.0039903777651488781, 0.0012414152733981609, 0.0030934251844882965, 0.0015890984795987606, 0.002035199198871851, } };
const TfArray<48, int> quant20_zero = { 48, { 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0 } };
const TfLiteAffineQuantization quant20 = { (TfLiteFloatArray*)&quant20_scale, (TfLiteIntArray*)&quant20_zero, 0 };
const ALIGN(16) int32_t tensor_data21[48] = { 2955, -2045, 2785, -2204, 13090, 1173, 9463, -5026, 2002, 2385, 5825, 3847, -1725, -400, -149, 2073, -3243, 6656, 7894, 187, -1189, 1329, -1148, 4912, 3419, 4163, 1567, -2013, 6218, -424, 7959, -1330, -6863, 4753, -2696, 1880, 1461, 5943, -2110, 134523, 2890, 18126, -15685, 1256, 10849, -635, 8892, 3419, };
const TfArray<1, int> tensor_dimension21 = { 1, { 48 } };
const TfArray<48, float> quant21_scale = { 48, { 0.00010880959598580375, 0.00021558025036938488, 0.00015609311230946332, 0.00019877843442372978, 8.0524790973868221e-05, 0.00011962170538026839, 9.5682553364895284e-05, 7.9569384979549795e-05, 0.00013596907956525683, 0.00018853883375413716, 0.00012215043534524739, 0.00012319325469434261, 0.00020155528909526765, 0.0002002165128942579, 0.00024431507335975766, 0.00015774441999383271, 0.00013403732737060636, 0.00010195971117354929, 9.536734432913363e-05, 0.00022465150686912239, 0.00024368184676859528, 0.00020343020150903612, 0.00016457268793601543, 0.0001125824564951472, 0.00010736716649262235, 0.00011310287663945928, 0.00021444409503601491, 0.0001229983608936891, 0.00012308052100706846, 0.00017506514268461615, 8.6939697212073952e-05, 9.3239192210603505e-05, 9.8136464657727629e-05, 0.00013263791333884001, 0.00016420615429524332, 0.00016356761625502259, 0.00014328862016554922, 9.6828567620832473e-05, 0.00014231960813049227, 9.7887486845138483e-06, 0.00014538888353854418, 6.4510008087381721e-05, 5.9290981880621985e-05, 0.00023714968119747937, 7.3777788202278316e-05, 0.00018384344002697617, 9.4440729299094528e-05, 0.00012095266720280051, } };
const TfArray<48, int> quant21_zero = { 48, { 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0 } };
const TfLiteAffineQuantization quant21 = { (TfLiteFloatArray*)&quant21_scale, (TfLiteIntArray*)&quant21_zero, 0 };
const ALIGN(16) int8_t tensor_data22[1*3*3*48] = { 
  /* [0][0][][] */ -127,-56,-18,108,52,117,-57,50,-127,-27,74,-61,4,-9,-43,-96,31,105,127,-7,127,-95,100,-121,-127,-74,39,65,-127,-57,-26,127,6,-117,92,-98,-66,-22,82,-17,-65,-100,40,-44,74,110,-117,-68, -42,-43,-111,93,70,123,-12,35,-95,17,33,-75,-19,-2,38,-52,60,55,105,24,105,-97,45,-43,-108,-127,21,127,17,-61,-20,22,10,-127,127,-127,-45,-85,101,7,-127,86,50,10,-38,74,-127,-67, -46,-46,-127,90,-4,127,-30,-30,42,-28,-28,11,-87,-4,-1,-106,13,80,113,44,91,-50,49,-41,-38,36,28,29,34,-118,-74,55,-24,-114,54,-50,-48,-82,25,-20,-102,-52,24,-19,-67,127,-99,-10, 
  /* [0][1][][] */ -100,53,38,-35,-14,59,-45,127,-12,-80,114,-19,105,-80,-121,-127,42,127,-18,-127,93,14,27,-127,-50,-89,59,9,-81,-61,-95,103,66,-28,63,37,-109,-77,127,-76,-49,-127,127,-125,127,63,-64,-97, -58,-4,40,-9,-127,35,-59,88,-9,-43,60,-127,127,-30,-107,-74,86,107,-14,-44,92,-112,127,-94,-35,-96,127,49,20,-30,-81,44,41,-2,90,-30,-81,-29,73,15,12,92,113,-127,8,125,-45,-72, -71,22,-10,127,-71,36,-66,104,-29,-2,45,70,-20,-127,-46,-50,93,37,26,24,5,-127,-33,-69,-95,-52,31,80,103,17,-80,0,-32,32,89,-28,-76,-72,66,-28,-40,-59,65,15,-28,96,23,31, 
  /* [0][2][][] */ -15,107,39,21,-11,93,-127,-51,-18,-127,127,-8,-30,-56,-66,-3,75,32,10,20,70,-58,-21,-90,68,27,70,-22,-98,-88,-61,94,127,-2,-5,23,127,-74,-12,-82,18,-86,32,-2,56,-22,60,73, -51,127,-2,4,-64,100,-85,-55,-91,-118,125,-21,-6,-44,-127,-51,127,49,-19,41,120,-46,1,-89,39,4,58,12,-2,-127,-127,58,61,34,23,-23,79,-75,-40,-127,10,17,64,-103,-23,38,29,49, -88,88,-21,40,-87,49,-50,-56,-54,-85,48,38,-51,-97,-96,26,78,7,21,90,-27,-17,-32,-37,-31,88,2,49,41,-28,-65,9,50,72,36,-58,65,-127,-13,-68,19,-103,-10,-5,-26,60,62,127, 
};
const TfArray<4, int> tensor_dimension22 = { 4, { 1,3,3,48 } };
const TfArray<48, float> quant22_scale = { 48, { 0.0053229257464408875, 0.0036953527014702559, 0.0046182349324226379, 0.0069625945761799812, 0.0086057865992188454, 0.0020769599359482527, 0.0012173224240541458, 0.0030178949236869812, 0.0046293260529637337, 0.002786305034533143, 0.0043235206976532936, 0.0046376511454582214, 0.0034188635181635618, 0.0037742627318948507, 0.0031313085928559303, 0.0018201578641310334, 0.0052925935015082359, 0.0024380839895457029, 0.0023971125483512878, 0.004643722902983427, 0.003682801267132163, 0.0022679234389215708, 0.0053933705203235149, 0.0018883618758991361, 0.0053519159555435181, 0.0011893120827153325, 0.0024713459424674511, 0.0046900133602321148, 0.0083424719050526619, 0.00063704384956508875, 0.0026464401744306087, 0.0063788909465074539, 0.023480655625462532, 0.0053566270507872105, 0.0056867278181016445, 0.0055307792499661446, 0.0034334529191255569, 0.0025712966453284025, 0.0043598785996437073, 0.0083918971940875053, 0.0066458452492952347, 0.0062823346816003323, 0.065314881503582001, 0.0042549078352749348, 0.0073666125535964966, 0.0019595797639340162, 0.0031177578493952751, 0.0034838586580008268, } };
const TfArray<48, int> quant22_zero = { 48, { 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0 } };
const TfLiteAffineQuantization quant22 = { (TfLiteFloatArray*)&quant22_scale, (TfLiteIntArray*)&quant22_zero, 3 };
const ALIGN(16) int32_t tensor_data23[48] = { 15799, 2549, 11400, 389, 10198, -12744, 54480, -3776, 2996, 32796, -6152, 10913, 7163, 18262, 30165, 32056, 547, 5049, -16905, 18765, -4566, 17200, 4736, 4734, 9165, 56465, 6140, -3384, 257, 61011, 21657, -1656, 1329, 4145, 497, 8769, -8469, 31827, 1649, 19155, 11233, 12755, 378, 8824, -1813, 6445, 30437, 3899, };
const TfArray<1, int> tensor_dimension23 = { 1, { 48 } };
const TfArray<48, float> quant23_scale = { 48, { 0.00012437523400876671, 8.6345433373935521e-05, 0.00010790945816552266, 0.00016268764738924801, 0.00020108239550609142, 4.8530146159464493e-05, 2.844389746314846e-05, 7.0515990955755115e-05, 0.00010816861322382465, 6.5104672103188932e-05, 0.00010102317901328206, 0.00010836313595063984, 7.9885001468937844e-05, 8.8189241068903357e-05, 7.3166003858204931e-05, 4.2529722122708336e-05, 0.0001236664829775691, 5.6968154240166768e-05, 5.6010816479101777e-05, 0.00010850500984815881, 8.6052161350380629e-05, 5.29921890120022e-05, 0.00012602123024407774, 4.4123371480964124e-05, 0.00012505261111073196, 2.7789408704848029e-05, 5.7745350204640999e-05, 0.00010958662460325286, 0.00019492980209179223, 1.4885135897202417e-05, 6.183659570524469e-05, 0.00014904886484146118, 0.00054864789126440883, 0.00012516269634943455, 0.00013287580804899335, 0.00012923192116431892, 8.0225894635077566e-05, 6.008079435559921e-05, 0.0001018727125483565, 0.00019608467118814588, 0.00015528649964835495, 0.00014679273590445518, 0.0015261443331837654, 9.9419972684700042e-05, 0.00017212791135534644, 4.5787448470946401e-05, 7.2849383286666125e-05, 8.140367572195828e-05, } };
const TfArray<48, int> quant23_zero = { 48, { 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0 } };
const TfLiteAffineQuantization quant23 = { (TfLiteFloatArray*)&quant23_scale, (TfLiteIntArray*)&quant23_zero, 0 };
const ALIGN(16) int8_t tensor_data24[16*1*1*48] = { 
  /* [0][0][][] */ 34,32,-27,-75,57,63,-43,14,-7,127,-41,28,-30,17,-36,35,51,22,17,-8,-64,25,-18,53,54,20,7,45,-21,-23,-17,3,-44,6,-92,58,39,-93,-49,2,23,-41,18,-8,-22,-64,-20,-8, 
  /* [1][0][][] */ -74,-32,-33,-26,73,73,-43,2,0,-16,-26,27,47,-69,-31,-27,-25,4,32,50,-12,10,-115,-19,-29,-26,57,114,-74,-50,40,-53,3,-74,4,30,-16,-74,127,-58,-28,12,-66,-46,31,46,73,11, 
  /* [2][0][][] */ 52,-2,13,24,-51,-26,2,15,92,66,-40,30,91,-86,127,97,-52,-56,-13,14,89,-94,-41,-96,45,-38,8,-51,51,9,-74,-19,20,-50,33,11,-67,-41,-22,-85,68,25,30,-2,48,-78,52,-51, 
  /* [3][0][][] */ 96,-13,-43,-47,27,113,13,-33,65,-65,-2,12,-7,9,60,31,-80,-62,-3,-127,6,43,8,29,24,60,97,52,-51,-23,30,32,51,-56,122,60,-30,-53,-44,13,61,11,-60,47,11,56,-19,-14, 
  /* [4][0][][] */ 89,4,-10,-26,69,112,37,0,55,-21,-120,21,30,-26,48,-28,-127,-84,5,-47,-41,7,-19,30,-48,88,-84,123,-35,-53,25,109,12,-38,21,-37,1,16,10,51,-37,-13,0,35,-35,92,-44,-29, 
  /* [5][0][][] */ -15,-1,-66,38,2,62,12,-33,27,82,45,111,48,-22,5,-12,-16,111,-10,19,36,-15,-127,-20,33,33,-67,-44,47,35,1,11,-40,-15,81,-8,-33,6,-69,5,75,12,23,-15,6,29,-51,11, 
  /* [6][0][][] */ -25,38,44,15,-7,-44,56,-30,-18,76,127,49,18,49,-82,17,43,-4,-45,80,-11,-80,-4,33,-113,83,49,2,96,59,17,42,79,-56,-122,-12,79,66,20,84,-20,57,81,-33,89,77,46,14, 
  /* [7][0][][] */ -126,25,-24,30,-69,-37,19,64,26,101,-35,-83,-72,-36,-37,-19,-69,92,22,125,-92,55,31,23,-36,-65,-9,-101,1,41,-13,66,-25,2,37,-11,67,-13,127,37,22,12,65,-22,82,73,-69,42, 
  /* [8][0][][] */ 15,-47,12,-52,37,-31,39,-16,-5,-59,-4,-5,-6,16,39,20,-18,-13,-14,70,-17,22,-4,-3,56,-18,-31,-19,-127,-21,-47,-93,-17,-30,-10,41,-12,14,30,-36,26,-18,15,85,8,-33,-41,49, 
  /* [9][0][][] */ 68,-65,-7,-60,51,63,-11,18,66,-54,-41,-30,-12,-42,127,10,-43,-98,4,49,-46,19,37,30,25,-87,-14,69,54,34,-37,-36,-43,-28,0,110,-2,-47,-56,-30,21,-31,0,62,11,31,-47,21, 
  /* [10][0][][] */ -26,-3,20,6,20,13,-39,-7,31,-6,69,17,-26,-21,51,-30,-43,127,21,20,-15,-3,41,10,-74,36,29,83,2,-9,-17,14,102,50,-26,7,-18,-47,-12,-31,-121,16,57,30,35,63,28,21, 
  /* [11][0][][] */ -26,94,-63,22,-5,69,-13,12,-30,22,-127,-73,84,4,-32,-42,0,34,-6,-48,-19,12,97,0,54,8,22,-4,-6,16,16,79,58,-15,-41,44,33,91,82,16,85,-33,44,31,-1,3,49,64, 
  /* [12][0][][] */ -30,12,4,3,-43,-48,-16,-30,-39,8,-127,5,20,-72,-15,4,-10,38,58,-63,-46,2,-37,-60,16,25,33,-9,33,2,-20,30,57,34,14,-23,-45,-23,-10,2,-19,-9,61,-18,8,-15,-32,-22, 
  /* [13][0][][] */ -59,-41,-17,-94,9,29,48,45,-63,-14,73,-34,8,34,52,27,127,10,-12,-72,75,8,91,37,-61,-7,-5,-40,52,-60,-59,49,75,-22,-70,76,51,-29,68,-14,-3,73,58,23,36,-39,68,-37, 
  /* [14][0][][] */ 109,11,-106,-21,-58,20,-95,-53,5,41,6,21,-8,-127,45,4,31,-121,13,37,65,-49,-17,39,60,79,-75,-6,-106,-42,-111,-65,86,-58,90,6,-46,-18,-61,4,40,-97,2,-41,-64,-77,-46,56, 
  /* [15][0][][] */ -127,-29,92,42,122,-19,54,47,10,53,-23,42,42,28,-18,-22,29,62,-2,-65,6,-28,-22,-24,-20,-40,-61,50,-85,21,10,41,-70,46,109,-49,-57,49,63,31,-118,-3,65,25,-54,25,-46,-43, 
};
const TfArray<4, int> tensor_dimension24 = { 4, { 16,1,1,48 } };
const TfArray<16, float> quant24_scale = { 16, { 0.0038877965416759253, 0.0034357800614088774, 0.0046433974057435989, 0.0038107170257717371, 0.0047698328271508217, 0.0040315762162208557, 0.0029879494104534388, 0.0051355650648474693, 0.0033002477139234543, 0.0033967455383390188, 0.004742802120745182, 0.0048722038045525551, 0.00522958068177104, 0.0037342251744121313, 0.0022494175937026739, 0.0023292212281376123, } };
const TfArray<16, int> quant24_zero = { 16, { 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0 } };
const TfLiteAffineQuantization quant24 = { (TfLiteFloatArray*)&quant24_scale, (TfLiteIntArray*)&quant24_zero, 0 };
const ALIGN(16) int32_t tensor_data25[16] = { 4251, 8727, -6944, -4147, 8939, -11617, -38883, -9199, 1430, 5896, -21477, -14243, 13440, -12923, 12646, -330, };
const TfArray<1, int> tensor_dimension25 = { 1, { 16 } };
const TfArray<16, float> quant25_scale = { 16, { 9.1477566456887871e-05, 8.0841884482651949e-05, 0.00010925641254289076, 8.9663932158146054e-05, 0.00011223136243643239, 9.4860617537051439e-05, 7.0304689870681614e-05, 0.0001208368266816251, 7.7652890468016267e-05, 7.9923425801098347e-05, 0.00011159534915350378, 0.00011464009003248066, 0.00012304895790293813, 8.7864122178871185e-05, 5.2927473007002845e-05, 5.4805204854346812e-05, } };
const TfArray<16, int> quant25_zero = { 16, { 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0 } };
const TfLiteAffineQuantization quant25 = { (TfLiteFloatArray*)&quant25_scale, (TfLiteIntArray*)&quant25_zero, 0 };
const ALIGN(16) int8_t tensor_data26[96*1*1*16] = { 
  /* [0][0][][] */ 102,60,25,50,-87,-62,17,-22,127,114,-42,31,67,-73,11,18, 
  /* [1][0][][] */ -27,27,-127,-41,29,-4,23,53,-21,-26,30,4,-23,61,-98,-1, 
  /* [2][0][][] */ -79,109,0,-43,54,95,39,97,8,-59,78,-10,41,-127,-63,51, 
  /* [3][0][][] */ 61,-69,-13,74,127,9,-50,-28,53,74,-51,42,-122,106,-13,27, 
  /* [4][0][][] */ -14,-40,49,25,-127,22,-74,-60,-59,36,-80,-121,-44,-30,24,33, 
  /* [5][0][][] */ -92,33,-15,42,77,58,3,2,0,27,-16,16,-127,1,-23,-41, 
  /* [6][0][][] */ -127,38,-10,45,-2,-42,30,35,-23,-36,-6,-24,60,-52,1,45, 
  /* [7][0][][] */ 47,127,30,-10,-75,38,65,-70,52,-66,-64,-81,68,-40,21,-50, 
  /* [8][0][][] */ 6,39,37,112,9,13,-94,-127,43,40,-6,-69,60,-23,5,-50, 
  /* [9][0][][] */ -67,-89,7,81,-86,-94,-15,49,36,42,-2,46,-127,25,-56,-42, 
  /* [10][0][][] */ -34,-56,-59,19,-48,113,117,-127,-120,-65,64,-95,21,103,-93,123, 
  /* [11][0][][] */ -35,-64,-73,-122,56,118,98,96,50,-1,-29,-35,-17,-107,-127,121, 
  /* [12][0][][] */ -8,-105,7,99,-58,-47,-14,-24,90,85,-90,51,-127,-20,80,-49, 
  /* [13][0][][] */ -39,-67,-13,16,-9,-5,21,-5,-20,127,-22,-15,57,32,22,-46, 
  /* [14][0][][] */ 27,-89,-4,-21,-16,-2,0,-57,127,31,-8,122,92,50,-32,-104, 
  /* [15][0][][] */ 8,-127,76,-67,-35,-35,-40,49,29,-9,-84,-31,4,-47,30,-47, 
  /* [16][0][][] */ -37,-95,18,-112,53,73,50,-3,91,-127,23,-19,16,30,-67,-57, 
  /* [17][0][][] */ -75,40,-6,95,88,78,-127,66,70,-61,65,50,121,-124,6,-17, 
  /* [18][0][][] */ 49,4,-7,-64,-27,-22,87,-53,-2,47,-19,21,-60,127,43,-72, 
  /* [19][0][][] */ 2,-11,58,-4,-61,-16,-42,-66,11,57,-2,-127,15,0,24,-62, 
  /* [20][0][][] */ -9,82,-7,-57,13,-20,-33,63,-62,-127,68,-7,5,-3,-28,35, 
  /* [21][0][][] */ -72,-43,-67,9,-8,82,70,46,-58,-127,49,3,7,-79,-11,85, 
  /* [22][0][][] */ 49,-6,34,47,18,-1,49,16,23,127,-4,84,11,45,105,-17, 
  /* [23][0][][] */ -51,26,0,6,15,56,-10,-60,-24,-7,-5,-127,16,-15,9,44, 
  /* [24][0][][] */ 25,-64,14,38,52,-16,-50,-15,17,127,-115,25,-57,-14,25,-27, 
  /* [25][0][][] */ 25,-78,62,127,95,-10,-59,43,-104,124,8,37,-59,85,116,-18, 
  /* [26][0][][] */ -23,79,-1,44,-70,122,-13,17,-67,-34,-79,38,-14,14,81,-127, 
  /* [27][0][][] */ 34,58,4,-83,-117,-38,-16,-36,-92,-93,-53,-57,-42,79,2,127, 
  /* [28][0][][] */ -106,-33,68,-11,87,25,-100,12,4,-26,78,-15,67,-127,-72,43, 
  /* [29][0][][] */ -43,-127,-11,82,22,-2,85,22,19,27,-47,19,-8,-50,-55,123, 
  /* [30][0][][] */ 5,-50,-127,-24,-67,37,45,35,13,-21,32,60,-40,8,-8,91, 
  /* [31][0][][] */ -127,-43,28,29,29,42,-37,19,-1,-68,9,-18,-3,-45,-16,109, 
  /* [32][0][][] */ -38,-54,-23,10,-6,-76,-69,-40,127,97,-90,-34,-22,-19,24,-52, 
  /* [33][0][][] */ -5,-7,-61,-43,-127,-53,82,18,-89,-10,-37,-64,36,32,-11,44, 
  /* [34][0][][] */ -7,7,43,28,-80,-30,-38,-20,56,-49,-66,-49,-127,55,82,15, 
  /* [35][0][][] */ 13,-43,-86,-127,-38,29,83,47,-11,-23,-17,-11,-16,-10,-48,71, 
  /* [36][0][][] */ 1,22,-5,95,127,-76,-62,62,57,80,-98,-33,-48,8,10,-9, 
  /* [37][0][][] */ -92,89,-75,-63,58,-24,-17,10,-41,-65,-3,36,116,-127,-28,-56, 
  /* [38][0][][] */ -10,8,45,25,-3,-8,-111,-104,68,20,-19,-25,-98,-47,127,-38, 
  /* [39][0][][] */ 13,2,4,-25,-71,97,127,-56,-44,-16,-25,-103,-28,102,7,58, 
  /* [40][0][][] */ 65,70,-13,100,-101,33,-21,-57,-6,9,-30,-27,-98,-9,127,-83, 
  /* [41][0][][] */ 8,52,25,15,-127,46,15,14,-25,47,-24,31,-9,15,74,-119, 
  /* [42][0][][] */ -56,11,-51,-14,116,-5,15,82,7,-120,0,29,1,-127,19,76, 
  /* [43][0][][] */ 28,-14,-53,-50,127,23,9,49,-47,-19,-78,2,70,-21,-52,30, 
  /* [44][0][][] */ -61,22,-30,-72,17,-8,55,64,-52,-34,55,58,44,17,-25,127, 
  /* [45][0][][] */ -85,-75,-125,5,-29,102,29,-19,-21,-69,16,-64,-127,2,-74,30, 
  /* [46][0][][] */ 12,-94,-43,45,98,-37,-69,52,-21,18,-6,127,-67,-4,87,-80, 
  /* [47][0][][] */ -1,-10,57,127,13,18,-29,2,71,97,6,5,-8,31,78,0, 
  /* [48][0][][] */ 54,-14,-105,-127,12,-53,26,64,34,-126,-39,12,-17,5,-83,-109, 
  /* [49][0][][] */ -31,122,26,47,-104,-98,72,35,-12,60,-14,-18,-19,29,127,46, 
  /* [50][0][][] */ -10,-40,-1,28,-127,6,-33,-56,53,28,-45,5,-53,-55,61,-45, 
  /* [51][0][][] */ 51,19,-57,-127,-35,-20,61,51,-52,5,27,33,38,111,-50,18, 
  /* [52][0][][] */ 105,6,35,-67,63,16,-32,-127,112,55,-68,-29,-71,8,62,1, 
  /* [53][0][][] */ -71,9,48,86,-15,-127,-51,-2,28,102,-22,87,-50,-71,26,-110, 
  /* [54][0][][] */ 58,46,40,63,71,9,-112,-47,61,68,-14,127,77,-55,-11,-11, 
  /* [55][0][][] */ 76,73,-5,33,55,54,11,-84,-53,127,-53,42,68,-69,7,28, 
  /* [56][0][][] */ 13,-12,-90,15,-127,-20,33,42,85,-33,111,-69,-28,-41,-21,47, 
  /* [57][0][][] */ 87,59,46,-30,15,-22,16,-21,14,-10,-52,101,127,6,105,-100, 
  /* [58][0][][] */ 66,-2,-127,-88,2,-15,53,82,-12,2,-45,76,92,16,30,29, 
  /* [59][0][][] */ -23,-63,16,-99,-80,-78,-18,21,50,23,-94,-127,-36,-83,75,-38, 
  /* [60][0][][] */ 72,-79,31,-15,-98,83,103,-127,-25,85,-72,78,23,45,43,-57, 
  /* [61][0][][] */ 95,16,53,-7,-5,-127,-3,-87,38,53,-63,33,-41,97,53,-26, 
  /* [62][0][][] */ -96,62,8,93,-53,56,-14,-8,45,9,-17,-33,-120,72,85,-127, 
  /* [63][0][][] */ -47,-21,-45,-127,-44,-24,106,15,-24,-93,18,17,-28,18,-26,-45, 
  /* [64][0][][] */ -21,39,-4,59,8,-71,-50,57,-70,25,-40,-10,-42,127,60,-5, 
  /* [65][0][][] */ -50,-52,37,92,127,48,-31,-89,-76,-8,-88,-18,-69,36,8,-67, 
  /* [66][0][][] */ 29,13,35,21,-4,127,-2,7,-55,0,-73,23,38,8,85,-51, 
  /* [67][0][][] */ 17,21,1,-25,21,-24,20,-82,22,15,-34,69,-127,-2,-11,-68, 
  /* [68][0][][] */ 61,-127,19,86,36,-2,-67,7,50,112,-20,52,-8,49,4,-66, 
  /* [69][0][][] */ 89,127,72,16,59,-4,-80,-39,72,123,-62,93,118,-51,93,-109, 
  /* [70][0][][] */ -3,19,-2,-45,58,23,-21,31,-89,-93,21,18,0,50,-127,21, 
  /* [71][0][][] */ -64,-68,41,23,127,71,11,106,-110,106,-122,21,18,25,-94,20, 
  /* [72][0][][] */ 36,-38,77,53,-33,-38,-45,-127,-36,53,16,31,36,99,1,-20, 
  /* [73][0][][] */ 25,5,-40,-20,37,-111,8,-9,85,73,117,36,-24,-9,-62,127, 
  /* [74][0][][] */ -33,63,-55,66,-57,0,50,72,57,16,66,127,89,48,-98,42, 
  /* [75][0][][] */ 9,13,-61,27,-100,127,-30,-1,44,19,-94,-5,-75,39,42,-104, 
  /* [76][0][][] */ -69,105,-85,-5,-49,50,26,72,63,21,16,-53,5,-23,-127,89, 
  /* [77][0][][] */ 1,23,30,103,116,-2,-35,127,92,61,76,-41,-19,-72,70,-25, 
  /* [78][0][][] */ 15,-18,26,-57,87,-99,49,-89,110,52,127,-76,-21,-53,-14,81, 
  /* [79][0][][] */ -33,10,48,8,14,-48,-6,40,-127,-21,79,-31,119,-32,-88,-19, 
  /* [80][0][][] */ -97,-10,54,-27,15,65,7,-127,-9,32,24,-73,-74,-57,-6,21, 
  /* [81][0][][] */ 71,70,-27,29,28,-38,-39,68,9,127,-28,-38,-58,28,109,66, 
  /* [82][0][][] */ -39,51,-22,-50,-68,-33,127,-26,-36,-78,74,48,95,31,-17,-3, 
  /* [83][0][][] */ -43,56,91,3,-12,-57,11,-127,12,2,103,-65,34,-37,19,-121, 
  /* [84][0][][] */ -127,-17,-24,26,-39,52,63,-6,4,-20,111,6,-26,45,-81,-20, 
  /* [85][0][][] */ 3,-9,59,35,75,-18,-83,39,13,127,-35,-36,-79,-9,22,-32, 
  /* [86][0][][] */ -82,97,-29,-2,-10,32,38,103,57,-33,127,28,42,46,-81,30, 
  /* [87][0][][] */ 0,-74,10,-89,64,-127,34,-80,44,-12,99,-17,13,-47,-79,105, 
  /* [88][0][][] */ -31,46,102,14,65,-88,-82,15,30,40,85,-84,111,42,127,-112, 
  /* [89][0][][] */ -11,48,54,37,-92,50,-18,12,-34,34,-55,0,-21,109,42,-127, 
  /* [90][0][][] */ 45,-86,-2,-9,113,9,43,51,-7,-62,-63,11,-19,-50,-127,38, 
  /* [91][0][][] */ -73,6,-47,-119,28,25,52,86,-127,-78,-44,-102,-36,-117,-71,85, 
  /* [92][0][][] */ -49,105,-26,-26,-127,-11,72,-17,-56,-64,75,-122,-85,-119,-60,94, 
  /* [93][0][][] */ -3,-46,-33,9,-8,-29,14,127,85,0,3,22,32,4,-9,34, 
  /* [94][0][][] */ 104,17,36,6,38,49,-15,-36,40,127,-56,45,-62,43,73,2, 
  /* [95][0][][] */ 4,-22,-11,26,127,-30,-14,35,-30,35,-56,52,9,22,-8,-30, 
};
const TfArray<4, int> tensor_dimension26 = { 4, { 96,1,1,16 } };
const TfArray<96, float> quant26_scale = { 96, { 0.002565301489084959, 0.0024691938888281584, 0.0017751712584868073, 0.0019863185007125139, 0.0010836385190486908, 0.0021533446852117777, 0.00064799841493368149, 0.0029872593004256487, 0.0010663577122613788, 0.0036129287909716368, 0.0016599412774667144, 0.0013546085683628917, 0.0015396603848785162, 0.002616706071421504, 0.0033085278701037169, 0.0018519599689170718, 0.0043951529078185558, 0.002309698611497879, 0.0030283804517239332, 0.00099895568564534187, 0.0022210825700312853, 0.0014401321532204747, 0.0022744424641132355, 0.0044452380388975143, 0.0013844865607097745, 0.0023074583150446415, 0.0034070049878209829, 0.0010270851198583841, 0.00099963042885065079, 0.0032550680916756392, 0.0022672258783131838, 0.003127729520201683, 0.0017464285483583808, 0.0019884735811501741, 0.0023574489168822765, 0.0018398159882053733, 0.001383724738843739, 0.0023535939399152994, 0.0016363621689379215, 0.0038136022631078959, 0.0010911138961091638, 0.0027226286474615335, 0.0018879439448937774, 0.003194756805896759, 0.0016950122080743313, 0.0018265368416905403, 0.0016389064257964492, 0.0011238014558330178, 0.0033872723579406738, 0.0023468164727091789, 0.0029385343659669161, 0.0024760151281952858, 0.0020044338889420033, 0.0014524200232699513, 0.0026263815816491842, 0.0033118159044533968, 0.0033613343257457018, 0.0019936754833906889, 0.0027894503436982632, 0.0027940727304667234, 0.0025257277302443981, 0.0015005638124421239, 0.0025822659954428673, 0.0031617057975381613, 0.0018362385453656316, 0.0021784284617751837, 0.0027366103604435921, 0.0041883974336087704, 0.001082687871530652, 0.00059768039500340819, 0.0030964470934122801, 0.0042276042513549328, 0.0020526659209281206, 0.0011210922384634614, 0.0027367735747247934, 0.0017562218708917499, 0.0022104291711002588, 0.00072933221235871315, 0.0030987479258328676, 0.0024166766088455915, 0.0021016921382397413, 0.0039946134202182293, 0.002068905858322978, 0.0012020712019875646, 0.0041021909564733505, 0.001223213504999876, 0.0017765937373042107, 0.0026934766210615635, 0.0030550893861800432, 0.0021431948989629745, 0.003767720190808177, 0.0012429506750777364, 0.0017493758350610733, 0.0018596781883388758, 0.0023199303541332483, 0.0027333453763276339, } };
const TfArray<96, int> quant26_zero = { 96, { 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0 } };
const TfLiteAffineQuantization quant26 = { (TfLiteFloatArray*)&quant26_scale, (TfLiteIntArray*)&quant26_zero, 0 };
const ALIGN(16) int32_t tensor_data27[96] = { 3000, 3817, -564, 3862, 20999, 9507, 23107, 2876, 19133, -120, 4662, 7546, 3936, 3784, 327, 5864, 1231, 2992, -802, 22019, 841, 8032, -3009, 1390, -10115, -3, 2163, 17948, 21117, 3069, 6146, 1907, 6854, 7272, 3879, 7642, 13896, 893, 7177, -971, 13490, 1219, 3851, 156, 5945, 8798, 9745, 17664, -53, -5359, 1489, 4635, 5731, -9674, 998, 1914, 1715, 6648, 2083, 2533, 628, 8070, 2271, 825, 9935, 1857, 4958, 951, 14819, 35143, 2079, 99, -3980, 20401, 572, 7254, -1409, 33887, 3095, 4911, 6924, 1047, 5171, 19560, -689, 15341, 4587, 2160, 2321, 4461, -261, 7623, 1450, 9915, 1369, 5386, };
const TfArray<1, int> tensor_dimension27 = { 1, { 96 } };
const TfArray<96, float> quant27_scale = { 96, { 0.00012087643699487671, 0.00011634786642389372, 8.3645674749277532e-05, 9.3594884674530476e-05, 5.1060804253211245e-05, 0.00010146512067876756, 3.0533541576005518e-05, 0.00014075898798182607, 5.0246537284692749e-05, 0.00017024039698299021, 7.8216064139269292e-05, 6.3828854763414711e-05, 7.2548456955701113e-05, 0.00012329861056059599, 0.00015589709801133722, 8.7263942987192422e-05, 0.00020709862292278558, 0.00010883248614845797, 0.0001426966191502288, 4.7070570872165263e-05, 0.0001046569159370847, 6.7858709371648729e-05, 0.00010717122495407239, 0.00020945862343069166, 6.5236701630055904e-05, 0.00010872691927943379, 0.00016053731087595224, 4.8396021156804636e-05, 4.7102363168960437e-05, 0.00015337808872573078, 0.00010683117579901591, 0.00014737792662344873, 8.2291327998973429e-05, 9.3696435214951634e-05, 0.00011108246690127999, 8.6691718024667352e-05, 6.5200802055187523e-05, 0.0001109008226194419, 7.7105018135625869e-05, 0.0001796960859792307, 5.1413044275250286e-05, 0.00012828965554945171, 8.8959495769813657e-05, 0.00015053623064886779, 7.9868601460475475e-05, 8.606600749772042e-05, 7.7224904089234769e-05, 5.295327355270274e-05, 0.00015960751625243574, 0.00011058147356379777, 0.00013846308866050094, 0.00011666928185150027, 9.4448478193953633e-05, 6.8437708250712603e-05, 0.00012375452206470072, 0.00015605203225277364, 0.00015838532999623567, 9.3941547675058246e-05, 0.0001314382825512439, 0.00013165608106646687, 0.00011901172547368333, 7.0706235419493169e-05, 0.00012167580280220136, 0.00014897887012921274, 8.6523148638661951e-05, 0.00010264706361340359, 0.00012894847895950079, 0.00019735634850803763, 5.1016013458138332e-05, 2.8162567105027847e-05, 0.00014590390492230654, 0.00019920377235393971, 9.6721159934531897e-05, 5.2825616876361892e-05, 0.00012895616237074137, 8.275278378278017e-05, 0.00010415493306936696, 3.4365970350336283e-05, 0.00014601231669075787, 0.00011387326230760664, 9.9031269201077521e-05, 0.00018822529818862677, 9.7486386948730797e-05, 5.664132913807407e-05, 0.0001932943268911913, 5.7637549616629258e-05, 8.371270087081939e-05, 0.00012691601295955479, 0.00014395512698683888, 0.00010098686470882967, 0.0001775341370375827, 5.8567558880895376e-05, 8.2430196925997734e-05, 8.7627624452579767e-05, 0.000109314605651889, 0.00012879462155979127, } };
const TfArray<96, int> quant27_zero = { 96, { 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0 } };
const TfLiteAffineQuantization quant27 = { (TfLiteFloatArray*)&quant27_scale, (TfLiteIntArray*)&quant27_zero, 0 };
const ALIGN(16) int8_t tensor_data28[1*3*3*96] = { 
  /* [0][0][][] */ -96,-20,2,4,127,14,109,48,-6,-114,-40,-4,-127,-81,-10,-43,127,120,-55,-74,14,58,-51,-25,-23,-84,-127,-15,94,-31,-18,-26,-127,7,3,-27,43,-110,-127,73,-107,-63,8,-10,-93,29,-127,-40,-59,44,-104,76,-65,-60,106,-40,-33,-6,6,74,-86,-72,-37,-3,14,-19,8,-127,18,75,14,48,-80,-24,-20,127,-48,-123,119,-50,-73,48,-76,34,-99,-44,38,-4,44,-127,-41,-69,10,36,-127,20, -53,7,18,-92,-95,-101,127,-17,22,-104,-76,-26,-54,-56,-105,38,39,127,0,-29,-57,102,-34,101,3,31,3,49,127,13,86,-21,-58,-10,-127,-6,16,33,58,126,-43,-45,-34,-29,14,-30,103,-23,-9,11,-22,127,-22,112,-5,-15,-96,44,-15,127,-39,-127,-55,-41,-31,28,7,-38,22,23,-29,28,-127,36,-26,31,-127,-127,-7,-109,-127,17,-26,66,18,38,-127,25,-127,-45,34,-13,15,84,-67,-67, 104,-83,28,29,115,-109,102,-4,16,-75,-28,52,-4,-79,-33,-57,-13,89,14,-30,42,30,-16,48,-12,-84,-79,54,-15,-43,23,-10,-13,14,-74,117,35,-44,-45,71,73,-50,56,-30,-121,14,-72,-34,-1,1,-72,93,49,57,39,-2,48,-27,26,86,-10,-27,-37,-60,-16,-62,127,7,3,41,19,-17,-17,-55,-99,77,-106,48,-123,-33,-82,-10,-89,67,42,-1,52,-26,-9,-121,18,90,-41,32,-52,-54, 
  /* [0][1][][] */ -127,-16,67,-127,102,127,-53,-127,1,55,-69,-124,-64,-23,36,99,26,35,-12,-3,-15,-26,127,-115,9,107,3,-35,4,36,62,28,-13,18,30,-54,-13,-127,-92,-127,-86,29,69,-37,-63,127,-66,-93,127,65,-33,-31,-127,127,127,-13,46,-17,-13,46,-14,-12,22,-77,-106,86,-14,-2,27,12,-127,113,27,83,112,-55,-46,-94,-42,-99,-36,-47,-127,-9,127,27,-103,40,17,52,29,-83,127,-47,-86,30, 59,127,127,7,-67,-103,8,-89,127,127,-127,-127,40,127,-39,127,49,-122,-54,127,1,-82,-32,-127,-127,-86,97,14,-93,127,31,127,24,127,6,-73,52,20,94,58,127,86,-127,-106,127,-21,111,106,70,-127,127,-46,77,57,-104,127,-110,127,-127,117,-85,48,93,8,63,127,-62,46,-88,-127,-1,-127,-15,127,127,-26,31,-30,127,-127,21,127,11,127,66,85,-125,127,-125,13,5,-15,-89,-55,-29,-10, -83,-102,45,-78,62,24,-39,-2,-35,-74,-40,81,52,-34,42,-13,-97,33,63,20,27,-48,49,-61,4,-28,3,9,-37,-13,127,0,-17,-8,27,127,3,-27,-13,-86,5,-4,-1,-127,-87,-48,-28,-127,63,61,-26,5,86,10,105,-25,1,-18,8,-26,10,-35,-39,-60,-38,-79,-23,13,-29,39,-17,8,20,-42,2,64,-24,4,-59,64,-11,21,-78,-1,46,54,-62,43,-104,-75,127,127,-71,16,-74,-25, 
  /* [0][2][][] */ -66,-60,-57,-68,82,52,-10,-41,-11,-11,0,-67,-3,-37,19,51,82,43,-127,-99,-127,-103,54,-6,-27,127,-31,-127,48,-61,-72,27,43,6,-55,-49,-66,3,-72,-77,-81,-42,-9,61,-16,25,-13,-95,-64,-37,-99,-28,-38,78,61,11,127,-68,-1,60,-16,36,-3,-127,-101,9,61,-3,87,94,-14,96,12,-24,-112,-46,44,1,10,-105,44,-52,-21,-85,86,-21,99,-21,58,1,-35,-28,-12,-19,14,80, -50,-69,-20,-47,12,56,53,45,-25,76,77,-118,-24,-30,127,51,57,-20,68,-33,-110,-89,55,-14,-9,-14,92,-7,-62,-24,-78,-9,-8,6,-81,21,-127,-74,64,-75,-27,-127,-100,119,33,15,-2,-33,13,-23,-1,-27,3,104,-7,-6,-19,-20,42,-22,127,47,127,-101,-119,-20,-27,-15,127,29,-56,-11,32,-28,-77,-53,48,91,-17,9,65,-96,-28,-86,64,-127,10,-26,-13,30,-14,-3,-2,-127,35,127, 2,-40,-44,-33,63,-34,-7,-53,-35,-34,-18,76,28,-21,38,-39,3,52,34,-87,-30,-127,60,-28,-30,94,88,-29,-3,-112,-94,31,31,4,4,48,5,28,23,-36,-40,-59,-1,29,-36,30,-58,-27,-123,-39,-36,11,19,111,76,-23,58,-28,1,46,-67,23,68,-54,-127,-45,21,16,50,65,-11,-24,-51,-51,-101,-11,16,-41,41,-21,27,-62,-18,-75,3,4,57,-42,16,16,14,79,-59,45,18,58, 
};
const TfArray<4, int> tensor_dimension28 = { 4, { 1,3,3,96 } };
const TfArray<96, float> quant28_scale = { 96, { 0.0034051206894218922, 0.005425531417131424, 0.0035112702753394842, 0.0030901944264769554, 0.0056850551627576351, 0.013611728325486183, 0.0046785194426774979, 0.0064790933392941952, 0.019862355664372444, 0.0044451826252043247, 0.00393716711550951, 0.0046561760827898979, 0.0066505726426839828, 0.0069035142660140991, 0.0066498080268502235, 0.0067707919515669346, 0.005307772196829319, 0.0065386672504246235, 0.013612601906061172, 0.01329388003796339, 0.0027236167807132006, 0.0056533445604145527, 0.0088410535827279091, 0.0070221442729234695, 0.023306403309106827, 0.0026513987686485052, 0.0071801361627876759, 0.010222109965980053, 0.010076223872601986, 0.0045181494206190109, 0.0042518875561654568, 0.0098065873607993126, 0.0061297612264752388, 0.011641791090369225, 0.0056263701990246773, 0.0075711188837885857, 0.0095304204151034355, 0.0071596368215978146, 0.0092247724533081055, 0.0053618433885276318, 0.011302702128887177, 0.0039848396554589272, 0.0092699415981769562, 0.0025450363755226135, 0.0054780347272753716, 0.012706116773188114, 0.0088327238336205482, 0.0074607012793421745, 0.0030613171402364969, 0.043887447565793991, 0.0070280707441270351, 0.0090020624920725822, 0.0082225566729903221, 0.0088985981419682503, 0.0071953763253986835, 0.013002684339880943, 0.0029374305158853531, 0.01237602811306715, 0.010467156767845154, 0.0028726109303534031, 0.0073179081082344055, 0.0063417274504899979, 0.0037342035211622715, 0.0054520098492503166, 0.0041832816787064075, 0.012658284977078438, 0.0099858716130256653, 0.010229209437966347, 0.0053736763074994087, 0.0098666520789265633, 0.0066596199758350849, 0.0077515062876045704, 0.0098183071240782738, 0.011601078324019909, 0.0020847665145993233, 0.009882710874080658, 0.00086900178575888276, 0.0062668696045875549, 0.0051517337560653687, 0.0036963855382055044, 0.0086815161630511284, 0.0068977945484220982, 0.01012199092656374, 0.014689953066408634, 0.0050193723291158676, 0.012945073656737804, 0.00421880092471838, 0.0086295166984200478, 0.004731988999992609, 0.0078235724940896034, 0.006270174402743578, 0.006810125894844532, 0.0070164953358471394, 0.009893292561173439, 0.001159067964181304, 0.0049349134787917137, } };
const TfArray<96, int> quant28_zero = { 96, { 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0 } };
const TfLiteAffineQuantization quant28 = { (TfLiteFloatArray*)&quant28_scale, (TfLiteIntArray*)&quant28_zero, 3 };
const ALIGN(16) int32_t tensor_data29[96] = { 10176, 7342, -9482, 15393, -14815, 2389, -1837, 4474, -1726, -2999, 9278, 4902, 3850, 5736, -2079, -5540, -5823, -9538, -452, 8479, 6506, 10584, -3118, 7060, 826, 12424, -4121, 3903, -1287, 204, -7729, -3460, 5613, -3128, 7242, -3640, -275, 8706, 6129, 4654, 4856, 4142, 5682, 10078, 7728, -4177, 4478, 12988, -5787, -187, 6296, -1737, 1348, -5136, -12473, -662, -6221, 4029, 3410, -9834, 5301, 3640, -8683, 18022, 20123, -1394, 4503, 4735, -8480, -9290, 5271, -831, 3016, 959, -4438, -2908, 42955, 10740, 18305, 15034, 4879, 3542, 11627, 1272, -2947, -1874, 6458, -4036, 8196, 9938, -4298, -4815, 2954, 4404, 43665, -9438, };
const TfArray<1, int> tensor_dimension29 = { 1, { 96 } };
const TfArray<96, float> quant29_scale = { 96, { 8.0120487837120891e-05, 0.00012765957217197865, 8.2618127635214478e-05, 7.2710456151980907e-05, 0.00013376600691117346, 0.0003202759544365108, 0.00011008281580870971, 0.00015244925452861935, 0.00046734954230487347, 0.0001045925309881568, 9.2639231297653168e-05, 0.00010955708421533927, 0.00015648406406398863, 0.00016243563732132316, 0.00015646607789676636, 0.00015931275265756994, 0.00012488875654526055, 0.00015385099686682224, 0.00032029653084464371, 0.0003127971722278744, 6.4085099438671023e-05, 0.00013301987200975418, 0.00020802479411941022, 0.00016522692749276757, 0.00054838595679029822, 6.2385857745539397e-05, 0.00016894438886083663, 0.00024052023945841938, 0.00023708763183094561, 0.00010630940232658759, 0.00010004441719502211, 0.00023074322962202132, 0.00014422967797145247, 0.00027392449555918574, 0.00013238519022706896, 0.00017814397870097309, 0.00022424518829211593, 0.00016846205107867718, 0.00021705347171518952, 0.00012616103049367666, 0.00026594594237394631, 9.376093657920137e-05, 0.00021811627084389329, 5.9883208450628445e-05, 0.00012889494246337563, 0.00029896746855229139, 0.00020782879437319934, 0.00017554590885993093, 7.2030990850180387e-05, 0.0010326458141207695, 0.00016536637849640101, 0.00021181323972996324, 0.00019347191846463829, 0.00020937877707183361, 0.00016930297715589404, 0.00030594551935791969, 6.9116016675252467e-05, 0.00029120067483745515, 0.00024628604296594858, 6.7590844992082566e-05, 0.00017218607536051422, 0.00014921711408533156, 8.7863612861838192e-05, 0.00012828258331865072, 9.8430158686824143e-05, 0.00029784199432469904, 0.00023496168432757258, 0.00024068728089332581, 0.00012643943773582578, 0.00023215652618091553, 0.0001566969440318644, 0.00018238839402329177, 0.00023101898841559887, 0.00027296654297970235, 4.9053331167669967e-05, 0.00023253438121173531, 2.0447101633180864e-05, 0.00014745576481800526, 0.00012121726467739791, 8.6973777797538787e-05, 0.00020427096751518548, 0.00016230104665737599, 0.00023816450266167521, 0.00034564596717245877, 0.00011810287833213806, 0.00030458997935056686, 9.9265904282219708e-05, 0.00020304745703469962, 0.0001113409161916934, 0.00018408405594527721, 0.00014753351570107043, 0.00016023825446609408, 0.00016509401029907167, 0.00023278336448129267, 2.7272188162896782e-05, 0.00011611561058089137, } };
const TfArray<96, int> quant29_zero = { 96, { 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0 } };
const TfLiteAffineQuantization quant29 = { (TfLiteFloatArray*)&quant29_scale, (TfLiteIntArray*)&quant29_zero, 0 };
const ALIGN(16) int8_t tensor_data30[16*1*1*96] = { 
  /* [0][0][][] */ -14,-8,-28,-40,-24,-88,-25,-13,-31,-54,-38,-71,26,-71,1,-14,-127,-20,13,36,55,63,-58,64,28,86,67,46,8,16,36,-36,-2,-17,12,-49,-29,-24,-43,-6,37,6,34,-25,-22,-87,-40,-75,34,-26,93,-9,-92,3,-13,-7,-27,-78,46,26,16,31,-81,5,-37,-51,58,52,51,-19,60,25,-9,39,-42,2,46,-61,97,39,-86,-3,50,37,-103,-38,-37,46,41,0,-110,-29,-62,-8,79,4, 
  /* [1][0][][] */ 1,43,-32,-13,-6,-36,31,-40,-43,19,-38,-53,-15,-1,41,-39,-36,44,-28,1,2,-41,73,-2,68,8,21,28,-6,15,19,39,-47,8,11,-39,-70,48,-44,17,-12,6,-16,-30,87,-26,-1,54,-64,22,10,-113,-63,18,89,-25,-15,-50,-29,14,-3,-8,19,40,29,-26,108,-20,-14,-1,-19,-20,-5,35,-42,29,-1,-8,47,-17,93,-8,127,-53,-9,-30,-14,25,24,19,39,-21,32,-31,-19,19, 
  /* [2][0][][] */ 6,4,3,15,53,45,-15,-17,-42,3,15,14,23,19,-82,-17,24,-21,-127,-19,-4,-24,-36,-10,30,-27,-30,-14,-49,-38,-29,8,-30,-4,-12,19,-4,34,-36,-39,38,-8,14,12,60,25,46,25,-33,-2,-8,12,12,16,21,-15,56,24,-48,-2,-61,-20,-4,40,28,-19,26,18,-29,-6,-5,-15,-14,4,16,28,-27,8,-3,41,50,-18,49,-61,4,-41,8,7,-14,-16,-11,77,-20,-4,13,-41, 
  /* [3][0][][] */ 26,-21,8,-72,-53,-40,55,3,-35,84,-50,-40,41,-7,28,8,15,127,-28,28,-22,36,40,44,8,43,20,24,-2,-1,-20,75,48,-24,39,-24,-24,-79,-23,99,-37,17,-48,17,15,-30,26,38,1,-27,27,-85,-10,65,75,-40,-15,-64,22,-15,24,56,39,44,11,-17,85,-41,-11,58,-41,-9,48,-48,-6,-6,24,-14,7,-12,-3,-38,15,-54,-22,-27,7,13,33,42,-30,-67,0,-97,-16,2, 
  /* [4][0][][] */ -22,61,9,42,8,30,-74,-46,16,-28,-9,3,-23,33,-67,-2,-11,-34,-64,-78,2,-35,-12,10,-2,-46,-21,1,-72,68,-67,11,8,-15,-36,-24,29,40,-81,49,-22,-9,-19,21,-4,0,77,-2,4,12,-79,-5,-106,75,75,31,-27,45,-51,-28,-69,-78,-45,57,47,-2,-11,-90,3,30,-3,-83,-42,29,36,82,1,75,-58,54,50,-8,76,-80,27,-127,-36,-55,23,-38,-27,-2,-67,-19,-62,-24, 
  /* [5][0][][] */ 34,-6,73,4,57,-54,-26,-17,49,24,-8,-64,2,1,81,-42,1,-42,-13,-39,-18,-17,16,2,8,-24,35,14,12,15,24,58,1,-93,5,-90,41,-11,-12,5,-25,12,-86,22,31,78,-73,7,32,12,1,-43,59,-66,-20,37,15,-51,-25,-31,-16,9,33,29,-3,-13,123,-52,-18,-52,-5,-43,-17,66,26,74,10,-30,119,65,-53,77,-15,83,73,60,2,127,1,-50,26,-22,21,-56,-21,12, 
  /* [6][0][][] */ 87,-67,88,10,-13,78,-5,-49,-37,-76,-95,52,75,43,15,63,11,-52,29,-56,-52,-57,-29,-59,1,3,-79,49,-89,60,0,-18,57,59,-30,-21,-36,-27,73,-9,10,80,6,-43,-9,66,-66,4,41,-31,-84,35,127,-29,-106,14,12,33,44,29,15,-48,-24,-8,5,11,-98,33,-37,-22,-37,7,-60,-32,-26,-89,48,39,3,25,-50,88,-37,-38,56,-22,-13,40,-71,20,-18,68,54,-13,71,-37, 
  /* [7][0][][] */ 54,-58,-12,58,26,34,11,19,4,-36,7,76,49,-61,-22,-23,21,-68,15,-1,-51,-46,-30,-58,12,11,-53,41,-23,25,-25,3,15,-31,1,84,8,-7,-4,16,42,19,-4,-24,-63,88,80,47,-25,10,-29,83,61,-52,-26,35,-29,81,-56,-21,54,-24,-13,-37,48,47,31,-8,-77,-20,17,5,-63,2,-31,33,-17,34,85,13,13,57,-127,-25,48,23,-50,41,-11,-58,25,40,33,40,27,-16, 
  /* [8][0][][] */ -34,-19,-29,28,-6,-40,45,-48,-6,22,60,88,36,69,-56,10,48,51,17,-18,-11,-23,-61,4,-26,-54,84,-59,21,5,-8,-48,-6,18,-3,78,2,2,-4,-27,39,4,88,-23,6,4,1,-4,-16,5,63,-14,45,-2,-36,14,22,84,-44,22,-13,23,3,-10,-50,-17,-39,52,-7,-18,51,-6,18,-113,7,-127,13,-26,-54,20,-14,0,28,12,56,-22,11,-6,-52,127,7,46,-35,15,3,-49, 
  /* [9][0][][] */ -25,-27,-24,-22,-27,12,8,49,-85,5,-24,-19,-33,10,-3,-41,-14,103,-94,-63,10,78,19,68,23,20,-5,37,11,2,16,46,29,-42,-24,50,-46,-74,2,95,-76,-19,29,3,-21,6,-32,48,-48,26,-21,-9,-3,46,61,-63,-12,-67,10,-26,-11,41,39,79,-9,43,91,-31,8,40,-31,34,24,-97,-18,-127,-57,38,-4,22,-5,-22,15,-110,27,-35,-83,21,47,124,31,-18,9,18,-32,-6, 
  /* [10][0][][] */ 9,24,-2,15,-18,25,14,23,83,18,-22,73,18,15,-22,-10,23,14,31,3,18,-5,-6,46,-21,-30,-45,24,31,52,-17,-17,35,21,-26,-1,36,-19,39,40,80,-8,79,-29,-31,46,11,23,-6,6,23,-17,36,-10,-10,48,-18,57,-17,-29,-24,4,21,-5,1,32,-127,29,-66,-36,13,8,19,28,52,-3,-2,-20,-62,-22,-21,54,-59,33,38,60,-17,-70,-63,5,20,67,48,24,22,31, 
  /* [11][0][][] */ 7,-14,-8,12,-66,41,29,8,54,-13,-11,48,39,24,-6,-14,5,52,20,10,-16,23,0,15,44,19,18,12,19,-27,-11,12,48,89,-60,26,4,-29,66,50,13,22,28,-16,-51,4,27,18,13,-2,11,19,-16,10,-57,64,-9,52,-2,-22,-4,18,0,-55,33,57,-127,-5,-6,-23,-69,38,22,19,-15,-10,-4,25,-53,-33,-18,21,-77,20,-10,8,38,33,-5,-20,1,26,-8,5,51,7, 
  /* [12][0][][] */ 12,2,-39,-62,-35,-53,17,48,-20,-16,-56,-24,-6,-26,-50,3,-52,46,-6,-20,8,83,16,65,4,-30,-116,27,20,-23,21,25,11,-63,37,21,-54,-82,-14,110,-63,-50,15,-13,-14,-63,16,-18,-61,13,-39,127,-71,-12,47,-73,-14,-34,-5,-57,43,39,23,58,-54,11,32,24,18,67,63,68,-3,-16,-60,-40,-17,-44,58,-46,3,-71,-28,-106,-50,-22,-25,-66,25,27,-38,34,-31,44,-21,-7, 
  /* [13][0][][] */ 7,-66,-31,-23,-50,45,-20,30,22,-2,-35,2,-42,-14,13,-20,5,-19,71,68,-17,-49,10,-81,22,36,-30,66,-9,50,62,9,-24,34,29,67,30,-44,6,-86,19,-1,-8,12,-15,43,-28,55,-17,24,33,39,-30,-43,3,38,9,-26,49,14,47,-23,-55,-91,45,127,36,3,37,20,-23,-54,33,24,-7,3,-11,-21,66,-37,-4,25,-65,63,16,47,1,-8,-3,-44,16,23,28,15,39,59, 
  /* [14][0][][] */ 11,37,31,33,10,-35,-23,30,-76,1,27,-44,-48,-28,73,-37,-35,-2,-46,-12,-29,1,-63,14,-10,2,-47,-48,-20,-17,8,90,-31,-5,-8,-58,-78,-66,-45,25,-28,-16,-1,-64,2,6,2,27,-14,-35,7,-14,-35,35,27,-15,-28,-15,-20,19,16,15,-21,86,32,-42,39,-58,14,40,27,4,-14,30,-33,35,24,2,24,11,-66,32,66,-127,36,-45,-33,7,-9,0,1,-35,-25,-18,24,-38, 
  /* [15][0][][] */ 46,-9,17,18,4,-23,35,2,27,30,-19,49,54,60,6,6,8,72,-21,36,20,-24,16,94,-1,0,44,30,29,24,-4,26,57,50,40,19,46,27,103,68,106,18,18,-25,-48,-72,-21,-34,-21,-3,11,20,24,-34,-16,17,9,38,24,22,32,5,9,-11,27,55,-127,99,-6,-27,9,118,16,-86,-27,-115,-9,1,-107,0,16,4,-28,70,-27,43,15,-24,-20,65,22,17,26,-10,45,7, 
};
const TfArray<4, int> tensor_dimension30 = { 4, { 16,1,1,96 } };
const TfArray<16, float> quant30_scale = { 16, { 0.0022649466991424561, 0.0027759501244872808, 0.0037518732715398073, 0.0027585031930357218, 0.0027605206705629826, 0.0028305966407060623, 0.00082364148693159223, 0.0018334430642426014, 0.0029397984035313129, 0.0029383262153714895, 0.0037003806792199612, 0.0014705559005960822, 0.0023963900748640299, 0.0031885504722595215, 0.0025854187551885843, 0.0024146756622940302, } };
const TfArray<16, int> quant30_zero = { 16, { 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0 } };
const TfLiteAffineQuantization quant30 = { (TfLiteFloatArray*)&quant30_scale, (TfLiteIntArray*)&quant30_zero, 0 };
const ALIGN(16) int32_t tensor_data31[16] = { -8267, -8483, 988, -4118, 24853, -18494, 6944, -15447, -2086, 4359, -6524, -3177, 8027, -11068, 9024, -15035, };
const TfArray<1, int> tensor_dimension31 = { 1, { 16 } };
const TfArray<16, float> quant31_scale = { 16, { 5.3292864322429523e-05, 6.5316475229337811e-05, 8.8279375631827861e-05, 6.4905958424787968e-05, 6.4953426772262901e-05, 6.6602275182958692e-05, 1.9379800505703315e-05, 4.3139836634509265e-05, 6.917172868270427e-05, 6.9137087848503143e-05, 8.7067783169914037e-05, 3.4601314837345853e-05, 5.6385648349532858e-05, 7.5024719990324229e-05, 6.0833383031422272e-05, 5.6815897551132366e-05, } };
const TfArray<16, int> quant31_zero = { 16, { 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0 } };
const TfLiteAffineQuantization quant31 = { (TfLiteFloatArray*)&quant31_scale, (TfLiteIntArray*)&quant31_zero, 0 };
const ALIGN(16) int8_t tensor_data32[96*1*1*16] = { 
  /* [0][0][][] */ 100,70,-124,112,65,-16,-90,-21,9,74,-62,0,114,-127,68,-41, 
  /* [1][0][][] */ -90,-25,69,-124,7,-56,22,8,92,34,127,23,8,79,25,-3, 
  /* [2][0][][] */ 50,-40,-28,21,7,-81,9,-55,-127,91,12,7,125,116,-61,77, 
  /* [3][0][][] */ -98,-59,52,-15,-72,25,-22,-78,-10,14,57,-47,-87,-46,-127,-20, 
  /* [4][0][][] */ 46,74,6,51,-94,89,-99,-36,-46,43,-9,50,-65,-66,4,-127, 
  /* [5][0][][] */ 4,42,-35,-13,58,-59,8,-63,82,52,-49,-4,2,20,-33,-127, 
  /* [6][0][][] */ -16,-90,-57,13,-44,46,11,-45,90,27,127,-9,-43,-33,-85,-6, 
  /* [7][0][][] */ 19,79,105,2,11,50,-61,-82,22,106,-127,-79,-11,-75,97,19, 
  /* [8][0][][] */ 0,113,119,-4,127,19,23,25,-53,-24,-98,-79,35,64,-17,-106, 
  /* [9][0][][] */ 49,84,90,95,-10,3,-46,-127,-11,76,3,24,-10,-82,55,-50, 
  /* [10][0][][] */ 59,-109,-5,-8,-127,-1,-45,-66,-4,15,-46,1,-20,102,-20,-53, 
  /* [11][0][][] */ 0,22,-61,127,-91,-23,11,-54,48,101,22,-12,39,-95,24,113, 
  /* [12][0][][] */ 5,17,127,26,54,-54,-29,0,49,43,10,51,18,-11,19,-27, 
  /* [13][0][][] */ -22,-54,90,-53,34,83,127,29,18,-12,-10,-6,-31,-14,-4,29, 
  /* [14][0][][] */ 87,20,98,25,127,28,14,37,-49,64,68,88,11,-10,-26,-36, 
  /* [15][0][][] */ 53,-2,48,-41,84,127,-53,20,-32,-35,-41,62,-66,110,-57,-44, 
  /* [16][0][][] */ -28,36,127,-40,94,32,3,3,-18,0,-52,6,93,46,79,31, 
  /* [17][0][][] */ 47,50,39,14,16,-58,-33,-52,-30,80,-29,22,2,-54,127,-49, 
  /* [18][0][][] */ -77,81,-103,-40,91,106,-15,-8,28,32,127,15,-82,40,-6,50, 
  /* [19][0][][] */ 14,127,120,98,76,28,-28,-28,-36,67,-50,-4,-6,16,-13,-44, 
  /* [20][0][][] */ 127,97,-25,36,-64,-26,29,-121,-20,-55,-60,-81,122,51,20,-40, 
  /* [21][0][][] */ -122,-27,-1,-45,-85,27,83,51,0,-31,59,-72,-27,18,-127,98, 
  /* [22][0][][] */ 30,42,-127,-9,10,-13,-38,0,3,2,60,58,40,64,-43,40, 
  /* [23][0][][] */ -84,39,-5,-48,-86,40,127,65,-19,30,12,-102,-50,37,-34,39, 
  /* [24][0][][] */ -1,-65,25,82,97,-55,-32,-25,-13,53,28,127,-68,91,22,-24, 
  /* [25][0][][] */ 114,70,41,16,15,4,-22,-23,-16,1,-127,-53,43,11,87,-51, 
  /* [26][0][][] */ 19,14,98,36,37,-27,-20,-9,-33,127,-6,-13,58,-17,48,-108, 
  /* [27][0][][] */ -82,37,44,-15,-13,88,4,-41,-16,-97,127,4,-17,-21,30,68, 
  /* [28][0][][] */ -25,33,-122,-114,91,14,-22,0,-127,55,32,120,-55,1,-34,21, 
  /* [29][0][][] */ 2,127,-46,-37,-61,71,3,-10,30,-34,114,11,-61,-31,-35,82, 
  /* [30][0][][] */ -53,9,-114,-5,52,-64,-15,9,-5,55,-23,29,-35,24,-9,127, 
  /* [31][0][][] */ -63,-127,53,-26,1,-58,12,44,19,-54,63,-27,-51,83,-39,57, 
  /* [32][0][][] */ -30,127,41,90,-110,0,-36,-4,-24,-9,-81,-22,42,74,122,-45, 
  /* [33][0][][] */ -56,6,121,127,-9,81,-62,53,-101,-55,-86,-70,-29,-14,80,34, 
  /* [34][0][][] */ -69,-59,-94,-71,69,31,10,127,38,-62,61,50,-84,-67,-64,94, 
  /* [35][0][][] */ 76,68,30,-79,-25,3,-58,-60,-4,-127,-125,-105,-68,-46,71,-81, 
  /* [36][0][][] */ 17,-14,-123,115,39,127,-86,34,-100,122,-38,27,51,50,36,-11, 
  /* [37][0][][] */ -20,52,43,10,100,-46,-2,7,-111,68,-94,-11,51,-33,127,0, 
  /* [38][0][][] */ -24,3,-80,-105,40,19,116,-24,8,6,-49,20,-43,39,-127,67, 
  /* [39][0][][] */ 92,95,-65,-25,56,15,11,-94,46,50,-103,-64,104,-39,-1,-127, 
  /* [40][0][][] */ 0,-41,-127,-10,-102,-59,-27,-84,111,6,48,-45,14,51,-46,80, 
  /* [41][0][][] */ -47,-127,27,14,-16,-9,-36,26,2,-50,85,-41,-19,0,27,11, 
  /* [42][0][][] */ 14,8,4,-127,27,-26,26,47,62,2,-37,8,72,-68,0,31, 
  /* [43][0][][] */ 16,14,-18,38,53,-34,-5,26,26,127,-26,-29,11,-17,9,-30, 
  /* [44][0][][] */ -41,-116,-69,26,-56,-40,84,94,26,-28,117,-1,127,-78,16,81, 
  /* [45][0][][] */ -23,-108,7,-63,-127,-58,68,-5,-16,-106,92,47,-9,119,-26,22, 
  /* [46][0][][] */ 13,-15,-22,-26,19,15,18,62,-23,-53,53,-1,36,2,37,127, 
  /* [47][0][][] */ -17,-29,68,115,127,24,-19,-16,21,9,-86,27,71,-110,11,-15, 
  /* [48][0][][] */ 11,88,-4,71,-12,11,-63,-127,54,13,1,18,9,-59,-8,-33, 
  /* [49][0][][] */ -7,-10,20,-51,26,-55,55,56,-8,-16,21,127,-25,87,-28,12, 
  /* [50][0][][] */ 82,39,-42,-20,15,-127,-106,-42,-105,31,-44,59,101,-83,-64,-66, 
  /* [51][0][][] */ -19,60,-35,116,-32,-51,-120,-127,-2,0,9,30,-16,107,31,81, 
  /* [52][0][][] */ -124,-6,46,-7,-19,42,47,16,37,-46,-32,-64,-127,-14,-17,-5, 
  /* [53][0][][] */ 13,-125,0,-127,69,10,20,103,41,-31,-114,-18,-34,-9,-24,99, 
  /* [54][0][][] */ 0,-111,17,-12,17,24,78,47,7,-39,32,34,-42,-65,-127,67, 
  /* [55][0][][] */ 3,14,-57,-10,86,52,73,66,-127,-89,-81,21,43,-19,10,50, 
  /* [56][0][][] */ 58,-7,-38,-127,-126,-8,-53,-9,-14,-76,-2,-24,61,59,-9,-42, 
  /* [57][0][][] */ 5,23,20,19,111,82,-64,-68,10,66,-116,-51,-127,-53,-38,-11, 
  /* [58][0][][] */ 39,88,-23,-74,-11,2,-10,-127,67,-85,-43,-83,-113,-75,-50,34, 
  /* [59][0][][] */ -8,-22,42,-4,62,-1,-114,-60,51,90,-127,-8,7,37,25,-51, 
  /* [60][0][][] */ 89,-46,17,-61,-108,-106,48,70,-4,19,34,77,127,-68,69,45, 
  /* [61][0][][] */ 66,57,-80,29,-40,-42,-127,3,-37,50,18,48,54,-23,101,16, 
  /* [62][0][][] */ 17,22,47,54,-48,-11,5,0,-92,127,-52,9,66,68,101,18, 
  /* [63][0][][] */ 127,-120,-22,-10,-96,-58,0,-106,39,-5,-67,-45,39,104,120,-40, 
  /* [64][0][][] */ -6,82,-127,71,49,65,9,-2,11,24,15,19,116,-88,57,96, 
  /* [65][0][][] */ -6,11,-23,6,76,22,127,100,-39,-61,17,0,52,27,-105,104, 
  /* [66][0][][] */ -53,-83,-11,-106,-127,-78,80,-72,-36,-49,-79,51,-21,-94,-67,97, 
  /* [67][0][][] */ 51,-65,-91,-47,-115,-36,10,-127,-8,-21,-39,-19,71,22,-80,27, 
  /* [68][0][][] */ 72,-45,-40,-44,6,23,-40,31,-38,-127,62,87,-19,-12,11,21, 
  /* [69][0][][] */ 26,-7,56,-9,-13,-21,-71,-40,18,127,-76,-36,1,-45,60,-42, 
  /* [70][0][][] */ 36,-28,-42,99,-28,-8,-39,-10,38,127,85,50,89,-24,-36,60, 
  /* [71][0][][] */ 102,74,42,109,-30,0,-3,-83,-2,57,-91,-13,88,-109,127,-48, 
  /* [72][0][][] */ 26,2,92,114,93,7,-127,-96,41,70,-62,54,-60,-68,59,-34, 
  /* [73][0][][] */ 37,-50,99,-59,47,-114,-68,34,62,120,-89,-17,24,-127,-48,-52, 
  /* [74][0][][] */ 66,-50,40,-26,-85,-11,11,-23,56,-7,-29,-48,-5,-127,28,34, 
  /* [75][0][][] */ 127,91,-114,87,24,-72,-42,-98,29,58,45,38,70,-38,-28,120, 
  /* [76][0][][] */ -58,-53,9,-66,-30,36,85,28,-27,-92,127,19,-75,-116,-82,122, 
  /* [77][0][][] */ -47,-13,-73,-66,-99,-127,70,40,-49,-70,-77,-45,78,108,34,41, 
  /* [78][0][][] */ 27,115,-18,52,-19,27,-60,9,-59,57,1,-1,38,-127,54,-3, 
  /* [79][0][][] */ -55,-55,109,-106,-40,-103,50,-1,-11,-49,34,-13,-89,90,-127,95, 
  /* [80][0][][] */ -29,80,96,13,52,47,2,28,-24,58,-127,-69,9,-47,44,-52, 
  /* [81][0][][] */ -26,-38,-14,-127,6,-5,4,103,100,-62,41,-24,-25,26,-62,22, 
  /* [82][0][][] */ 19,28,99,-23,127,-106,39,3,1,86,-29,-15,71,-6,-40,-39, 
  /* [83][0][][] */ -23,-40,82,8,85,56,15,9,64,51,-22,33,-126,75,-33,-127, 
  /* [84][0][][] */ -52,-30,-23,108,36,-65,-64,-56,26,99,-5,-4,-127,52,-43,-81, 
  /* [85][0][][] */ -16,79,1,14,-127,-93,-45,-68,-66,26,-12,-6,-51,29,-51,-16, 
  /* [86][0][][] */ 39,95,96,127,-23,-48,13,-107,21,64,-91,-63,-14,24,-29,-115, 
  /* [87][0][][] */ -25,-8,72,-53,-127,-19,73,20,2,-91,31,-7,-45,49,9,31, 
  /* [88][0][][] */ -32,-16,-127,29,4,66,106,33,17,-88,-36,-113,54,-39,49,28, 
  /* [89][0][][] */ 12,50,-2,-35,-19,5,-21,-7,1,-7,-21,-127,16,-46,48,-56, 
  /* [90][0][][] */ 56,-13,47,70,-60,-92,-32,44,114,72,-14,60,127,-9,40,32, 
  /* [91][0][][] */ 14,32,21,60,112,-1,-20,-53,-13,14,-22,0,21,-127,33,-18, 
  /* [92][0][][] */ 2,51,-32,31,-127,-72,-64,2,44,48,47,-5,-14,1,-7,17, 
  /* [93][0][][] */ 127,51,70,40,-100,-89,2,-8,-7,-27,-36,-62,34,1,54,-52, 
  /* [94][0][][] */ -108,-95,53,-127,38,54,-20,23,99,-20,3,-26,-63,16,-11,61, 
  /* [95][0][][] */ 42,-66,1,12,52,3,-62,-6,30,122,-127,42,74,53,71,-48, 
};
const TfArray<4, int> tensor_dimension32 = { 4, { 96,1,1,16 } };
const TfArray<96, float> quant32_scale = { 96, { 0.00099083955865353346, 0.0026051022578030825, 0.0039874082431197166, 0.0027492532972246408, 0.0011230048257857561, 0.00033458459074608982, 0.0011500414693728089, 0.0013261190615594387, 0.002450709231197834, 0.0011223950423300266, 0.0008344237576238811, 0.00090694788377732038, 0.0017204596661031246, 0.0028873644769191742, 0.0021599170286208391, 0.0019497739849612117, 0.0020613789092749357, 0.0012012816732749343, 0.0018514670664444566, 0.0014908313751220703, 0.0017649760702624917, 0.00078186066821217537, 0.00075217767152935266, 0.0019496842287480831, 0.0016602840041741729, 0.0016675812657922506, 0.00097912782803177834, 0.0024382255505770445, 0.0022944191005080938, 0.002058917423710227, 0.0020359386689960957, 0.0023549192119389772, 0.0010751059744507074, 0.0018269368447363377, 0.00095034687547013164, 0.0013275581877678633, 0.001096107647754252, 0.0014137224061414599, 0.0023892947938293219, 0.0012737793149426579, 0.0024979321751743555, 0.0039148041978478432, 0.0032775357831269503, 0.0014888959703966975, 0.00099854264408349991, 0.00077833078103139997, 0.0019779633730649948, 0.001487640431150794, 0.0026341159828007221, 0.0023511170875281096, 0.0010744263418018818, 0.001730648335069418, 0.0018937711138278246, 0.0017672000685706735, 0.0022490189876407385, 0.0014918186934664845, 0.0025593671016395092, 0.001598339295014739, 0.00096177402883768082, 0.0017009008442983031, 0.0014745735097676516, 0.0010635381331667304, 0.0011600947473198175, 0.00097801419906318188, 0.0014110802439972758, 0.00042836403008550406, 0.0020178437698632479, 0.0025578504428267479, 0.0022053385619074106, 0.0017455416964367032, 0.0011354030575603247, 0.00099433911964297295, 0.00099431222770363092, 0.0016185848508030176, 0.0015042127342894673, 0.0012173528084531426, 0.00088551407679915428, 0.0018288098508492112, 0.0019464727956801653, 0.0016888503450900316, 0.001233051298186183, 0.0021403427235782146, 0.0008414100157096982, 0.0027998557779937983, 0.0024134228006005287, 0.0023596917744725943, 0.0015564766945317388, 0.0013521512737497687, 0.00093265733448788524, 0.0051765833050012589, 0.0012878881534561515, 0.0023545236326754093, 0.0019091295544058084, 0.0011461159447208047, 0.0027830032631754875, 0.0021386239677667618, } };
const TfArray<96, int> quant32_zero = { 96, { 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0 } };
const TfLiteAffineQuantization quant32 = { (TfLiteFloatArray*)&quant32_scale, (TfLiteIntArray*)&quant32_zero, 0 };
const ALIGN(16) int32_t tensor_data33[96] = { 11553, -660, 643, -802, 12351, 61343, 13392, 3616, -1873, 8047, 13232, -15983, 6250, 1896, 1980, -2902, 4962, 9664, -1289, -3085, 5384, 15307, 21972, -1185, -7312, -3235, 12574, -1161, 1257, 236, 5133, -1013, 14192, 4933, 11234, -6521, 8327, -7972, 1281, 5144, 1378, -236, 1528, -6256, 10105, 14939, 4136, 5943, 1098, 3102, 12714, 6086, -4030, 4409, 979, 5198, 1948, 3464, 18308, 2355, -5390, 13623, 11640, 12636, 7067, 39275, -777, 1310, 3639, 1970, 12348, 6754, 8440, 2354, 9270, 6928, -8035, 2480, 3658, 1140, 10122, 991, 18748, 513, 1376, 4006, -783, -5449, 14720, 352, 7225, -932, 7099, 9490, -107, 824, };
const TfArray<1, int> tensor_dimension33 = { 1, { 96 } };
const TfArray<96, float> quant33_scale = { 96, { 6.3499050156679004e-05, 0.00016695086378604174, 0.00025553748128004372, 0.00017618894344195724, 7.1969006967265159e-05, 2.1442225261125714e-05, 7.3701681685633957e-05, 8.4985811554361135e-05, 0.00015705641999375075, 7.1929935074876994e-05, 5.3474970627576113e-05, 5.8122761402046308e-05, 0.00011025756975868717, 0.0001850399567047134, 0.00013842068437952548, 0.00012495342525653541, 0.00013210574979893863, 7.6985466876067221e-05, 0.00011865331907756627, 9.554158168612048e-05, 0.00011311045091133565, 5.0106409617001191e-05, 4.8204139602603391e-05, 0.00012494767725002021, 0.00010640114487614483, 0.00010686879249988124, 6.2748491473030299e-05, 0.0001562563847983256, 0.00014704039494972676, 0.00013194800703786314, 0.00013047538232058287, 0.00015091760724317282, 6.8899360485374928e-05, 0.0001170812756754458, 6.0904032579855993e-05, 8.5078041593078524e-05, 7.0245274400804192e-05, 9.0599969553295523e-05, 0.00015312060713768005, 8.1631558714434505e-05, 0.00016008275269996375, 0.00025088456459343433, 0.00021004451264161617, 9.5417548436671495e-05, 6.3992716604843736e-05, 4.9880192818818614e-05, 0.00012675997277256101, 9.5337090897373855e-05, 0.00016881024930626154, 0.00015067394997458905, 6.8855806603096426e-05, 0.0001109105214709416, 0.00012136442092014477, 0.00011325297964503989, 0.00014413087046705186, 9.5604853413533419e-05, 0.000164019875228405, 0.00010243134602205828, 6.1636354075744748e-05, 0.00010900411871261895, 9.4499679107684642e-05, 6.8158020440023392e-05, 7.4345960456412286e-05, 6.2677121604792774e-05, 9.0430643467698246e-05, 2.7452184440335259e-05, 0.00012931575474794954, 0.00016392268298659474, 0.00014133156219031662, 0.00011186497431481257, 7.2763563366606832e-05, 6.3723324274178594e-05, 6.3721599872224033e-05, 0.0001037288093357347, 9.6399140602443367e-05, 7.8015407780185342e-05, 5.6749151553958654e-05, 0.00011720130714820698, 0.00012474186951294541, 0.00010823184857144952, 7.9021461715456098e-05, 0.00013716623652726412, 5.3922693041386083e-05, 0.00017943186685442924, 0.00015466687909793109, 0.00015122345939744264, 9.9748533102683723e-05, 8.6654115875717252e-05, 5.9770380175905302e-05, 0.00033174708369188011, 8.2535741967149079e-05, 0.00015089225780684501, 0.00012234869063831866, 7.3450115451123565e-05, 0.00017835185281001031, 0.00013705609308090061, } };
const TfArray<96, int> quant33_zero = { 96, { 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0 } };
const TfLiteAffineQuantization quant33 = { (TfLiteFloatArray*)&quant33_scale, (TfLiteIntArray*)&quant33_zero, 0 };
const ALIGN(16) int8_t tensor_data34[1*3*3*96] = { 
  /* [0][0][][] */ -2,76,37,-38,-57,77,67,68,127,12,-32,109,-58,36,42,-116,-62,53,5,55,41,68,127,127,81,-113,-26,86,47,53,-14,-41,-40,44,-5,102,-15,33,14,-40,115,40,-19,17,-106,-127,-24,127,61,-43,-127,62,17,123,33,-26,-113,-75,-106,-60,-45,-73,-16,18,-26,48,77,125,-45,127,114,75,-17,-6,36,127,21,92,-13,48,73,-13,63,-34,-19,-44,7,-6,-76,116,-16,-45,65,-33,45,15, 18,8,4,73,-51,127,-4,-18,75,56,-9,62,-97,-68,-46,-38,-63,68,55,35,12,2,31,-6,96,-28,52,104,94,127,-7,-127,62,76,34,27,127,107,-127,-85,127,6,41,127,36,-39,85,93,4,-120,-71,50,-31,127,14,-94,-34,94,-127,27,59,-127,-109,11,-38,55,-5,78,-108,109,127,34,-8,-60,-35,53,13,20,30,127,52,41,81,-43,-6,-94,12,-26,127,106,-30,-4,127,-107,58,21, 5,-28,32,38,-64,5,-34,62,37,127,-64,107,-101,21,-22,-92,-127,44,34,29,-25,47,52,103,81,63,106,127,68,10,-1,-113,-33,-31,-3,90,26,127,-86,-60,25,54,-51,19,-118,-56,32,71,90,-127,-42,21,-106,49,89,-19,65,-12,-122,-63,-51,-87,-97,-22,21,20,-67,127,-96,105,101,70,7,-66,-23,117,-30,127,101,54,-17,71,35,-67,-42,-41,112,-127,28,127,-127,44,66,-32,87,43, 
  /* [0][1][][] */ 70,-8,17,69,32,-56,81,40,10,-19,-9,127,-47,0,-86,123,-117,13,6,22,-86,-29,22,2,121,-20,-66,28,-58,-95,127,-37,2,76,44,37,-121,-52,-54,-32,20,-94,127,39,-57,-81,-1,-32,3,17,-56,89,-20,33,127,-55,-83,7,-118,44,-127,-22,-46,85,-111,-27,55,7,-81,6,1,-22,-92,1,127,-36,6,14,-89,-25,44,87,-62,54,-38,18,33,39,40,-17,-15,68,-42,-118,-30,-13, -127,6,-66,-1,-127,-109,-127,-127,10,2,6,58,-127,-127,19,-23,-36,-127,127,54,-21,-127,-78,3,-127,89,111,65,32,-14,-59,3,-127,127,127,-43,87,88,54,3,-20,46,0,61,80,24,-48,28,1,60,-23,32,-93,103,121,-58,40,83,38,70,-6,56,-127,55,-16,-127,3,102,-10,34,-40,-56,98,-9,-34,-35,127,25,24,-46,-76,41,-127,1,7,-127,71,-61,119,30,4,-64,-50,-127,-3,127, 7,-11,59,127,-53,-34,-25,23,4,107,9,68,-98,-52,-127,-113,-98,24,101,79,-127,-34,-38,-121,-1,108,127,27,127,-27,-30,-87,-13,-70,16,33,-34,-45,-99,38,9,127,61,7,-98,-27,-6,17,127,-70,20,-7,-100,30,-62,27,127,-53,-21,65,-22,-12,-54,21,89,-49,-53,30,-70,-2,16,44,78,-127,-31,10,7,-6,-44,-29,-127,96,-54,127,-13,10,86,-32,39,-68,38,45,-35,74,25,-10, 
  /* [0][2][][] */ -34,-34,127,4,-33,36,73,38,1,42,-127,19,3,62,-69,127,-34,112,-48,56,10,3,38,-101,113,-127,-67,42,33,-11,6,-1,-40,21,-24,-127,52,-118,-14,-116,-37,-9,-26,-27,127,-59,-28,-68,94,-80,-96,127,78,35,25,-69,-14,52,-23,127,-11,-39,-41,127,-127,50,5,21,98,20,3,111,-94,28,11,-52,27,-80,-100,3,105,-93,-10,5,-30,2,63,-72,-62,60,30,127,-7,50,88,3, -103,43,120,-40,65,79,-10,-37,-19,52,-46,-39,1,14,3,9,-106,60,22,-29,50,-27,49,-76,22,-60,3,51,47,101,-5,-13,-47,14,24,-99,26,-36,0,-127,29,-4,-54,1,34,22,-127,-60,56,-65,-12,42,127,-18,42,-127,21,127,69,11,62,-4,-69,73,-66,18,2,53,127,14,-39,71,49,-48,17,-42,50,19,-127,-47,74,-102,-77,-90,-5,86,127,-80,-33,36,59,25,12,22,35,29, -80,127,-24,23,-86,-6,9,83,72,91,-69,47,-123,59,-58,-89,-126,96,55,127,-19,8,82,-115,30,28,-54,47,53,4,-74,-20,-19,-70,5,-45,4,-109,-49,-81,-18,-14,126,-42,16,-38,-44,-16,69,-35,25,22,36,-32,63,-38,76,7,87,52,-4,84,-40,55,-33,32,-127,6,122,41,19,127,127,-12,-26,-10,15,-25,-120,-4,2,-127,-32,-32,-127,77,115,-116,-50,9,38,3,-13,46,127,-58, 
};
const TfArray<4, int> tensor_dimension34 = { 4, { 1,3,3,96 } };
const TfArray<96, float> quant34_scale = { 96, { 0.0072756935842335224, 0.0095540238544344902, 0.003136814571917057, 0.0065435171127319336, 0.0049454057589173317, 0.0075795496813952923, 0.012123607099056244, 0.0151219442486763, 0.0066889021545648575, 0.0024892773944884539, 0.010000661946833134, 0.037158764898777008, 0.0032808489631861448, 0.0078254761174321175, 0.0054846568964421749, 0.0071490220725536346, 0.004096748773008585, 0.0054269121028482914, 0.0038164258003234863, 0.0027022990398108959, 0.0061284145340323448, 0.01621871255338192, 0.014114023186266422, 0.0052675646729767323, 0.018623789772391319, 0.010947764851152897, 0.0092725735157728195, 0.0029035659972578287, 0.0034325134474784136, 0.0054695471189916134, 0.0087043764069676399, 0.0075052590109407902, 0.0087245544418692589, 0.0072375386953353882, 0.0070294542238116264, 0.011238144710659981, 0.012362577952444553, 0.016150323674082756, 0.0052010077051818371, 0.0033379681408405304, 0.0049498653970658779, 0.0044978023506700993, 0.0093167731538414955, 0.018039030954241753, 0.007805725559592247, 0.0085711739957332611, 0.0045460783876478672, 0.0060970098711550236, 0.0033163856714963913, 0.0079711908474564552, 0.0047822059132158756, 0.0029353101272135973, 0.0059745041653513908, 0.0033447006717324257, 0.0059215943329036236, 0.0047624553553760052, 0.0039511136710643768, 0.0046531208790838718, 0.0069225756451487541, 0.0028243071865290403, 0.015429877676069736, 0.0075697568245232105, 0.0040408885106444359, 0.0039844880811870098, 0.0046493206173181534, 0.010199015028774738, 0.005676640197634697, 0.0039802147075533867, 0.0039514703676104546, 0.0026383008807897568, 0.0055934586562216282, 0.0045209722593426704, 0.0045032748021185398, 0.0047211134806275368, 0.022580031305551529, 0.0033412885386496782, 0.020374918356537819, 0.008660503663122654, 0.0035288711078464985, 0.0074060731567442417, 0.0095967333763837814, 0.0052519985474646091, 0.0072158011607825756, 0.0086118681356310844, 0.0026699858717620373, 0.0036032169591635466, 0.0022715544328093529, 0.0067050470970571041, 0.0051134754903614521, 0.0035945398267358541, 0.0085824001580476761, 0.0092479409649968147, 0.0086061162874102592, 0.0078782681375741959, 0.0039852582849562168, 0.0072825625538825989, } };
const TfArray<96, int> quant34_zero = { 96, { 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0 } };
const TfLiteAffineQuantization quant34 = { (TfLiteFloatArray*)&quant34_scale, (TfLiteIntArray*)&quant34_zero, 3 };
const ALIGN(16) int32_t tensor_data35[96] = { 7631, -4872, -5345, -6127, 10100, -4726, -2316, -1867, -9089, -15013, 9172, -283, 19473, 4188, 8885, 2502, 26709, -11027, -9117, 7002, 3422, 5744, -10211, 2851, -493, 1277, -5106, -7901, -12657, -1960, -1008, 10036, 9072, -6953, -8051, 595, -3141, 399, 8170, 7291, -8050, -7176, -4093, -846, 5478, 12327, 1296, -5093, -14189, 9221, 9386, -8766, 4546, -11378, -12204, 15138, -8513, -3229, 18315, 6666, 2613, 8762, 20950, -6905, 7182, 1149, -1886, -10080, -4770, -4489, -6888, -9551, -3908, 6998, -1088, -298, -715, -6573, 7447, -2660, -4476, 2857, 4936, 899, 6605, -255, -15869, -954, -9542, -8066, 4160, -408, -6871, 6441, -6444, -6221, };
const TfArray<1, int> tensor_dimension35 = { 1, { 96 } };
const TfArray<96, float> quant35_scale = { 96, { 0.00017119279073085636, 0.00022480056213680655, 7.3807401349768043e-05, 0.0001539651129860431, 0.00011636249109869823, 0.00017834235040936619, 0.00028526133974082768, 0.00035581045085564256, 0.00015738593356218189, 5.8571233239490539e-05, 0.00023530969338025898, 0.00087432388681918383, 7.7196447819005698e-05, 0.00018412884674035013, 0.00012905074981972575, 0.00016821228200569749, 9.6394091087859124e-05, 0.00012769205204676837, 8.9798253611661494e-05, 6.3583509472664446e-05, 0.00014419799845200032, 0.00038161675911396742, 0.00033209467073902488, 0.00012394270743243396, 0.00043820682913064957, 0.00025759448180906475, 0.00021817820379510522, 6.8319204729050398e-05, 8.0765021266415715e-05, 0.00012869523197878152, 0.00020480886450968683, 0.00017659433069638908, 0.00020528363529592752, 0.00017029502487275749, 0.00016539893113076687, 0.00026442692615091801, 0.00029088419978506863, 0.00038000763743184507, 0.00012237665941938758, 7.8540426329709589e-05, 0.00011646742495940998, 0.00010583064431557432, 0.00021921820007264614, 0.00042444778955541551, 0.00018366413132753223, 0.0002016746875597164, 0.00010696655226638541, 0.00014345905219670385, 7.8032608143985271e-05, 0.00018755743803922087, 0.00011252249532844871, 6.9066125433892012e-05, 0.00014057656517252326, 7.8698838478885591e-05, 0.00013933163427282125, 0.0001120577726396732, 9.2967384262010455e-05, 0.00010948519775411114, 0.00016288414190057665, 6.6454289481043816e-05, 0.00036305596586316824, 0.00017811193538364023, 9.5079733000602573e-05, 9.3752663815394044e-05, 0.00010939578351099044, 0.00023997682728804648, 0.0001335680135525763, 9.3652110081166029e-05, 9.2975773441139609e-05, 6.207767000887543e-05, 0.00013161079550627619, 0.00010637581726768985, 0.00010595940693747252, 0.00011108502803836018, 0.00053129484876990318, 7.8618555562570691e-05, 0.00047940984950400889, 0.00020377656619530171, 8.303226059069857e-05, 0.00017426055273972452, 0.00022580550285056233, 0.00012357643572613597, 0.00016978355415631086, 0.00020263218902982771, 6.2823201005812734e-05, 8.4781575424131006e-05, 5.3448340622708201e-05, 0.00015776581130921841, 0.00012031707592541352, 8.4577412053477019e-05, 0.00020193883392494172, 0.0002175986155634746, 0.0002024968562182039, 0.00018537101277615875, 9.3770788225810975e-05, 0.00017135441885329783, } };
const TfArray<96, int> quant35_zero = { 96, { 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0 } };
const TfLiteAffineQuantization quant35 = { (TfLiteFloatArray*)&quant35_scale, (TfLiteIntArray*)&quant35_zero, 0 };
const ALIGN(16) int8_t tensor_data36[16*1*1*96] = { 
  /* [0][0][][] */ -87,50,46,-30,-73,-28,-96,68,-16,-6,32,-49,20,-2,3,-4,3,51,29,-13,-16,-80,80,41,-78,-37,-65,2,-55,-108,-46,-51,-25,-64,-3,-11,16,-37,23,36,67,-23,-127,-8,-15,-6,-12,53,-42,-1,-83,-50,-60,-1,21,-19,-90,-59,-53,59,70,-47,-60,18,-79,-74,-51,60,-45,-59,13,54,-8,-7,-59,-16,-32,23,-74,-9,-24,104,14,33,-11,-27,-1,16,5,54,1,33,45,-71,-122,-42, 
  /* [1][0][][] */ 46,32,13,-47,-38,-2,-31,46,94,29,50,48,45,-18,-23,-23,-21,25,-29,51,16,-75,-48,20,87,-65,-33,-53,50,-41,23,-24,71,-7,14,74,62,-20,5,-24,38,17,-47,5,36,59,-50,-65,1,-7,-43,-5,14,-45,30,-15,32,12,7,21,35,39,-32,-72,-41,-12,-62,16,-39,-4,-71,-7,-63,-28,-40,-68,-30,-3,71,-51,30,-54,-55,19,16,-8,16,3,5,-34,-14,127,28,34,3,70, 
  /* [2][0][][] */ 79,28,-47,-39,-5,-68,90,52,-53,-24,-19,-44,-52,12,17,-71,-34,-20,-27,-13,-53,-7,-57,-21,-61,-1,44,-20,-38,96,-14,122,-45,127,-80,-19,-68,-18,-14,21,-83,37,121,-28,-43,22,-9,-30,29,-2,-7,-71,77,9,-27,41,27,8,32,-17,48,31,-50,1,80,1,-2,-58,-10,19,-35,-41,59,9,65,18,2,-93,52,53,70,-41,-29,-42,-26,17,8,47,-9,33,-28,-35,-88,37,8,-12, 
  /* [3][0][][] */ -24,-52,49,31,-18,-7,-11,-26,24,83,71,127,63,-32,-16,19,47,9,-14,69,13,81,74,-84,70,-2,-22,-42,30,-52,39,56,-5,-11,-33,-52,9,-5,24,47,31,-54,-67,22,-20,54,12,14,11,11,-27,21,-32,-56,-32,13,5,41,53,-5,-63,-48,-52,-12,3,47,-44,-13,-46,32,100,-59,-9,23,-66,32,15,2,-30,-1,-110,35,-22,-2,-35,-10,74,13,-3,-26,47,-18,108,2,-74,62, 
  /* [4][0][][] */ 66,51,-92,0,40,-17,-29,84,-16,66,105,-15,-24,39,64,-126,48,28,-55,11,-54,-65,-26,5,-84,23,-120,36,-53,-7,-15,77,-62,-49,-14,52,-99,-3,39,54,-87,-48,49,-96,35,57,-12,22,-42,114,51,-32,79,2,-7,22,12,-34,11,-55,59,0,41,-49,-43,-8,-45,-55,-110,28,-3,49,6,-71,-90,-7,27,-127,-37,-28,-28,63,-65,-44,2,-33,42,-64,-15,-9,70,7,-96,7,45,-41, 
  /* [5][0][][] */ -33,38,-8,-9,23,-15,51,53,4,6,-17,-24,3,34,-28,-47,-2,3,23,-23,-66,-21,-85,-10,-66,23,-13,-9,21,-10,-34,41,25,50,-15,69,-2,74,76,-29,-48,50,56,-37,84,45,25,-25,-10,27,-36,-24,17,-30,39,-70,25,-36,-109,-62,75,-12,-14,-54,2,0,-10,-57,-19,-27,-82,9,-11,-2,22,-61,3,-63,-27,-50,127,-45,25,-45,-4,-11,-12,-29,-18,87,31,62,-61,-2,22,-19, 
  /* [6][0][][] */ 24,12,-80,1,-38,-50,121,58,-109,0,-29,-18,-66,43,-25,55,-38,-61,-6,-27,-11,40,-71,-48,-86,52,31,27,55,-4,44,-85,6,57,-19,-17,61,73,33,8,-19,-22,-17,-48,25,-56,-30,56,-21,-121,-25,1,26,10,-47,-13,33,48,-71,27,-17,-28,-77,1,-5,-12,-3,-4,76,-13,-66,-21,10,-9,127,-24,9,-14,-13,-24,89,-54,-51,40,24,-79,-11,-7,-44,89,-16,89,15,0,-40,38, 
  /* [7][0][][] */ -9,73,-66,-37,10,26,27,32,-127,-23,-71,-84,-56,62,22,-37,-56,-52,-34,-36,-27,62,-15,-11,-19,88,28,51,22,43,32,-30,35,55,-31,64,-45,39,17,-19,-91,-16,60,-93,35,-8,33,-36,-3,-94,-26,-70,6,25,-51,-1,12,18,-118,-21,29,49,40,-28,-5,5,10,-31,12,-28,-68,35,29,43,-11,2,-28,-10,-16,-42,13,-45,50,-95,67,-38,-63,9,-33,70,-64,-7,-29,-7,-22,-37, 
  /* [8][0][][] */ -28,72,14,58,-38,-7,2,-58,-114,-25,-20,-51,25,27,21,62,51,-60,31,28,13,87,69,34,-24,110,71,8,17,13,-8,-24,-22,-25,-31,-102,-4,88,12,21,-19,-23,34,44,-65,-71,-14,54,-63,3,61,42,15,-64,-80,106,-55,58,85,-30,-74,23,-19,39,13,-24,-1,1,-62,50,-16,-60,-17,-15,4,0,-72,38,-41,12,-34,-14,-6,-43,-19,48,14,50,32,44,-27,-100,-127,-96,41,5, 
  /* [9][0][][] */ 34,4,-50,36,1,-50,-1,105,58,49,42,127,-45,-32,64,54,37,53,37,11,-33,-66,-2,-97,0,-91,-66,3,-15,1,4,73,-2,-51,22,-88,-30,-95,-1,6,6,3,-2,-60,13,51,20,-31,61,111,21,12,-41,-11,65,-32,-52,-57,39,-27,-32,52,-1,-55,27,-44,-29,9,-81,-8,63,76,-33,69,-109,-4,37,-19,-37,-38,-33,1,18,-3,24,-34,11,-16,-58,-45,42,43,39,17,-25,-26, 
  /* [10][0][][] */ -21,15,-12,15,-15,-31,81,-92,-55,-6,-41,-35,-38,-12,-37,-30,-51,-63,25,41,35,93,55,44,36,127,118,7,-48,-37,25,-37,33,24,31,-20,90,7,66,31,-21,-4,13,14,-84,-87,46,39,44,-17,-48,-31,10,19,-37,31,64,37,89,67,-28,37,-29,-11,26,-14,16,-7,47,-2,-22,-1,77,15,77,-77,2,12,30,32,-17,18,21,27,-32,5,22,5,-25,-45,-21,12,16,94,-13,67, 
  /* [11][0][][] */ -45,-18,36,-41,34,13,43,-63,-2,-30,-18,-19,39,-7,-14,7,-18,-19,99,20,-7,78,-53,-46,99,37,1,77,22,25,49,-64,25,-8,44,-44,-55,16,-53,-4,-16,23,3,40,-22,-9,-41,-21,-4,-47,-3,-34,27,22,79,-24,8,-2,37,-18,-29,-25,-11,-96,35,-29,81,0,82,36,41,-23,-46,17,127,-47,92,30,-1,78,-22,-1,31,69,54,11,-6,-11,-14,-54,-27,-32,25,25,62,63, 
  /* [12][0][][] */ 45,10,9,-53,29,41,-27,28,13,2,55,1,-3,17,-15,-6,-99,40,-21,6,57,-57,37,-25,47,-6,-105,-18,0,33,-2,-77,32,46,-9,-127,32,-40,-16,1,21,-26,-6,46,-16,16,0,-29,-63,-36,-22,1,-32,19,11,-7,-74,11,-16,91,20,-80,-3,-51,-48,31,-38,-39,-22,-69,21,35,2,-3,-54,-16,-1,34,-65,-28,-7,42,42,28,11,16,-64,-69,12,-10,-83,106,85,17,-52,-70, 
  /* [13][0][][] */ 7,11,0,-11,-15,-18,-49,15,40,-7,7,56,38,-59,-40,-11,-40,-32,-64,-17,-33,-57,43,47,23,-53,10,-17,-5,-50,22,25,28,-3,-70,47,-25,-127,33,-59,109,-6,-30,-1,-40,-26,36,-63,66,-11,-32,29,-31,11,-50,24,59,-26,-40,15,1,27,17,-12,-39,6,-26,55,-14,-46,-10,25,6,43,-70,-8,-57,60,27,23,-67,51,-12,-33,5,5,28,29,-16,-31,-18,63,74,3,-41,16, 
  /* [14][0][][] */ 69,53,-107,-33,89,64,-62,127,116,-21,94,83,3,23,32,-92,-42,80,19,108,2,-104,-57,-83,-5,-17,-60,0,-20,-29,-48,96,71,-11,-2,49,-87,-31,75,66,59,-11,9,1,87,66,3,-67,42,67,0,-13,36,24,52,8,8,-6,-86,-5,4,-63,-19,-105,-51,-44,-2,14,-76,55,-12,77,-34,-34,-105,-13,15,-65,15,-65,35,-20,29,-17,30,23,19,-29,2,69,83,119,28,-57,21,-56, 
  /* [15][0][][] */ -57,-15,42,-35,9,-8,15,-127,-51,-20,-13,-9,-7,-32,-52,28,-77,-45,19,-27,24,27,33,0,69,34,50,-23,-28,-56,-45,-19,-24,49,15,-55,81,56,-4,-38,-5,11,23,15,-36,-38,35,59,-46,-77,12,-23,-7,33,-32,-35,-32,42,68,48,-15,21,-48,31,-9,9,-6,-24,60,-36,-4,-60,18,-10,55,-46,-31,58,27,28,25,22,21,42,7,3,-72,4,10,-29,-65,1,-20,13,-12,54, 
};
const TfArray<4, int> tensor_dimension36 = { 4, { 16,1,1,96 } };
const TfArray<16, float> quant36_scale = { 16, { 0.0015477362321689725, 0.0021873002406209707, 0.0019640943501144648, 0.0012481231242418289, 0.0020952585618942976, 0.0030501913279294968, 0.0023639558348804712, 0.0025699683465063572, 0.0023860936053097248, 0.0027247266843914986, 0.001944110612384975, 0.0012366554001346231, 0.0028911144472658634, 0.0023791498970240355, 0.0024630906991660595, 0.0038690969813615084, } };
const TfArray<16, int> quant36_zero = { 16, { 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0 } };
const TfLiteAffineQuantization quant36 = { (TfLiteFloatArray*)&quant36_scale, (TfLiteIntArray*)&quant36_zero, 0 };
const ALIGN(16) int32_t tensor_data37[16] = { 17351, -1845, 843, -12543, 2898, 6934, 6560, 15288, -736, -1254, -13005, -2279, 10753, 7566, -9751, 5711, };
const TfArray<1, int> tensor_dimension37 = { 1, { 16 } };
const TfArray<16, float> quant37_scale = { 16, { 3.6417324736248702e-05, 5.14658895554021e-05, 4.6213986934162676e-05, 2.9367603929131292e-05, 4.9300200771540403e-05, 7.1769209171179682e-05, 5.5622491345275193e-05, 6.0469843447208405e-05, 5.6143380788853392e-05, 6.4111220126505941e-05, 4.574378181132488e-05, 2.9097775041009299e-05, 6.8026223743800074e-05, 5.5979999160626903e-05, 5.795507604489103e-05, 9.1037574748042971e-05, } };
const TfArray<16, int> quant37_zero = { 16, { 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0 } };
const TfLiteAffineQuantization quant37 = { (TfLiteFloatArray*)&quant37_scale, (TfLiteIntArray*)&quant37_zero, 0 };
const ALIGN(16) int8_t tensor_data38[96*1*1*16] = { 
  /* [0][0][][] */ 45,53,-78,-86,-16,-61,127,35,-86,-73,83,-27,100,117,-105,79, 
  /* [1][0][][] */ -59,-31,-87,7,15,111,60,-26,28,-127,-56,-41,1,-30,-107,29, 
  /* [2][0][][] */ -23,-16,-13,45,-8,46,-76,127,-31,-48,27,-54,-24,-31,-51,37, 
  /* [3][0][][] */ 53,-82,58,60,24,-41,-69,127,-40,82,64,25,5,47,27,4, 
  /* [4][0][][] */ -51,-1,-16,127,-95,-35,-25,-102,11,15,45,-30,33,68,79,91, 
  /* [5][0][][] */ 127,-30,25,-15,-36,21,0,74,-6,-19,19,67,110,4,-40,-31, 
  /* [6][0][][] */ -10,22,-37,-25,-23,55,-6,-31,-51,-26,-25,-50,37,21,127,-52, 
  /* [7][0][][] */ -58,49,-72,-68,27,35,-20,59,-127,38,-76,-100,-70,-69,41,97, 
  /* [8][0][][] */ 50,83,50,65,-19,0,121,-15,117,-67,39,31,-127,-19,-105,8, 
  /* [9][0][][] */ -93,57,47,-112,1,42,59,25,0,-7,8,-8,-22,127,15,94, 
  /* [10][0][][] */ 63,45,-103,56,-8,99,104,29,-85,-77,-49,-119,-127,-50,61,91, 
  /* [11][0][][] */ 51,11,75,22,-6,-36,7,125,-46,-29,-1,96,7,-15,38,127, 
  /* [12][0][][] */ -23,-50,34,-39,28,-14,83,16,-42,-12,6,-15,7,14,-127,115, 
  /* [13][0][][] */ 13,65,33,38,127,118,90,66,-45,63,-95,-124,-21,51,88,-106, 
  /* [14][0][][] */ -127,-9,-44,20,13,37,75,64,23,-20,75,-10,-127,69,-61,47, 
  /* [15][0][][] */ -25,-29,-127,-75,21,-52,-73,-24,-18,-68,35,-24,-48,-28,-103,92, 
  /* [16][0][][] */ 78,17,7,-73,47,8,86,0,-23,-32,127,91,32,-25,-64,-5, 
  /* [17][0][][] */ 48,6,-49,-30,-92,-62,86,-127,32,-47,-52,18,12,110,-22,58, 
  /* [18][0][][] */ -37,50,2,32,28,-75,-20,-34,-16,127,6,-11,-11,50,-34,6, 
  /* [19][0][][] */ -53,-79,68,13,60,-127,3,-11,71,44,45,78,32,-14,48,-48, 
  /* [20][0][][] */ -5,30,25,28,1,19,12,-10,20,2,12,-28,-127,3,-23,-28, 
  /* [21][0][][] */ -37,90,33,56,127,119,77,71,-121,75,-127,-69,-1,-1,70,-76, 
  /* [22][0][][] */ 14,-69,39,33,-14,-126,93,-9,88,-36,-74,-106,39,-127,1,-82, 
  /* [23][0][][] */ -96,-127,51,70,58,13,66,12,34,-73,106,48,-29,71,12,121, 
  /* [24][0][][] */ -22,52,17,112,37,4,-65,-127,52,54,-31,-7,16,18,34,-60, 
  /* [25][0][][] */ -21,3,3,-5,-55,-41,39,-18,28,5,16,33,69,127,-35,89, 
  /* [26][0][][] */ -71,102,9,-45,10,-28,17,22,-35,-31,42,41,2,-9,-49,127, 
  /* [27][0][][] */ -29,-79,-49,13,-55,71,9,-47,31,-69,54,29,6,-49,-127,-32, 
  /* [28][0][][] */ -27,19,12,127,34,-6,-48,-115,-106,50,71,-50,74,25,-22,-53, 
  /* [29][0][][] */ -102,125,4,37,21,37,-127,-69,-29,16,-21,1,30,-75,-111,12, 
  /* [30][0][][] */ 21,4,-51,52,-127,-68,10,-13,-4,-47,34,-93,58,42,-48,90, 
  /* [31][0][][] */ 112,87,-127,-57,-48,78,114,66,-55,-34,81,-3,-12,28,-21,35, 
  /* [32][0][][] */ -52,-84,121,-25,-61,26,127,92,26,-25,7,36,-2,74,-2,74, 
  /* [33][0][][] */ 11,-4,-47,5,-64,-41,21,9,6,-21,-1,-20,9,127,-12,-4, 
  /* [34][0][][] */ -85,34,99,31,15,-5,84,-5,-127,24,15,-76,13,50,18,-76, 
  /* [35][0][][] */ 12,49,-57,51,-3,127,-62,-19,-28,112,-16,61,-37,36,100,-19, 
  /* [36][0][][] */ 13,-108,77,-54,-127,39,-28,5,-36,-14,-53,48,-7,-17,-27,81, 
  /* [37][0][][] */ 35,30,40,-6,86,-23,-58,-2,-82,81,-37,-44,-82,-22,127,-90, 
  /* [38][0][][] */ -8,31,7,-127,12,-26,-71,72,-50,-15,-1,20,-44,-94,-114,91, 
  /* [39][0][][] */ -127,13,-46,-118,-2,-17,73,17,-114,-91,51,117,21,-79,-23,29, 
  /* [40][0][][] */ 47,87,-2,-102,-32,123,63,17,-116,-26,-77,-127,9,39,71,18, 
  /* [41][0][][] */ 101,-97,-44,13,11,28,-55,-1,19,-10,-43,-127,70,-56,123,-71, 
  /* [42][0][][] */ -2,-95,-61,91,-20,-127,-79,-31,11,-7,9,36,-68,69,-73,-29, 
  /* [43][0][][] */ -17,-68,-7,-49,-42,29,-24,61,6,-127,-53,4,-32,-14,-29,38, 
  /* [44][0][][] */ 5,127,-38,11,-31,-15,104,112,63,-108,18,82,86,80,-49,44, 
  /* [45][0][][] */ -4,83,-56,127,49,-54,-7,0,-5,25,26,-29,40,16,-41,87, 
  /* [46][0][][] */ 8,-62,93,-50,101,-6,46,-12,57,123,-73,-127,37,-20,-31,58, 
  /* [47][0][][] */ 48,-24,-19,16,49,-23,-52,-76,-5,127,-36,9,-19,-57,-33,-38, 
  /* [48][0][][] */ 1,22,3,-127,8,-54,85,-62,1,-35,-3,50,-3,23,-35,56, 
  /* [49][0][][] */ -51,127,-20,45,69,-22,12,17,-31,14,28,-86,-45,60,113,-116, 
  /* [50][0][][] */ 23,89,-40,81,-127,-12,-80,-72,-4,120,59,27,24,-30,14,53, 
  /* [51][0][][] */ 127,-65,-100,-68,-70,71,-22,-53,56,-48,-49,69,-30,-74,-41,103, 
  /* [52][0][][] */ -79,-126,54,-4,4,-53,-104,47,-32,-39,52,-22,-6,-77,-34,127, 
  /* [53][0][][] */ 23,95,28,-42,11,127,63,-5,1,-6,-14,-23,48,-82,72,10, 
  /* [54][0][][] */ 18,127,-13,50,-50,-127,-113,17,13,15,-53,61,73,125,49,16, 
  /* [55][0][][] */ -67,28,-6,43,-39,-86,127,87,-85,-42,43,-12,118,70,-39,55, 
  /* [56][0][][] */ 127,15,5,66,-46,65,-27,-97,-8,43,-85,-17,-33,86,8,6, 
  /* [57][0][][] */ -31,52,-36,-4,-24,-83,38,-29,-93,-10,77,127,49,-13,2,71, 
  /* [58][0][][] */ 51,-98,72,8,-1,-50,-13,47,31,-32,-127,-25,-5,-37,-44,23, 
  /* [59][0][][] */ 118,-38,-127,65,-39,-9,75,-61,-64,-81,39,-10,-83,-4,-4,104, 
  /* [60][0][][] */ 1,-5,-39,58,-33,-46,-11,-3,-35,-28,39,127,-11,-85,-84,17, 
  /* [61][0][][] */ -18,18,14,-95,-89,106,14,127,5,-105,22,50,47,24,24,92, 
  /* [62][0][][] */ 127,10,-50,-112,-62,-29,18,-76,-11,32,-92,-7,0,14,-119,-92, 
  /* [63][0][][] */ 17,-42,-56,-18,-127,-78,4,31,-68,-54,42,32,104,20,-14,77, 
  /* [64][0][][] */ 49,28,-44,82,-127,-80,-11,-123,63,87,-3,-27,-20,1,-19,33, 
  /* [65][0][][] */ -40,-27,15,2,-36,67,30,23,13,-105,50,-67,-19,44,-127,26, 
  /* [66][0][][] */ -92,38,-86,-20,8,-65,-69,0,-116,94,115,62,11,-29,-36,127, 
  /* [67][0][][] */ 20,-18,-127,-62,61,82,20,15,-56,6,-1,-22,27,46,33,34, 
  /* [68][0][][] */ 80,27,-49,-59,-94,42,67,52,-87,22,89,7,-3,-36,-127,35, 
  /* [69][0][][] */ 83,-52,91,-100,68,-71,4,127,51,14,9,87,27,28,-37,-4, 
  /* [70][0][][] */ -11,47,48,127,33,-82,6,-27,29,90,-21,-16,-31,98,-8,6, 
  /* [71][0][][] */ 14,7,49,-61,-127,-46,7,6,-27,-11,16,-106,-72,36,6,25, 
  /* [72][0][][] */ -28,-56,3,-127,67,-35,-9,79,-4,-18,-108,35,115,38,-37,101, 
  /* [73][0][][] */ -15,119,50,-12,127,14,7,42,-86,8,-44,-14,-75,-59,118,-47, 
  /* [74][0][][] */ -71,-52,-119,-50,-13,-29,6,65,-109,-48,-14,-46,-47,3,-111,127, 
  /* [75][0][][] */ 88,-66,9,-68,-18,12,-56,27,2,-127,63,24,18,-1,-55,42, 
  /* [76][0][][] */ -28,-66,-63,39,14,127,123,28,-11,-88,56,85,31,-35,-77,72, 
  /* [77][0][][] */ -90,-100,127,-97,75,56,42,-38,-35,-8,96,105,104,88,14,67, 
  /* [78][0][][] */ 5,-18,13,17,15,18,7,12,26,-26,-8,-43,-127,-5,-49,-34, 
  /* [79][0][][] */ -127,-77,-78,2,22,17,-2,91,-82,-77,34,65,-108,36,-79,21, 
  /* [80][0][][] */ -43,0,0,127,9,-40,-68,31,49,26,33,6,-17,20,-2,24, 
  /* [81][0][][] */ 75,-7,-95,127,-67,-6,31,103,4,25,97,45,93,69,2,43, 
  /* [82][0][][] */ -34,8,-27,47,9,-127,-112,-98,-28,110,-42,-45,-21,100,-49,-47, 
  /* [83][0][][] */ 127,-47,53,-41,-86,-24,-64,-11,26,-118,-5,-31,-25,53,-20,-3, 
  /* [84][0][][] */ 4,6,-70,76,127,20,42,31,-37,1,-50,21,43,-59,-2,3, 
  /* [85][0][][] */ -11,-40,63,-98,110,-45,51,-46,127,-66,98,-32,98,-48,-48,76, 
  /* [86][0][][] */ 66,-49,127,3,14,-43,90,63,-11,-94,-72,-48,19,-16,-38,11, 
  /* [87][0][][] */ 47,-19,91,-19,95,-67,-112,-32,94,63,18,-59,-69,-127,20,-25, 
  /* [88][0][][] */ -64,-38,32,4,-12,-10,-59,-77,2,27,-55,-127,-70,-38,-32,12, 
  /* [89][0][][] */ -82,0,3,-79,36,39,-65,91,127,-39,-126,-24,-53,-88,-100,-19, 
  /* [90][0][][] */ -17,29,-17,-36,127,44,-33,22,43,25,19,-10,21,-18,-22,-32, 
  /* [91][0][][] */ 10,-82,-18,38,-95,-68,21,-16,55,-29,-22,-28,-26,104,-74,127, 
  /* [92][0][][] */ -12,99,17,-42,-72,55,-50,78,-7,-56,106,48,-37,127,-30,80, 
  /* [93][0][][] */ -39,6,-32,-75,34,19,-44,-6,79,32,58,59,-127,-4,-58,50, 
  /* [94][0][][] */ 38,17,24,20,-127,-31,18,-12,-1,-33,26,11,-9,-11,-22,4, 
  /* [95][0][][] */ -18,37,50,73,124,-13,-93,37,-7,14,-96,-3,-56,48,127,-109, 
};
const TfArray<4, int> tensor_dimension38 = { 4, { 96,1,1,16 } };
const TfArray<96, float> quant38_scale = { 96, { 0.00085529434727504849, 0.0010582590475678444, 0.0010840696049854159, 0.001481112907640636, 0.00094074697699397802, 0.0024692392908036709, 0.001446995185688138, 0.001520414836704731, 0.0015983667690306902, 0.0015012993244454265, 0.0006732931942678988, 0.0019519240595400333, 0.0012339339591562748, 0.00067340058740228415, 0.0013139544753357768, 0.0012529020896181464, 0.0018386007286608219, 0.0015258719213306904, 0.0018047260819002986, 0.0012571772094815969, 0.0017681588651612401, 0.00071827077772468328, 0.0015359888784587383, 0.0012261060765013099, 0.0012696093181148171, 0.0011654637055471539, 0.0014039721572771668, 0.001661428832449019, 0.00091746589168906212, 0.0011259828461334109, 0.0010893126018345356, 0.0012027362827211618, 0.0013995724730193615, 0.0017443773103877902, 0.0011358110932633281, 0.0010461484780535102, 0.0016562029486522079, 0.0010655276710167527, 0.0017023511463776231, 0.00068979052593931556, 0.001210686401464045, 0.001390117104165256, 0.0015954796690493822, 0.0012080175802111626, 0.00095293816411867738, 0.0016043394571170211, 0.0016984471585601568, 0.0017915972275659442, 0.00071498920442536473, 0.0013599195517599583, 0.0015221431385725737, 0.0011031515896320343, 0.00079930719221010804, 0.0018851953791454434, 0.001226027263328433, 0.0012878061970695853, 0.0013039231998845935, 0.0014667091891169548, 0.0021889875642955303, 0.0015421471325680614, 0.0016042498173192143, 0.0010094324825331569, 0.0015618395991623402, 0.00089177186600863934, 0.00079940579598769546, 0.0010458395117893815, 0.0013253116048872471, 0.00080209103180095553, 0.00094413390615954995, 0.0019259301479905844, 0.0014270445099100471, 0.0016786889173090458, 0.00096882227808237076, 0.001036469591781497, 0.00065544625977054238, 0.001069110119715333, 0.00095050886739045382, 0.00089721620315685868, 0.0026342065539211035, 0.00073853263165801764, 0.0020293828565627337, 0.0012334734201431274, 0.0013650015462189913, 0.0016756304539740086, 0.0016479800688102841, 0.0014320294139906764, 0.0016098103951662779, 0.0013095776084810495, 0.0010398790473118424, 0.0011886006686836481, 0.0018866293830797076, 0.0010848011588677764, 0.0013842076295986772, 0.0012028305791318417, 0.0024627323728054762, 0.0010104576358571649, } };
const TfArray<96, int> quant38_zero = { 96, { 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0 } };
const TfLiteAffineQuantization quant38 = { (TfLiteFloatArray*)&quant38_scale, (TfLiteIntArray*)&quant38_zero, 0 };
const ALIGN(16) int32_t tensor_data39[96] = { -102, -2995, 7339, 5334, 3824, -1827, 5303, -4722, -3503, -2174, 8289, -3211, 8671, 10746, 1462, 3778, -1603, -3350, -3531, 4470, 2851, -2209, 2852, -2730, -1983, 4551, 2669, 2462, 8191, 4720, 1769, 1876, 4464, 3205, 6972, 5373, -1873, 5900, 3672, -12756, -1691, 1220, -480, 6696, -4579, -2310, -2334, 1192, -14865, 2400, 489, -7309, 9517, -1212, 2495, 2423, 907, 3518, -1767, -3209, -871, 3002, -728, 6906, 9683, 9734, 1838, 10107, 7313, 32, 2867, 4840, 10388, -4192, 8997, 9408, 527, -12296, 815, 4175, 3833, 1489, -1700, -4527, 227, 806, 1737, -2832, 6716, -3323, 3899, -325, 168, -7600, -1583, 2679, };
const TfArray<1, int> tensor_dimension39 = { 1, { 96 } };
const TfArray<96, float> quant39_scale = { 96, { 6.5924934460781515e-05, 8.1569174653850496e-05, 8.3558617916423827e-05, 0.00011416218330850825, 7.2511502366978675e-05, 0.00019032561976928264, 0.00011153243394801393, 0.0001171915209852159, 0.00012319994857534766, 0.00011571812501642853, 5.1896528020733967e-05, 0.00015045166946947575, 9.5109964604489505e-05, 5.1904808060498908e-05, 0.00010127783752977848, 9.6571995527483523e-05, 0.00014171685324981809, 0.00011761214409489185, 0.00013910584675613791, 9.6901516371872276e-05, 0.00013628730084747076, 5.5363339924952015e-05, 0.00011839194485219195, 9.4506598543375731e-05, 9.7859767265617847e-05, 8.9832363300956786e-05, 0.00010821627802215517, 0.00012806068116333336, 7.0717032940592617e-05, 8.6789237684570253e-05, 8.3962739154230803e-05, 9.270528971683234e-05, 0.00010787715291371569, 0.00013445423974189907, 8.7546781287528574e-05, 8.0635712947696447e-05, 0.00012765788414981216, 8.2129430666100234e-05, 0.0001312149252044037, 5.3168121667113155e-05, 9.3318070867098868e-05, 0.00010714834934333339, 0.00012297742068767548, 9.3112364993430674e-05, 7.345118501689285e-05, 0.00012366031296551228, 0.0001309140061493963, 0.00013809389201924205, 5.511040217243135e-05, 0.0001048207632265985, 0.00011732473649317399, 8.5029430920258164e-05, 6.160952034406364e-05, 0.00014530830958392471, 9.4500523118767887e-05, 9.9262360890861601e-05, 0.00010050463606603444, 0.00011305195948807523, 0.00016872420383151621, 0.00011886661377502605, 0.0001236534008057788, 7.7805692853871733e-05, 0.00012038448767270893, 6.8736568209715188e-05, 6.1617116443812847e-05, 8.0611898738425225e-05, 0.00010215322981821373, 6.1824095610063523e-05, 7.2772563726175576e-05, 0.00014844808902125806, 0.00010999466030625626, 0.00012939107546117157, 7.4675510404631495e-05, 7.988967263372615e-05, 5.0520910008344799e-05, 8.2405560533516109e-05, 7.326393824769184e-05, 6.9156209065113217e-05, 0.00020304108329582959, 5.6925095123006031e-05, 0.00015642208745703101, 9.5074465207289904e-05, 0.00010521247168071568, 0.00012915533443447202, 0.00012702407548204064, 0.00011037888907594606, 0.00012408201291691512, 0.00010094047320308164, 8.0152472946792841e-05, 9.16157296160236e-05, 0.00014541884593199939, 8.3615006587933749e-05, 0.00010669285256881267, 9.2712551122531295e-05, 0.00018982408801093698, 7.7884709753561765e-05, } };
const TfArray<96, int> quant39_zero = { 96, { 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0 } };
const TfLiteAffineQuantization quant39 = { (TfLiteFloatArray*)&quant39_scale, (TfLiteIntArray*)&quant39_zero, 0 };
const ALIGN(16) int8_t tensor_data40[32*1*1*96] = { 
  /* [0][0][][] */ 49,54,-10,-67,-42,22,28,95,-60,5,-65,-112,-93,104,-84,45,11,127,7,-5,-40,-47,-41,-41,90,-55,-1,71,56,-60,48,0,-54,98,30,-36,-11,40,-84,12,-75,-34,101,-58,53,-94,-86,71,-67,112,-62,29,-17,95,-15,32,-33,-44,-11,73,-15,25,60,-60,52,-94,-104,31,24,-125,-2,106,-69,78,-30,79,-31,-54,-40,-12,-90,-14,70,78,-23,-47,-44,-49,28,16,31,77,-54,-100,20,70, 
  /* [1][0][][] */ -9,-51,-7,-28,-37,-28,-54,21,-34,-15,-104,-12,-127,-122,-38,-104,-91,-77,-48,-73,10,1,-110,-101,-27,-59,-76,-97,2,-26,-70,-96,-111,-110,-113,-104,-31,-97,-85,-44,-51,15,-60,-34,-29,-53,-56,-30,-43,-125,-56,-83,-61,-125,-89,-120,-27,-26,9,-48,-13,-107,-79,-75,23,-63,-56,4,-6,5,-24,19,-56,-34,-20,-32,-10,-100,23,-63,-107,16,-100,-2,-33,-42,-124,-33,-91,-95,-14,-73,-79,-44,-27,-42, 
  /* [2][0][][] */ 10,-24,-111,-111,24,29,22,-12,-97,-14,-23,-60,19,-24,-85,-62,-50,94,-57,-16,-64,-75,1,-29,-79,88,-23,-3,-23,-6,2,36,19,19,-11,-43,-23,-51,-55,81,39,-49,117,57,-78,-4,-37,-30,-4,-127,69,78,-27,-72,4,-117,8,49,58,100,64,-10,20,94,108,71,-7,-62,25,-71,37,26,-42,-61,9,-40,38,75,-99,-56,-39,48,80,64,-108,-1,8,-40,10,-11,-23,122,-96,-51,111,-29, 
  /* [3][0][][] */ -69,4,28,-54,10,13,14,12,-10,-18,-23,-60,4,13,21,21,-110,-7,33,51,-91,47,-53,-35,88,8,-111,-35,27,-4,-64,15,-67,-20,10,-63,-85,-3,-71,-66,-127,-41,-41,-25,-63,-79,-30,-31,-61,102,-60,-99,-36,-3,56,-73,-86,-91,18,-97,-93,-16,-107,-37,-40,5,-42,-49,-60,-47,38,-27,14,76,-55,-54,-72,-68,-43,-46,27,15,-36,-67,41,-65,40,-20,-22,-32,49,1,-48,-57,-27,5, 
  /* [4][0][][] */ -107,-33,-3,-62,-14,-45,-70,-87,-23,-14,-108,-88,-94,42,-33,-117,-5,-22,-73,-99,-106,11,-97,-76,-50,-119,3,-34,-50,-112,16,-30,-81,-27,-92,-86,-5,-9,-127,-102,6,5,-108,-114,-70,-7,-75,-56,22,-63,17,4,-4,-85,-56,-37,-117,-58,33,-82,1,-75,-68,-8,-83,-33,-113,-104,-39,2,7,-53,-93,2,-48,-96,-75,-12,-79,23,-40,-121,-20,-28,18,17,-37,-91,-32,-12,40,-20,-4,-68,-107,-56, 
  /* [5][0][][] */ -18,32,-56,-73,30,14,-54,-7,-22,-25,10,26,-44,-32,27,33,-35,114,20,-56,19,10,-70,42,-88,37,-25,-1,-50,-12,71,12,-11,45,-20,-5,70,-82,-68,-24,23,-57,41,-31,62,76,-124,-76,8,7,77,66,-60,-62,36,-30,60,3,-55,54,14,6,3,36,47,-27,8,-11,42,-127,2,-4,-96,-2,-18,-58,-44,13,-31,-18,5,67,-41,28,-13,-54,-71,-82,-27,12,-63,60,-8,26,55,-2, 
  /* [6][0][][] */ 15,-70,-53,-116,-126,20,-20,-119,44,-6,-37,18,-23,-101,-72,18,-102,4,-33,1,-127,15,1,-36,-97,-29,-126,-124,-85,-116,-54,-24,-115,-46,-11,-6,-127,-89,-51,-18,-114,-29,97,-56,-124,0,-118,-75,-16,9,-59,-66,-107,-124,-95,-110,-102,-62,-58,-2,-21,-87,0,-49,23,0,-71,-24,-57,-27,-87,-69,-15,-77,3,13,-83,-24,-88,-106,-40,-68,21,-35,-6,-59,-61,22,-64,-113,-117,-78,-106,26,10,-117, 
  /* [7][0][][] */ -15,39,-79,-103,45,-34,-30,-64,-32,-85,-15,-74,-83,47,24,22,18,-8,-52,15,29,-95,-23,-100,60,-65,17,58,-72,-16,-36,-17,-114,-67,20,-53,73,-21,-9,-61,-90,14,-56,24,-47,-84,-103,-53,62,-66,-29,62,-32,-5,17,-31,24,-76,-8,-126,22,-105,-26,-37,-16,-67,-83,-105,10,-113,-107,-6,-119,26,-43,37,-70,-36,-63,-31,-84,-22,-11,47,-67,-58,-24,-86,15,60,45,-102,-44,-127,59,-91, 
  /* [8][0][][] */ -59,-89,-123,-56,-15,24,-67,-117,82,-98,25,-62,-48,-116,-114,-57,1,-2,-1,-99,10,20,9,-69,-99,-120,-43,-116,-103,-108,-114,-37,14,49,-111,21,-127,-117,-85,-37,-64,-38,-26,-66,-57,-90,-40,7,37,3,-75,-68,20,-41,-59,-62,-54,-37,-63,-37,-115,5,-121,9,-64,26,-48,-97,-102,-30,-122,-17,-22,4,23,3,6,-57,-62,-68,-29,14,-57,-11,53,-88,-58,-7,-15,-16,-93,32,-120,36,22,-84, 
  /* [9][0][][] */ -11,-22,3,32,11,31,56,78,-47,49,60,5,60,31,-63,-25,-32,-46,-76,-107,-127,44,-38,-81,-96,-41,-39,17,33,-112,-31,29,-103,-68,49,-32,-49,-17,-60,-35,85,24,-20,-22,-3,-32,-31,-55,-2,-44,-82,-54,-69,32,-20,37,-10,-44,-34,1,-25,-90,-3,73,-109,38,45,33,56,-102,-123,2,22,20,49,-90,68,-69,-61,-60,-112,-59,27,-72,36,-57,-73,-119,-71,14,-7,-20,-53,7,20,14, 
  /* [10][0][][] */ -87,-26,-90,-95,-62,65,-114,-107,29,-94,13,16,-25,-41,10,-46,61,-11,-103,-28,-52,-78,-87,46,-50,25,-41,-59,-127,-90,-48,-89,7,-8,14,-112,28,-105,-18,69,17,-35,-28,5,-26,-33,-42,-66,-54,25,21,44,18,-108,28,12,-34,-23,-13,-41,8,13,4,-12,-71,40,-45,-9,-32,-14,-12,-17,-96,-125,-27,-14,1,12,0,-47,-41,-16,-57,-4,-36,-16,-109,-26,-67,-36,-87,43,-12,3,-19,-68, 
  /* [11][0][][] */ 29,11,-68,-84,9,6,-29,-81,-111,19,-3,-34,29,-76,-7,-53,-26,19,-84,-95,-52,-56,-24,-40,-119,17,27,22,-43,-6,-11,23,7,11,-57,-68,-48,-4,-57,-10,-1,-79,28,-27,-10,-30,-127,-110,24,-1,-42,4,1,-60,-40,-33,-44,26,-60,5,-53,-14,26,-37,4,-22,6,-16,18,-7,-50,-16,-17,-45,-10,-54,-17,-19,-81,-34,-85,-51,-70,6,-49,-57,-51,-60,-97,-27,-42,-45,-7,-36,27,-54, 
  /* [12][0][][] */ -87,-20,-70,58,17,-86,-61,-94,-84,-28,-60,-25,-100,-59,-86,34,-29,-29,70,88,-51,-40,35,-17,37,68,-51,-23,94,-39,55,-7,-6,-34,3,-65,-18,-41,26,-28,-44,29,80,-105,-1,28,-59,64,-93,96,-5,-32,-29,-127,50,-3,-6,-54,-63,-39,23,-71,62,10,-30,-22,22,-80,-118,-84,49,-25,-117,-4,-21,-21,-57,-15,33,-45,44,0,116,-12,6,-35,-15,-33,-27,-49,-10,34,-78,-95,-62,79, 
  /* [13][0][][] */ -16,-24,0,-98,13,-38,-30,-93,-40,-126,-29,-34,-60,4,-29,-5,-2,-19,-54,2,20,-63,-59,-103,5,-106,-54,-104,-34,-120,-89,-62,-64,-124,-35,-57,-8,-124,-4,-26,-65,-97,-8,6,-7,-62,-11,-10,-56,1,-90,-54,-76,-118,-54,7,-31,-91,-1,-98,-125,-60,-2,-89,-114,-30,-79,-127,-116,-97,-118,6,-82,-67,15,-71,-76,8,-63,-90,-3,-25,-60,22,11,-82,-127,-4,-89,-91,-33,-77,-12,22,-72,-109, 
  /* [14][0][][] */ -20,-71,53,44,38,-76,47,55,-57,69,5,-77,-2,84,-48,1,-88,-12,-59,-75,-11,35,-49,-43,-46,-8,28,-14,46,-61,37,-43,-38,77,76,30,-7,70,-69,-40,77,77,74,3,-7,-127,-23,-51,-53,36,-48,-82,-6,-73,29,-80,40,-57,-28,-62,-90,-98,15,8,-28,34,-71,-11,-86,-59,25,-27,-87,-28,29,-26,-104,-50,53,-30,76,-82,59,48,-33,-78,-51,12,44,-25,-37,-4,-6,-88,-34,-14, 
  /* [15][0][][] */ -19,4,-25,-75,-112,46,-39,38,-90,-60,36,-39,-51,-75,-56,-58,-43,28,-80,-13,-37,-75,-88,-52,-18,-44,51,44,-39,-81,-127,-19,9,32,-70,-28,-31,50,-44,-92,-77,50,52,-86,30,20,-66,-78,11,-52,-36,-73,-102,-18,-2,-26,15,-54,35,-52,-89,-108,-89,-88,-61,-23,-14,-94,-37,-65,-94,-29,11,18,-36,25,-57,71,-99,-35,-55,-71,-41,-57,-78,-45,30,-27,10,-84,-82,36,-17,-35,58,-83, 
  /* [16][0][][] */ -13,26,-68,54,76,-40,19,62,-103,34,46,-84,-92,41,-106,-24,-11,86,38,-11,-94,10,-80,-53,109,-10,-31,-14,11,94,96,-17,-86,-26,22,-9,-16,57,-93,25,-41,-12,101,-75,-72,48,-53,-22,-31,38,125,11,-11,-42,51,-39,16,88,-47,4,13,-69,-18,76,31,-12,127,-58,-13,-39,54,-13,-7,44,18,-65,37,-5,-116,-41,21,-8,51,-61,39,-27,-8,-42,53,-63,33,-26,17,-5,69,-56, 
  /* [17][0][][] */ -65,3,-125,-76,-73,17,-79,11,-37,-74,9,-66,-77,10,-34,-94,-37,-4,-72,-11,-43,-63,-91,-64,-122,-49,-77,-105,-80,-27,-2,-118,-13,-79,-74,-26,-31,-89,-71,-27,24,20,-67,-106,14,-40,-91,-114,-32,-105,-62,-22,-101,-47,-26,-36,9,-3,-91,-94,10,8,-11,-2,-90,-33,-114,-9,-99,-96,-47,-68,-78,-76,-58,-25,-127,-91,15,-117,-93,48,5,18,-5,-31,-82,9,-46,21,-77,-14,-115,-93,-7,-72, 
  /* [18][0][][] */ 54,-44,-14,-2,41,66,-34,-15,71,42,24,14,64,42,87,63,75,116,-112,-36,3,55,27,98,-55,11,52,4,-49,-15,40,8,75,83,48,-37,83,-51,4,17,8,13,27,68,26,-6,44,-86,66,-30,-7,34,-15,41,-5,60,34,56,-31,88,10,41,65,57,-13,94,-67,-11,106,-4,-54,93,6,13,32,89,23,55,63,20,-48,2,-100,107,7,-34,61,127,7,5,-14,105,-21,47,45,-93, 
  /* [19][0][][] */ -2,27,-95,10,28,11,-84,-46,3,-21,-50,-41,-8,-33,22,-61,8,-75,-40,10,-86,-84,-51,31,8,-28,28,-58,12,-19,42,-97,-3,-61,-67,-14,-93,-71,-85,-44,-7,-20,11,-22,-54,-2,-68,2,17,-39,17,-22,10,-88,15,22,-14,-4,-121,-75,-59,-4,-6,-24,28,-39,-47,-1,24,40,-114,-28,-34,-10,-41,16,-33,61,-91,9,-85,-69,40,-109,-62,-31,20,-89,-108,-98,-97,-33,-40,-66,27,-127, 
  /* [20][0][][] */ -39,-100,-57,0,22,12,9,-18,-79,-71,-36,-3,-62,-105,-45,-102,-38,-71,21,-22,-13,-127,4,-40,-107,25,-87,-33,-43,-90,-58,-23,-25,20,-4,-74,18,-40,-114,-24,20,-106,-63,-58,-3,-32,-66,-71,3,-54,33,-80,-41,5,-11,-92,-72,-105,13,-32,-64,21,-5,6,-16,19,-26,-91,-22,51,-95,-31,-106,-106,-72,21,-50,-98,-24,-91,-32,31,11,-50,-33,-36,-102,-113,16,-38,-116,-75,1,-81,-18,-10, 
  /* [21][0][][] */ -12,55,8,-104,-60,-83,-97,-71,-45,9,-27,-106,-88,-22,-112,-96,-70,-53,-67,-56,-15,-17,66,-86,82,-22,9,-29,-32,-89,25,-53,-113,-29,60,10,-77,-36,-101,-38,-53,5,-44,-48,-97,46,-126,49,-9,-88,-42,-92,10,-81,-121,-90,-57,-95,37,-2,-13,-79,-12,7,-50,-14,-87,-59,-59,-82,8,-36,-77,-23,-87,-8,-52,76,62,51,-53,5,-10,-33,-127,-11,11,-26,-13,42,-42,-5,-73,-91,39,19, 
  /* [22][0][][] */ -81,-37,26,-42,-93,-95,60,49,-9,-46,-13,-37,-66,26,-66,-92,-105,-21,-65,28,-15,40,-17,-9,-63,-1,-79,11,-37,-74,-63,-91,-85,30,-4,18,-5,-61,-64,-102,-32,-18,-72,-39,6,-27,35,-61,-106,3,-115,3,-78,86,-47,-6,33,3,-83,-11,-45,-52,-18,-7,26,-108,-79,-35,-1,10,-78,-60,-24,72,-70,-30,-52,-87,3,-39,36,-72,-90,-51,24,61,-28,3,8,57,69,-51,-127,0,39,52, 
  /* [23][0][][] */ -29,-9,-7,-15,-55,-34,79,63,-37,-60,55,-111,-107,84,11,-54,-11,25,49,24,20,94,36,-59,62,-33,-72,-80,-41,51,-19,53,23,-42,83,17,-20,121,36,-61,74,37,80,-121,-105,-93,-54,83,12,124,-52,-40,-63,104,19,-10,48,-18,22,-45,-55,-8,61,-71,64,-107,-24,-12,33,14,-34,74,45,79,6,-48,-93,-9,-76,-30,-66,-42,-42,-74,-14,-83,69,-98,2,-60,-5,-59,15,-36,-45,127, 
  /* [24][0][][] */ -56,5,22,15,-9,-64,-120,16,-55,-115,-105,11,-37,-52,-57,-93,-67,-26,-92,3,24,-67,-67,-28,-70,-11,-96,-89,5,22,13,-68,24,-82,-60,-67,-41,-81,-108,-109,-48,20,-103,-23,-82,-4,-20,-95,-112,-87,-33,-64,-89,-1,23,-79,-10,-81,-62,-69,18,-24,-18,-64,-127,-56,-94,21,-8,-106,-62,-32,-55,-120,-62,-76,-36,-88,-72,-6,-8,-81,-16,-77,-102,-97,-58,-93,-108,-1,-87,-67,-96,-99,-3,20, 
  /* [25][0][][] */ -73,-62,-21,44,-43,-24,-55,95,-51,-3,48,-3,-121,83,26,-117,-96,-74,-64,2,26,68,-25,1,42,-98,-99,-80,55,4,-113,-9,-105,-127,56,93,-100,70,-88,25,-89,62,5,-74,-40,-72,-100,-75,-92,57,-122,-72,-51,29,-122,-113,19,-80,53,-28,-92,14,-103,-22,-98,-118,-75,57,-39,-55,14,-20,-19,88,-52,-23,16,-29,6,-88,-67,-23,-88,2,94,10,-50,-32,-77,61,-20,-81,-48,62,22,71, 
  /* [26][0][][] */ 56,-58,-3,-2,82,-100,90,18,-57,-11,-54,-44,-79,-29,-2,-36,42,27,-1,-46,19,-4,45,7,49,-8,26,-2,66,19,-31,-66,-59,43,52,109,-19,111,-111,67,38,2,22,-127,-24,41,94,29,5,96,101,-59,81,118,41,-3,82,1,-65,1,-8,42,-65,-62,58,-65,-53,-28,-25,-83,40,22,-120,20,-74,-75,-17,19,-60,30,111,-24,16,-25,3,-21,-14,-54,40,15,82,99,-33,41,50,7, 
  /* [27][0][][] */ -5,-25,-121,32,-70,-71,-48,-51,20,19,-70,-35,-109,6,9,-84,-24,-123,-54,-117,-59,11,7,-95,-123,0,-70,-16,10,-92,-11,-125,34,-102,-11,20,20,-11,-101,-66,-29,-18,-29,-12,11,-111,56,-96,-8,-87,-11,8,21,-14,-127,-70,10,-66,-70,-44,-26,-98,-125,-112,-30,22,-33,-113,-23,81,7,-114,-29,-95,-50,-106,-101,68,5,-37,-86,-102,21,-50,-118,-113,10,-70,22,-41,-18,26,10,-29,-1,-116, 
  /* [28][0][][] */ -114,19,-80,-1,-43,11,-118,-55,-12,-93,-114,-1,-6,-102,-35,-114,-94,-4,-29,5,9,2,-52,-100,-17,-93,1,17,-92,-39,-69,-27,-65,-38,-78,-84,-30,8,-77,24,-111,-71,-64,-10,20,11,-48,-55,20,-50,-124,-49,-18,-79,-36,-8,8,-23,-39,2,-26,-68,-53,-127,-104,-51,6,-79,-104,-6,-12,19,-116,-20,23,-35,-14,-81,-61,-2,-98,-10,-23,-86,-11,-46,-119,-91,-116,-44,0,-103,-20,-10,-67,12, 
  /* [29][0][][] */ -39,-66,-29,-39,-72,-49,-38,-73,-89,-71,-85,-64,-9,-65,-104,-26,5,8,-52,22,-34,-94,-58,-107,58,-93,-114,-83,-82,3,-74,-36,-118,22,17,-54,-15,-62,10,-70,19,-58,-13,-31,-106,-9,-76,6,-28,-8,-13,11,-73,-62,4,6,-3,-65,-44,-47,22,13,-99,-6,22,-107,-127,-29,-8,-11,-73,-84,-70,-76,-68,-114,-91,20,9,56,-53,-81,18,-29,14,-127,-61,5,-5,29,-98,-90,-119,-59,-57,-39, 
  /* [30][0][][] */ -92,-30,-107,-83,23,-8,-17,-43,-98,-16,-32,-4,-10,-31,-109,-107,0,92,11,-53,-49,-102,16,-103,45,1,-52,-43,10,-58,2,-33,-67,-75,-30,-33,-115,-79,-13,-79,-50,-51,-44,-113,-8,77,-80,-75,-67,8,-73,-63,-104,-74,17,-121,19,-22,-52,-52,-86,-124,-14,4,49,15,-29,-24,-1,102,6,-89,-47,-121,-110,-48,-34,-55,-42,-91,-26,-21,68,-26,-18,1,-12,-27,2,-46,-36,-127,-38,0,-42,-98, 
  /* [31][0][][] */ -22,6,-11,-78,-99,-69,-6,-93,-95,-82,-30,-83,-102,-110,3,-44,-65,-26,-80,-46,-70,-80,-7,-50,-17,-8,-87,-97,-75,-17,-24,-27,-22,-32,-29,-1,-37,-1,-71,-107,-65,10,-117,-35,-36,53,-21,-67,-97,-74,-99,-28,-49,-113,-72,-59,-59,-46,-34,20,-68,-127,6,-125,-51,-104,-13,-92,-124,-10,1,-83,-11,-104,-75,-32,-68,-13,-24,-107,-62,-63,-127,-104,-77,-16,12,-104,-97,-6,-38,-63,-75,-68,-121,-26, 
};
const TfArray<4, int> tensor_dimension40 = { 4, { 32,1,1,96 } };
const TfArray<32, float> quant40_scale = { 32, { 0.0024213967844843864, 0.002852872246876359, 0.0028957659378647804, 0.0035321777686476707, 0.0031346804462373257, 0.0039220578037202358, 0.0028314136434346437, 0.002781327348202467, 0.002812935272231698, 0.0023882656823843718, 0.00290635135024786, 0.0047861263155937195, 0.0029529337771236897, 0.0028387866914272308, 0.0027855990920215845, 0.0024641046766191721, 0.0030297278426587582, 0.0028641598764806986, 0.0036304655950516462, 0.003298390656709671, 0.0030840022955089808, 0.0030541946180164814, 0.003169249976053834, 0.0026501701213419437, 0.0028211320750415325, 0.0025473721325397491, 0.0023375593591481447, 0.0028206403367221355, 0.002917679725214839, 0.0028317694086581469, 0.0031502386555075645, 0.0030909441411495209, } };
const TfArray<32, int> quant40_zero = { 32, { 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0 } };
const TfLiteAffineQuantization quant40 = { (TfLiteFloatArray*)&quant40_scale, (TfLiteIntArray*)&quant40_zero, 0 };
const ALIGN(16) int32_t tensor_data41[32] = { 356, -2660, -863, -738, -2902, -2090, -2662, -844, -2675, -655, -2550, -2178, 377, -2671, 397, -2217, -397, -2647, -99, -2565, -2444, -760, -187, 908, -2657, 470, 854, -2487, -2681, -2663, -2936, -3315, };
const TfArray<1, int> tensor_dimension41 = { 1, { 32 } };
const TfArray<32, float> quant41_scale = { 32, { 4.7881640057312325e-05, 5.641380266752094e-05, 5.726200106437318e-05, 6.9846653786953539e-05, 6.1986385844647884e-05, 7.7556294854730368e-05, 5.598947245744057e-05, 5.499904727912508e-05, 5.5624073866056278e-05, 4.7226494643837214e-05, 5.7471319450996816e-05, 9.4642724434379488e-05, 5.8392459322931245e-05, 5.6135271734092385e-05, 5.5083517509046942e-05, 4.8726164095569402e-05, 5.9911017160629854e-05, 5.6637010857230052e-05, 7.1790236688684672e-05, 6.5223655838053674e-05, 6.0984260926488787e-05, 6.0394831962184981e-05, 6.266998389037326e-05, 5.2405492169782519e-05, 5.5786160373827443e-05, 5.037272785557434e-05, 4.6223805838963017e-05, 5.5776439694454893e-05, 5.7695331634022295e-05, 5.5996508308453485e-05, 6.2294042436406016e-05, 6.1121529142837971e-05, } };
const TfArray<32, int> quant41_zero = { 32, { 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0 } };
const TfLiteAffineQuantization quant41 = { (TfLiteFloatArray*)&quant41_scale, (TfLiteIntArray*)&quant41_zero, 0 };
const ALIGN(16) int8_t tensor_data42[4*1*1*32] = { 
  /* [0][0][][] */ -88,-16,41,-4,11,-127,18,63,-31,3,15,-87,-59,24,-25,27,-25,-10,17,-10,-23,8,-32,-42,31,-43,30,13,-22,21,15,-59, 
  /* [1][0][][] */ 90,-48,11,13,18,-75,-20,11,-49,106,-32,22,89,-41,58,94,32,-17,-118,12,11,69,54,127,-67,58,121,-37,31,-28,18,13, 
  /* [2][0][][] */ 18,-12,47,53,-48,42,13,37,45,-4,11,-50,82,-115,-27,-7,98,73,-87,66,12,44,-29,-18,70,-29,100,-68,-52,64,122,127, 
  /* [3][0][][] */ 69,-91,98,-13,-56,88,-24,75,52,44,47,1,-71,-97,53,-102,20,26,64,6,20,15,-108,-7,-13,-127,20,64,-119,75,28,-44, 
};
const TfArray<4, int> tensor_dimension42 = { 4, { 4,1,1,32 } };
const TfArray<4, float> quant42_scale = { 4, { 0.0063557703979313374, 0.0030958196148276329, 0.0042419107630848885, 0.0039426092989742756, } };
const TfArray<4, int> quant42_zero = { 4, { 0,0,0,0 } };
const TfLiteAffineQuantization quant42 = { (TfLiteFloatArray*)&quant42_scale, (TfLiteIntArray*)&quant42_zero, 0 };
const ALIGN(16) int32_t tensor_data43[4] = { 24075, -37708, -35881, -40517, };
const TfArray<1, int> tensor_dimension43 = { 1, { 4 } };
const TfArray<4, float> quant43_scale = { 4, { 0.00033639991306699812, 0.00016385636990889907, 0.00022451698896475136, 0.00020867548300884664, } };
const TfArray<4, int> quant43_zero = { 4, { 0,0,0,0 } };
const TfLiteAffineQuantization quant43 = { (TfLiteFloatArray*)&quant43_scale, (TfLiteIntArray*)&quant43_zero, 0 };
const TfArray<4, int> tensor_dimension44 = { 4, { 1,80,80,16 } };
const TfArray<1, float> quant44_scale = { 1, { 0.023529412224888802, } };
const TfArray<1, int> quant44_zero = { 1, { -128 } };
const TfLiteAffineQuantization quant44 = { (TfLiteFloatArray*)&quant44_scale, (TfLiteIntArray*)&quant44_zero, 0 };
const TfArray<4, int> tensor_dimension45 = { 4, { 1,80,80,16 } };
const TfArray<1, float> quant45_scale = { 1, { 0.023529412224888802, } };
const TfArray<1, int> quant45_zero = { 1, { -128 } };
const TfLiteAffineQuantization quant45 = { (TfLiteFloatArray*)&quant45_scale, (TfLiteIntArray*)&quant45_zero, 0 };
const TfArray<4, int> tensor_dimension46 = { 4, { 1,80,80,8 } };
const TfArray<1, float> quant46_scale = { 1, { 0.068373315036296844, } };
const TfArray<1, int> quant46_zero = { 1, { 15 } };
const TfLiteAffineQuantization quant46 = { (TfLiteFloatArray*)&quant46_scale, (TfLiteIntArray*)&quant46_zero, 0 };
const TfArray<4, int> tensor_dimension47 = { 4, { 1,80,80,48 } };
const TfArray<1, float> quant47_scale = { 1, { 0.023529412224888802, } };
const TfArray<1, int> quant47_zero = { 1, { -128 } };
const TfLiteAffineQuantization quant47 = { (TfLiteFloatArray*)&quant47_scale, (TfLiteIntArray*)&quant47_zero, 0 };
const TfArray<4, int> tensor_dimension48 = { 4, { 1,81,81,48 } };
const TfArray<1, float> quant48_scale = { 1, { 0.023529412224888802, } };
const TfArray<1, int> quant48_zero = { 1, { -128 } };
const TfLiteAffineQuantization quant48 = { (TfLiteFloatArray*)&quant48_scale, (TfLiteIntArray*)&quant48_zero, 0 };
const TfArray<4, int> tensor_dimension49 = { 4, { 1,40,40,48 } };
const TfArray<1, float> quant49_scale = { 1, { 0.023529412224888802, } };
const TfArray<1, int> quant49_zero = { 1, { -128 } };
const TfLiteAffineQuantization quant49 = { (TfLiteFloatArray*)&quant49_scale, (TfLiteIntArray*)&quant49_zero, 0 };
const TfArray<4, int> tensor_dimension50 = { 4, { 1,40,40,8 } };
const TfArray<1, float> quant50_scale = { 1, { 0.05291757732629776, } };
const TfArray<1, int> quant50_zero = { 1, { -29 } };
const TfLiteAffineQuantization quant50 = { (TfLiteFloatArray*)&quant50_scale, (TfLiteIntArray*)&quant50_zero, 0 };
const TfArray<4, int> tensor_dimension51 = { 4, { 1,40,40,48 } };
const TfArray<1, float> quant51_scale = { 1, { 0.023529412224888802, } };
const TfArray<1, int> quant51_zero = { 1, { -128 } };
const TfLiteAffineQuantization quant51 = { (TfLiteFloatArray*)&quant51_scale, (TfLiteIntArray*)&quant51_zero, 0 };
const TfArray<4, int> tensor_dimension52 = { 4, { 1,40,40,48 } };
const TfArray<1, float> quant52_scale = { 1, { 0.023529412224888802, } };
const TfArray<1, int> quant52_zero = { 1, { -128 } };
const TfLiteAffineQuantization quant52 = { (TfLiteFloatArray*)&quant52_scale, (TfLiteIntArray*)&quant52_zero, 0 };
const TfArray<4, int> tensor_dimension53 = { 4, { 1,40,40,8 } };
const TfArray<1, float> quant53_scale = { 1, { 0.049803897738456726, } };
const TfArray<1, int> quant53_zero = { 1, { -22 } };
const TfLiteAffineQuantization quant53 = { (TfLiteFloatArray*)&quant53_scale, (TfLiteIntArray*)&quant53_zero, 0 };
const TfArray<4, int> tensor_dimension54 = { 4, { 1,40,40,8 } };
const TfArray<1, float> quant54_scale = { 1, { 0.059430383145809174, } };
const TfArray<1, int> quant54_zero = { 1, { -18 } };
const TfLiteAffineQuantization quant54 = { (TfLiteFloatArray*)&quant54_scale, (TfLiteIntArray*)&quant54_zero, 0 };
const TfArray<4, int> tensor_dimension55 = { 4, { 1,40,40,48 } };
const TfArray<1, float> quant55_scale = { 1, { 0.02336595207452774, } };
const TfArray<1, int> quant55_zero = { 1, { -128 } };
const TfLiteAffineQuantization quant55 = { (TfLiteFloatArray*)&quant55_scale, (TfLiteIntArray*)&quant55_zero, 0 };
const TfArray<4, int> tensor_dimension56 = { 4, { 1,41,41,48 } };
const TfArray<1, float> quant56_scale = { 1, { 0.02336595207452774, } };
const TfArray<1, int> quant56_zero = { 1, { -128 } };
const TfLiteAffineQuantization quant56 = { (TfLiteFloatArray*)&quant56_scale, (TfLiteIntArray*)&quant56_zero, 0 };
const TfArray<4, int> tensor_dimension57 = { 4, { 1,20,20,48 } };
const TfArray<1, float> quant57_scale = { 1, { 0.023529412224888802, } };
const TfArray<1, int> quant57_zero = { 1, { -128 } };
const TfLiteAffineQuantization quant57 = { (TfLiteFloatArray*)&quant57_scale, (TfLiteIntArray*)&quant57_zero, 0 };
const TfArray<4, int> tensor_dimension58 = { 4, { 1,20,20,16 } };
const TfArray<1, float> quant58_scale = { 1, { 0.047119777649641037, } };
const TfArray<1, int> quant58_zero = { 1, { 4 } };
const TfLiteAffineQuantization quant58 = { (TfLiteFloatArray*)&quant58_scale, (TfLiteIntArray*)&quant58_zero, 0 };
const TfArray<4, int> tensor_dimension59 = { 4, { 1,20,20,96 } };
const TfArray<1, float> quant59_scale = { 1, { 0.023529412224888802, } };
const TfArray<1, int> quant59_zero = { 1, { -128 } };
const TfLiteAffineQuantization quant59 = { (TfLiteFloatArray*)&quant59_scale, (TfLiteIntArray*)&quant59_zero, 0 };
const TfArray<4, int> tensor_dimension60 = { 4, { 1,20,20,96 } };
const TfArray<1, float> quant60_scale = { 1, { 0.023529412224888802, } };
const TfArray<1, int> quant60_zero = { 1, { -128 } };
const TfLiteAffineQuantization quant60 = { (TfLiteFloatArray*)&quant60_scale, (TfLiteIntArray*)&quant60_zero, 0 };
const TfArray<4, int> tensor_dimension61 = { 4, { 1,20,20,16 } };
const TfArray<1, float> quant61_scale = { 1, { 0.045448869466781616, } };
const TfArray<1, int> quant61_zero = { 1, { -1 } };
const TfLiteAffineQuantization quant61 = { (TfLiteFloatArray*)&quant61_scale, (TfLiteIntArray*)&quant61_zero, 0 };
const TfArray<4, int> tensor_dimension62 = { 4, { 1,20,20,16 } };
const TfArray<1, float> quant62_scale = { 1, { 0.064086109399795532, } };
const TfArray<1, int> quant62_zero = { 1, { 18 } };
const TfLiteAffineQuantization quant62 = { (TfLiteFloatArray*)&quant62_scale, (TfLiteIntArray*)&quant62_zero, 0 };
const TfArray<4, int> tensor_dimension63 = { 4, { 1,20,20,96 } };
const TfArray<1, float> quant63_scale = { 1, { 0.023529412224888802, } };
const TfArray<1, int> quant63_zero = { 1, { -128 } };
const TfLiteAffineQuantization quant63 = { (TfLiteFloatArray*)&quant63_scale, (TfLiteIntArray*)&quant63_zero, 0 };
const TfArray<4, int> tensor_dimension64 = { 4, { 1,20,20,96 } };
const TfArray<1, float> quant64_scale = { 1, { 0.023529412224888802, } };
const TfArray<1, int> quant64_zero = { 1, { -128 } };
const TfLiteAffineQuantization quant64 = { (TfLiteFloatArray*)&quant64_scale, (TfLiteIntArray*)&quant64_zero, 0 };
const TfArray<4, int> tensor_dimension65 = { 4, { 1,20,20,16 } };
const TfArray<1, float> quant65_scale = { 1, { 0.054126478731632233, } };
const TfArray<1, int> quant65_zero = { 1, { -6 } };
const TfLiteAffineQuantization quant65 = { (TfLiteFloatArray*)&quant65_scale, (TfLiteIntArray*)&quant65_zero, 0 };
const TfArray<4, int> tensor_dimension66 = { 4, { 1,20,20,16 } };
const TfArray<1, float> quant66_scale = { 1, { 0.077078647911548615, } };
const TfArray<1, int> quant66_zero = { 1, { 1 } };
const TfLiteAffineQuantization quant66 = { (TfLiteFloatArray*)&quant66_scale, (TfLiteIntArray*)&quant66_zero, 0 };
const TfArray<4, int> tensor_dimension67 = { 4, { 1,20,20,96 } };
const TfArray<1, float> quant67_scale = { 1, { 0.019774388521909714, } };
const TfArray<1, int> quant67_zero = { 1, { -128 } };
const TfLiteAffineQuantization quant67 = { (TfLiteFloatArray*)&quant67_scale, (TfLiteIntArray*)&quant67_zero, 0 };
const TfArray<4, int> tensor_dimension68 = { 4, { 1,20,20,32 } };
const TfArray<1, float> quant68_scale = { 1, { 0.052928268909454346, } };
const TfArray<1, int> quant68_zero = { 1, { -128 } };
const TfLiteAffineQuantization quant68 = { (TfLiteFloatArray*)&quant68_scale, (TfLiteIntArray*)&quant68_zero, 0 };
const TfArray<4, int> tensor_dimension69 = { 4, { 1,20,20,4 } };
const TfArray<1, float> quant69_scale = { 1, { 0.086805842816829681, } };
const TfArray<1, int> quant69_zero = { 1, { 16 } };
const TfLiteAffineQuantization quant69 = { (TfLiteFloatArray*)&quant69_scale, (TfLiteIntArray*)&quant69_zero, 0 };
const TfArray<4, int> tensor_dimension70 = { 4, { 1,20,20,4 } };
const TfArray<1, float> quant70_scale = { 1, { 0.00390625, } };
const TfArray<1, int> quant70_zero = { 1, { -128 } };
const TfLiteAffineQuantization quant70 = { (TfLiteFloatArray*)&quant70_scale, (TfLiteIntArray*)&quant70_zero, 0 };
const TfLiteConvParams opdata0 = { kTfLitePaddingSame, 2,2, kTfLiteActRelu6, 1,1 };
const TfArray<3, int> inputs0 = { 3, { 0,2,3 } };
const TfArray<1, int> outputs0 = { 1, { 44 } };
const TfLiteDepthwiseConvParams opdata1 = { kTfLitePaddingSame, 1,1, 1, kTfLiteActRelu6, 1,1 };
const TfArray<3, int> inputs1 = { 3, { 44,4,5 } };
const TfArray<1, int> outputs1 = { 1, { 45 } };
const TfLiteConvParams opdata2 = { kTfLitePaddingSame, 1,1, kTfLiteActNone, 1,1 };
const TfArray<3, int> inputs2 = { 3, { 45,6,7 } };
const TfArray<1, int> outputs2 = { 1, { 46 } };
const TfLiteConvParams opdata3 = { kTfLitePaddingSame, 1,1, kTfLiteActRelu6, 1,1 };
const TfArray<3, int> inputs3 = { 3, { 46,8,9 } };
const TfArray<1, int> outputs3 = { 1, { 47 } };
const TfArray<2, int> inputs4 = { 2, { 47,1 } };
const TfArray<1, int> outputs4 = { 1, { 48 } };
const TfLiteDepthwiseConvParams opdata5 = { kTfLitePaddingValid, 2,2, 1, kTfLiteActRelu6, 1,1 };
const TfArray<3, int> inputs5 = { 3, { 48,10,11 } };
const TfArray<1, int> outputs5 = { 1, { 49 } };
const TfLiteConvParams opdata6 = { kTfLitePaddingSame, 1,1, kTfLiteActNone, 1,1 };
const TfArray<3, int> inputs6 = { 3, { 49,12,13 } };
const TfArray<1, int> outputs6 = { 1, { 50 } };
const TfLiteConvParams opdata7 = { kTfLitePaddingSame, 1,1, kTfLiteActRelu6, 1,1 };
const TfArray<3, int> inputs7 = { 3, { 50,14,15 } };
const TfArray<1, int> outputs7 = { 1, { 51 } };
const TfLiteDepthwiseConvParams opdata8 = { kTfLitePaddingSame, 1,1, 1, kTfLiteActRelu6, 1,1 };
const TfArray<3, int> inputs8 = { 3, { 51,16,17 } };
const TfArray<1, int> outputs8 = { 1, { 52 } };
const TfLiteConvParams opdata9 = { kTfLitePaddingSame, 1,1, kTfLiteActNone, 1,1 };
const TfArray<3, int> inputs9 = { 3, { 52,18,19 } };
const TfArray<1, int> outputs9 = { 1, { 53 } };
const TfLiteAddParams opdata10 = { kTfLiteActNone };
const TfArray<2, int> inputs10 = { 2, { 50,53 } };
const TfArray<1, int> outputs10 = { 1, { 54 } };
const TfLiteConvParams opdata11 = { kTfLitePaddingSame, 1,1, kTfLiteActRelu6, 1,1 };
const TfArray<3, int> inputs11 = { 3, { 54,20,21 } };
const TfArray<1, int> outputs11 = { 1, { 55 } };
const TfArray<2, int> inputs12 = { 2, { 55,1 } };
const TfArray<1, int> outputs12 = { 1, { 56 } };
const TfLiteDepthwiseConvParams opdata13 = { kTfLitePaddingValid, 2,2, 1, kTfLiteActRelu6, 1,1 };
const TfArray<3, int> inputs13 = { 3, { 56,22,23 } };
const TfArray<1, int> outputs13 = { 1, { 57 } };
const TfLiteConvParams opdata14 = { kTfLitePaddingSame, 1,1, kTfLiteActNone, 1,1 };
const TfArray<3, int> inputs14 = { 3, { 57,24,25 } };
const TfArray<1, int> outputs14 = { 1, { 58 } };
const TfLiteConvParams opdata15 = { kTfLitePaddingSame, 1,1, kTfLiteActRelu6, 1,1 };
const TfArray<3, int> inputs15 = { 3, { 58,26,27 } };
const TfArray<1, int> outputs15 = { 1, { 59 } };
const TfLiteDepthwiseConvParams opdata16 = { kTfLitePaddingSame, 1,1, 1, kTfLiteActRelu6, 1,1 };
const TfArray<3, int> inputs16 = { 3, { 59,28,29 } };
const TfArray<1, int> outputs16 = { 1, { 60 } };
const TfLiteConvParams opdata17 = { kTfLitePaddingSame, 1,1, kTfLiteActNone, 1,1 };
const TfArray<3, int> inputs17 = { 3, { 60,30,31 } };
const TfArray<1, int> outputs17 = { 1, { 61 } };
const TfLiteAddParams opdata18 = { kTfLiteActNone };
const TfArray<2, int> inputs18 = { 2, { 58,61 } };
const TfArray<1, int> outputs18 = { 1, { 62 } };
const TfLiteConvParams opdata19 = { kTfLitePaddingSame, 1,1, kTfLiteActRelu6, 1,1 };
const TfArray<3, int> inputs19 = { 3, { 62,32,33 } };
const TfArray<1, int> outputs19 = { 1, { 63 } };
const TfLiteDepthwiseConvParams opdata20 = { kTfLitePaddingSame, 1,1, 1, kTfLiteActRelu6, 1,1 };
const TfArray<3, int> inputs20 = { 3, { 63,34,35 } };
const TfArray<1, int> outputs20 = { 1, { 64 } };
const TfLiteConvParams opdata21 = { kTfLitePaddingSame, 1,1, kTfLiteActNone, 1,1 };
const TfArray<3, int> inputs21 = { 3, { 64,36,37 } };
const TfArray<1, int> outputs21 = { 1, { 65 } };
const TfLiteAddParams opdata22 = { kTfLiteActNone };
const TfArray<2, int> inputs22 = { 2, { 62,65 } };
const TfArray<1, int> outputs22 = { 1, { 66 } };
const TfLiteConvParams opdata23 = { kTfLitePaddingSame, 1,1, kTfLiteActRelu6, 1,1 };
const TfArray<3, int> inputs23 = { 3, { 66,38,39 } };
const TfArray<1, int> outputs23 = { 1, { 67 } };
const TfLiteConvParams opdata24 = { kTfLitePaddingValid, 1,1, kTfLiteActRelu, 1,1 };
const TfArray<3, int> inputs24 = { 3, { 67,40,41 } };
const TfArray<1, int> outputs24 = { 1, { 68 } };
const TfLiteConvParams opdata25 = { kTfLitePaddingValid, 1,1, kTfLiteActNone, 1,1 };
const TfArray<3, int> inputs25 = { 3, { 68,42,43 } };
const TfArray<1, int> outputs25 = { 1, { 69 } };
const TfLiteSoftmaxParams opdata26 = { 1 };
const TfArray<1, int> inputs26 = { 1, { 69 } };
const TfArray<1, int> outputs26 = { 1, { 70 } };
const TensorInfo_t tensorData[] = {
  { kTfLiteArenaRw, kTfLiteInt8, tensor_arena + 0, (TfLiteIntArray*)&tensor_dimension0, 25600, {kTfLiteAffineQuantization, const_cast<void*>(static_cast<const void*>(&quant0))}, },
  { kTfLiteMmapRo, kTfLiteInt32, (void*)tensor_data1, (TfLiteIntArray*)&tensor_dimension1, 32, {kTfLiteNoQuantization, nullptr}, },
  { kTfLiteMmapRo, kTfLiteInt8, (void*)tensor_data2, (TfLiteIntArray*)&tensor_dimension2, 144, {kTfLiteAffineQuantization, const_cast<void*>(static_cast<const void*>(&quant2))}, },
  { kTfLiteMmapRo, kTfLiteInt32, (void*)tensor_data3, (TfLiteIntArray*)&tensor_dimension3, 64, {kTfLiteAffineQuantization, const_cast<void*>(static_cast<const void*>(&quant3))}, },
  { kTfLiteMmapRo, kTfLiteInt8, (void*)tensor_data4, (TfLiteIntArray*)&tensor_dimension4, 144, {kTfLiteAffineQuantization, const_cast<void*>(static_cast<const void*>(&quant4))}, },
  { kTfLiteMmapRo, kTfLiteInt32, (void*)tensor_data5, (TfLiteIntArray*)&tensor_dimension5, 64, {kTfLiteAffineQuantization, const_cast<void*>(static_cast<const void*>(&quant5))}, },
  { kTfLiteMmapRo, kTfLiteInt8, (void*)tensor_data6, (TfLiteIntArray*)&tensor_dimension6, 128, {kTfLiteAffineQuantization, const_cast<void*>(static_cast<const void*>(&quant6))}, },
  { kTfLiteMmapRo, kTfLiteInt32, (void*)tensor_data7, (TfLiteIntArray*)&tensor_dimension7, 32, {kTfLiteAffineQuantization, const_cast<void*>(static_cast<const void*>(&quant7))}, },
  { kTfLiteMmapRo, kTfLiteInt8, (void*)tensor_data8, (TfLiteIntArray*)&tensor_dimension8, 384, {kTfLiteAffineQuantization, const_cast<void*>(static_cast<const void*>(&quant8))}, },
  { kTfLiteMmapRo, kTfLiteInt32, (void*)tensor_data9, (TfLiteIntArray*)&tensor_dimension9, 192, {kTfLiteAffineQuantization, const_cast<void*>(static_cast<const void*>(&quant9))}, },
  { kTfLiteMmapRo, kTfLiteInt8, (void*)tensor_data10, (TfLiteIntArray*)&tensor_dimension10, 432, {kTfLiteAffineQuantization, const_cast<void*>(static_cast<const void*>(&quant10))}, },
  { kTfLiteMmapRo, kTfLiteInt32, (void*)tensor_data11, (TfLiteIntArray*)&tensor_dimension11, 192, {kTfLiteAffineQuantization, const_cast<void*>(static_cast<const void*>(&quant11))}, },
  { kTfLiteMmapRo, kTfLiteInt8, (void*)tensor_data12, (TfLiteIntArray*)&tensor_dimension12, 384, {kTfLiteAffineQuantization, const_cast<void*>(static_cast<const void*>(&quant12))}, },
  { kTfLiteMmapRo, kTfLiteInt32, (void*)tensor_data13, (TfLiteIntArray*)&tensor_dimension13, 32, {kTfLiteAffineQuantization, const_cast<void*>(static_cast<const void*>(&quant13))}, },
  { kTfLiteMmapRo, kTfLiteInt8, (void*)tensor_data14, (TfLiteIntArray*)&tensor_dimension14, 384, {kTfLiteAffineQuantization, const_cast<void*>(static_cast<const void*>(&quant14))}, },
  { kTfLiteMmapRo, kTfLiteInt32, (void*)tensor_data15, (TfLiteIntArray*)&tensor_dimension15, 192, {kTfLiteAffineQuantization, const_cast<void*>(static_cast<const void*>(&quant15))}, },
  { kTfLiteMmapRo, kTfLiteInt8, (void*)tensor_data16, (TfLiteIntArray*)&tensor_dimension16, 432, {kTfLiteAffineQuantization, const_cast<void*>(static_cast<const void*>(&quant16))}, },
  { kTfLiteMmapRo, kTfLiteInt32, (void*)tensor_data17, (TfLiteIntArray*)&tensor_dimension17, 192, {kTfLiteAffineQuantization, const_cast<void*>(static_cast<const void*>(&quant17))}, },
  { kTfLiteMmapRo, kTfLiteInt8, (void*)tensor_data18, (TfLiteIntArray*)&tensor_dimension18, 384, {kTfLiteAffineQuantization, const_cast<void*>(static_cast<const void*>(&quant18))}, },
  { kTfLiteMmapRo, kTfLiteInt32, (void*)tensor_data19, (TfLiteIntArray*)&tensor_dimension19, 32, {kTfLiteAffineQuantization, const_cast<void*>(static_cast<const void*>(&quant19))}, },
  { kTfLiteMmapRo, kTfLiteInt8, (void*)tensor_data20, (TfLiteIntArray*)&tensor_dimension20, 384, {kTfLiteAffineQuantization, const_cast<void*>(static_cast<const void*>(&quant20))}, },
  { kTfLiteMmapRo, kTfLiteInt32, (void*)tensor_data21, (TfLiteIntArray*)&tensor_dimension21, 192, {kTfLiteAffineQuantization, const_cast<void*>(static_cast<const void*>(&quant21))}, },
  { kTfLiteMmapRo, kTfLiteInt8, (void*)tensor_data22, (TfLiteIntArray*)&tensor_dimension22, 432, {kTfLiteAffineQuantization, const_cast<void*>(static_cast<const void*>(&quant22))}, },
  { kTfLiteMmapRo, kTfLiteInt32, (void*)tensor_data23, (TfLiteIntArray*)&tensor_dimension23, 192, {kTfLiteAffineQuantization, const_cast<void*>(static_cast<const void*>(&quant23))}, },
  { kTfLiteMmapRo, kTfLiteInt8, (void*)tensor_data24, (TfLiteIntArray*)&tensor_dimension24, 768, {kTfLiteAffineQuantization, const_cast<void*>(static_cast<const void*>(&quant24))}, },
  { kTfLiteMmapRo, kTfLiteInt32, (void*)tensor_data25, (TfLiteIntArray*)&tensor_dimension25, 64, {kTfLiteAffineQuantization, const_cast<void*>(static_cast<const void*>(&quant25))}, },
  { kTfLiteMmapRo, kTfLiteInt8, (void*)tensor_data26, (TfLiteIntArray*)&tensor_dimension26, 1536, {kTfLiteAffineQuantization, const_cast<void*>(static_cast<const void*>(&quant26))}, },
  { kTfLiteMmapRo, kTfLiteInt32, (void*)tensor_data27, (TfLiteIntArray*)&tensor_dimension27, 384, {kTfLiteAffineQuantization, const_cast<void*>(static_cast<const void*>(&quant27))}, },
  { kTfLiteMmapRo, kTfLiteInt8, (void*)tensor_data28, (TfLiteIntArray*)&tensor_dimension28, 864, {kTfLiteAffineQuantization, const_cast<void*>(static_cast<const void*>(&quant28))}, },
  { kTfLiteMmapRo, kTfLiteInt32, (void*)tensor_data29, (TfLiteIntArray*)&tensor_dimension29, 384, {kTfLiteAffineQuantization, const_cast<void*>(static_cast<const void*>(&quant29))}, },
  { kTfLiteMmapRo, kTfLiteInt8, (void*)tensor_data30, (TfLiteIntArray*)&tensor_dimension30, 1536, {kTfLiteAffineQuantization, const_cast<void*>(static_cast<const void*>(&quant30))}, },
  { kTfLiteMmapRo, kTfLiteInt32, (void*)tensor_data31, (TfLiteIntArray*)&tensor_dimension31, 64, {kTfLiteAffineQuantization, const_cast<void*>(static_cast<const void*>(&quant31))}, },
  { kTfLiteMmapRo, kTfLiteInt8, (void*)tensor_data32, (TfLiteIntArray*)&tensor_dimension32, 1536, {kTfLiteAffineQuantization, const_cast<void*>(static_cast<const void*>(&quant32))}, },
  { kTfLiteMmapRo, kTfLiteInt32, (void*)tensor_data33, (TfLiteIntArray*)&tensor_dimension33, 384, {kTfLiteAffineQuantization, const_cast<void*>(static_cast<const void*>(&quant33))}, },
  { kTfLiteMmapRo, kTfLiteInt8, (void*)tensor_data34, (TfLiteIntArray*)&tensor_dimension34, 864, {kTfLiteAffineQuantization, const_cast<void*>(static_cast<const void*>(&quant34))}, },
  { kTfLiteMmapRo, kTfLiteInt32, (void*)tensor_data35, (TfLiteIntArray*)&tensor_dimension35, 384, {kTfLiteAffineQuantization, const_cast<void*>(static_cast<const void*>(&quant35))}, },
  { kTfLiteMmapRo, kTfLiteInt8, (void*)tensor_data36, (TfLiteIntArray*)&tensor_dimension36, 1536, {kTfLiteAffineQuantization, const_cast<void*>(static_cast<const void*>(&quant36))}, },
  { kTfLiteMmapRo, kTfLiteInt32, (void*)tensor_data37, (TfLiteIntArray*)&tensor_dimension37, 64, {kTfLiteAffineQuantization, const_cast<void*>(static_cast<const void*>(&quant37))}, },
  { kTfLiteMmapRo, kTfLiteInt8, (void*)tensor_data38, (TfLiteIntArray*)&tensor_dimension38, 1536, {kTfLiteAffineQuantization, const_cast<void*>(static_cast<const void*>(&quant38))}, },
  { kTfLiteMmapRo, kTfLiteInt32, (void*)tensor_data39, (TfLiteIntArray*)&tensor_dimension39, 384, {kTfLiteAffineQuantization, const_cast<void*>(static_cast<const void*>(&quant39))}, },
  { kTfLiteMmapRo, kTfLiteInt8, (void*)tensor_data40, (TfLiteIntArray*)&tensor_dimension40, 3072, {kTfLiteAffineQuantization, const_cast<void*>(static_cast<const void*>(&quant40))}, },
  { kTfLiteMmapRo, kTfLiteInt32, (void*)tensor_data41, (TfLiteIntArray*)&tensor_dimension41, 128, {kTfLiteAffineQuantization, const_cast<void*>(static_cast<const void*>(&quant41))}, },
  { kTfLiteMmapRo, kTfLiteInt8, (void*)tensor_data42, (TfLiteIntArray*)&tensor_dimension42, 128, {kTfLiteAffineQuantization, const_cast<void*>(static_cast<const void*>(&quant42))}, },
  { kTfLiteMmapRo, kTfLiteInt32, (void*)tensor_data43, (TfLiteIntArray*)&tensor_dimension43, 16, {kTfLiteAffineQuantization, const_cast<void*>(static_cast<const void*>(&quant43))}, },
  { kTfLiteArenaRw, kTfLiteInt8, tensor_arena + 102400, (TfLiteIntArray*)&tensor_dimension44, 102400, {kTfLiteAffineQuantization, const_cast<void*>(static_cast<const void*>(&quant44))}, },
  { kTfLiteArenaRw, kTfLiteInt8, tensor_arena + 0, (TfLiteIntArray*)&tensor_dimension45, 102400, {kTfLiteAffineQuantization, const_cast<void*>(static_cast<const void*>(&quant45))}, },
  { kTfLiteArenaRw, kTfLiteInt8, tensor_arena + 102400, (TfLiteIntArray*)&tensor_dimension46, 51200, {kTfLiteAffineQuantization, const_cast<void*>(static_cast<const void*>(&quant46))}, },
  { kTfLiteArenaRw, kTfLiteInt8, tensor_arena + 314928, (TfLiteIntArray*)&tensor_dimension47, 307200, {kTfLiteAffineQuantization, const_cast<void*>(static_cast<const void*>(&quant47))}, },
  { kTfLiteArenaRw, kTfLiteInt8, tensor_arena + 0, (TfLiteIntArray*)&tensor_dimension48, 314928, {kTfLiteAffineQuantization, const_cast<void*>(static_cast<const void*>(&quant48))}, },
  { kTfLiteArenaRw, kTfLiteInt8, tensor_arena + 314928, (TfLiteIntArray*)&tensor_dimension49, 76800, {kTfLiteAffineQuantization, const_cast<void*>(static_cast<const void*>(&quant49))}, },
  { kTfLiteArenaRw, kTfLiteInt8, tensor_arena + 153600, (TfLiteIntArray*)&tensor_dimension50, 12800, {kTfLiteAffineQuantization, const_cast<void*>(static_cast<const void*>(&quant50))}, },
  { kTfLiteArenaRw, kTfLiteInt8, tensor_arena + 76800, (TfLiteIntArray*)&tensor_dimension51, 76800, {kTfLiteAffineQuantization, const_cast<void*>(static_cast<const void*>(&quant51))}, },
  { kTfLiteArenaRw, kTfLiteInt8, tensor_arena + 0, (TfLiteIntArray*)&tensor_dimension52, 76800, {kTfLiteAffineQuantization, const_cast<void*>(static_cast<const void*>(&quant52))}, },
  { kTfLiteArenaRw, kTfLiteInt8, tensor_arena + 76800, (TfLiteIntArray*)&tensor_dimension53, 12800, {kTfLiteAffineQuantization, const_cast<void*>(static_cast<const void*>(&quant53))}, },
  { kTfLiteArenaRw, kTfLiteInt8, tensor_arena + 0, (TfLiteIntArray*)&tensor_dimension54, 12800, {kTfLiteAffineQuantization, const_cast<void*>(static_cast<const void*>(&quant54))}, },
  { kTfLiteArenaRw, kTfLiteInt8, tensor_arena + 80688, (TfLiteIntArray*)&tensor_dimension55, 76800, {kTfLiteAffineQuantization, const_cast<void*>(static_cast<const void*>(&quant55))}, },
  { kTfLiteArenaRw, kTfLiteInt8, tensor_arena + 0, (TfLiteIntArray*)&tensor_dimension56, 80688, {kTfLiteAffineQuantization, const_cast<void*>(static_cast<const void*>(&quant56))}, },
  { kTfLiteArenaRw, kTfLiteInt8, tensor_arena + 80688, (TfLiteIntArray*)&tensor_dimension57, 19200, {kTfLiteAffineQuantization, const_cast<void*>(static_cast<const void*>(&quant57))}, },
  { kTfLiteArenaRw, kTfLiteInt8, tensor_arena + 99888, (TfLiteIntArray*)&tensor_dimension58, 6400, {kTfLiteAffineQuantization, const_cast<void*>(static_cast<const void*>(&quant58))}, },
  { kTfLiteArenaRw, kTfLiteInt8, tensor_arena + 38400, (TfLiteIntArray*)&tensor_dimension59, 38400, {kTfLiteAffineQuantization, const_cast<void*>(static_cast<const void*>(&quant59))}, },
  { kTfLiteArenaRw, kTfLiteInt8, tensor_arena + 0, (TfLiteIntArray*)&tensor_dimension60, 38400, {kTfLiteAffineQuantization, const_cast<void*>(static_cast<const void*>(&quant60))}, },
  { kTfLiteArenaRw, kTfLiteInt8, tensor_arena + 38400, (TfLiteIntArray*)&tensor_dimension61, 6400, {kTfLiteAffineQuantization, const_cast<void*>(static_cast<const void*>(&quant61))}, },
  { kTfLiteArenaRw, kTfLiteInt8, tensor_arena + 76800, (TfLiteIntArray*)&tensor_dimension62, 6400, {kTfLiteAffineQuantization, const_cast<void*>(static_cast<const void*>(&quant62))}, },
  { kTfLiteArenaRw, kTfLiteInt8, tensor_arena + 38400, (TfLiteIntArray*)&tensor_dimension63, 38400, {kTfLiteAffineQuantization, const_cast<void*>(static_cast<const void*>(&quant63))}, },
  { kTfLiteArenaRw, kTfLiteInt8, tensor_arena + 0, (TfLiteIntArray*)&tensor_dimension64, 38400, {kTfLiteAffineQuantization, const_cast<void*>(static_cast<const void*>(&quant64))}, },
  { kTfLiteArenaRw, kTfLiteInt8, tensor_arena + 44800, (TfLiteIntArray*)&tensor_dimension65, 6400, {kTfLiteAffineQuantization, const_cast<void*>(static_cast<const void*>(&quant65))}, },
  { kTfLiteArenaRw, kTfLiteInt8, tensor_arena + 38400, (TfLiteIntArray*)&tensor_dimension66, 6400, {kTfLiteAffineQuantization, const_cast<void*>(static_cast<const void*>(&quant66))}, },
  { kTfLiteArenaRw, kTfLiteInt8, tensor_arena + 0, (TfLiteIntArray*)&tensor_dimension67, 38400, {kTfLiteAffineQuantization, const_cast<void*>(static_cast<const void*>(&quant67))}, },
  { kTfLiteArenaRw, kTfLiteInt8, tensor_arena + 38400, (TfLiteIntArray*)&tensor_dimension68, 12800, {kTfLiteAffineQuantization, const_cast<void*>(static_cast<const void*>(&quant68))}, },
  { kTfLiteArenaRw, kTfLiteInt8, tensor_arena + 1600, (TfLiteIntArray*)&tensor_dimension69, 1600, {kTfLiteAffineQuantization, const_cast<void*>(static_cast<const void*>(&quant69))}, },
  { kTfLiteArenaRw, kTfLiteInt8, tensor_arena + 0, (TfLiteIntArray*)&tensor_dimension70, 1600, {kTfLiteAffineQuantization, const_cast<void*>(static_cast<const void*>(&quant70))}, },
};const NodeInfo_t nodeData[] = {
  { (TfLiteIntArray*)&inputs0, (TfLiteIntArray*)&outputs0, const_cast<void*>(static_cast<const void*>(&opdata0)), OP_CONV_2D, },
  { (TfLiteIntArray*)&inputs1, (TfLiteIntArray*)&outputs1, const_cast<void*>(static_cast<const void*>(&opdata1)), OP_DEPTHWISE_CONV_2D, },
  { (TfLiteIntArray*)&inputs2, (TfLiteIntArray*)&outputs2, const_cast<void*>(static_cast<const void*>(&opdata2)), OP_CONV_2D, },
  { (TfLiteIntArray*)&inputs3, (TfLiteIntArray*)&outputs3, const_cast<void*>(static_cast<const void*>(&opdata3)), OP_CONV_2D, },
  { (TfLiteIntArray*)&inputs4, (TfLiteIntArray*)&outputs4, nullptr, OP_PAD, },
  { (TfLiteIntArray*)&inputs5, (TfLiteIntArray*)&outputs5, const_cast<void*>(static_cast<const void*>(&opdata5)), OP_DEPTHWISE_CONV_2D, },
  { (TfLiteIntArray*)&inputs6, (TfLiteIntArray*)&outputs6, const_cast<void*>(static_cast<const void*>(&opdata6)), OP_CONV_2D, },
  { (TfLiteIntArray*)&inputs7, (TfLiteIntArray*)&outputs7, const_cast<void*>(static_cast<const void*>(&opdata7)), OP_CONV_2D, },
  { (TfLiteIntArray*)&inputs8, (TfLiteIntArray*)&outputs8, const_cast<void*>(static_cast<const void*>(&opdata8)), OP_DEPTHWISE_CONV_2D, },
  { (TfLiteIntArray*)&inputs9, (TfLiteIntArray*)&outputs9, const_cast<void*>(static_cast<const void*>(&opdata9)), OP_CONV_2D, },
  { (TfLiteIntArray*)&inputs10, (TfLiteIntArray*)&outputs10, const_cast<void*>(static_cast<const void*>(&opdata10)), OP_ADD, },
  { (TfLiteIntArray*)&inputs11, (TfLiteIntArray*)&outputs11, const_cast<void*>(static_cast<const void*>(&opdata11)), OP_CONV_2D, },
  { (TfLiteIntArray*)&inputs12, (TfLiteIntArray*)&outputs12, nullptr, OP_PAD, },
  { (TfLiteIntArray*)&inputs13, (TfLiteIntArray*)&outputs13, const_cast<void*>(static_cast<const void*>(&opdata13)), OP_DEPTHWISE_CONV_2D, },
  { (TfLiteIntArray*)&inputs14, (TfLiteIntArray*)&outputs14, const_cast<void*>(static_cast<const void*>(&opdata14)), OP_CONV_2D, },
  { (TfLiteIntArray*)&inputs15, (TfLiteIntArray*)&outputs15, const_cast<void*>(static_cast<const void*>(&opdata15)), OP_CONV_2D, },
  { (TfLiteIntArray*)&inputs16, (TfLiteIntArray*)&outputs16, const_cast<void*>(static_cast<const void*>(&opdata16)), OP_DEPTHWISE_CONV_2D, },
  { (TfLiteIntArray*)&inputs17, (TfLiteIntArray*)&outputs17, const_cast<void*>(static_cast<const void*>(&opdata17)), OP_CONV_2D, },
  { (TfLiteIntArray*)&inputs18, (TfLiteIntArray*)&outputs18, const_cast<void*>(static_cast<const void*>(&opdata18)), OP_ADD, },
  { (TfLiteIntArray*)&inputs19, (TfLiteIntArray*)&outputs19, const_cast<void*>(static_cast<const void*>(&opdata19)), OP_CONV_2D, },
  { (TfLiteIntArray*)&inputs20, (TfLiteIntArray*)&outputs20, const_cast<void*>(static_cast<const void*>(&opdata20)), OP_DEPTHWISE_CONV_2D, },
  { (TfLiteIntArray*)&inputs21, (TfLiteIntArray*)&outputs21, const_cast<void*>(static_cast<const void*>(&opdata21)), OP_CONV_2D, },
  { (TfLiteIntArray*)&inputs22, (TfLiteIntArray*)&outputs22, const_cast<void*>(static_cast<const void*>(&opdata22)), OP_ADD, },
  { (TfLiteIntArray*)&inputs23, (TfLiteIntArray*)&outputs23, const_cast<void*>(static_cast<const void*>(&opdata23)), OP_CONV_2D, },
  { (TfLiteIntArray*)&inputs24, (TfLiteIntArray*)&outputs24, const_cast<void*>(static_cast<const void*>(&opdata24)), OP_CONV_2D, },
  { (TfLiteIntArray*)&inputs25, (TfLiteIntArray*)&outputs25, const_cast<void*>(static_cast<const void*>(&opdata25)), OP_CONV_2D, },
  { (TfLiteIntArray*)&inputs26, (TfLiteIntArray*)&outputs26, const_cast<void*>(static_cast<const void*>(&opdata26)), OP_SOFTMAX, },
};
static std::vector<void*> overflow_buffers;
static void * AllocatePersistentBuffer(struct TfLiteContext* ctx,
                                       size_t bytes) {
  void *ptr;
  if (current_location - bytes < tensor_boundary) {
    // OK, this will look super weird, but.... we have CMSIS-NN buffers which
    // we cannot calculate beforehand easily.
    ptr = ei_calloc(bytes, 1);
    if (ptr == NULL) {
      printf("ERR: Failed to allocate persistent buffer of size %d\n", (int)bytes);
      return NULL;
    }
    overflow_buffers.push_back(ptr);
    return ptr;
  }

  current_location -= bytes;

  ptr = current_location;
  memset(ptr, 0, bytes);

  return ptr;
}
typedef struct {
  size_t bytes;
  void *ptr;
} scratch_buffer_t;
static std::vector<scratch_buffer_t> scratch_buffers;

static TfLiteStatus RequestScratchBufferInArena(struct TfLiteContext* ctx, size_t bytes,
                                                int* buffer_idx) {
  scratch_buffer_t b;
  b.bytes = bytes;

  b.ptr = AllocatePersistentBuffer(ctx, b.bytes);
  if (!b.ptr) {
    return kTfLiteError;
  }

  scratch_buffers.push_back(b);

  *buffer_idx = scratch_buffers.size() - 1;

  return kTfLiteOk;
}

static void* GetScratchBuffer(struct TfLiteContext* ctx, int buffer_idx) {
  if (buffer_idx > static_cast<int>(scratch_buffers.size()) - 1) {
    return NULL;
  }
  return scratch_buffers[buffer_idx].ptr;
}

static TfLiteTensor* GetTensor(const struct TfLiteContext* context,
                               int tensor_idx) {
  return &tflTensors[tensor_idx];
}

static TfLiteEvalTensor* GetEvalTensor(const struct TfLiteContext* context,
                                       int tensor_idx) {
  return &tflEvalTensors[tensor_idx];
}

} // namespace

TfLiteStatus trained_model_init( void*(*alloc_fnc)(size_t,size_t) ) {
#ifdef EI_CLASSIFIER_ALLOCATION_HEAP
  tensor_arena = (uint8_t*) alloc_fnc(16, kTensorArenaSize);
  if (!tensor_arena) {
    printf("ERR: failed to allocate tensor arena\n");
    return kTfLiteError;
  }
#else
  memset(tensor_arena, 0, kTensorArenaSize);
#endif
  tensor_boundary = tensor_arena;
  current_location = tensor_arena + kTensorArenaSize;
  ctx.AllocatePersistentBuffer = &AllocatePersistentBuffer;
  ctx.RequestScratchBufferInArena = &RequestScratchBufferInArena;
  ctx.GetScratchBuffer = &GetScratchBuffer;
  ctx.GetTensor = &GetTensor;
  ctx.GetEvalTensor = &GetEvalTensor;
  ctx.tensors = tflTensors;
  ctx.tensors_size = 71;
  for(size_t i = 0; i < 71; ++i) {
    tflTensors[i].type = tensorData[i].type;
    tflEvalTensors[i].type = tensorData[i].type;
    tflTensors[i].is_variable = 0;

#if defined(EI_CLASSIFIER_ALLOCATION_HEAP)
    tflTensors[i].allocation_type = tensorData[i].allocation_type;
#else
    tflTensors[i].allocation_type = (tensor_arena <= tensorData[i].data && tensorData[i].data < tensor_arena + kTensorArenaSize) ? kTfLiteArenaRw : kTfLiteMmapRo;
#endif
    tflTensors[i].bytes = tensorData[i].bytes;
    tflTensors[i].dims = tensorData[i].dims;
    tflEvalTensors[i].dims = tensorData[i].dims;

#if defined(EI_CLASSIFIER_ALLOCATION_HEAP)
    if(tflTensors[i].allocation_type == kTfLiteArenaRw){
      uint8_t* start = (uint8_t*) ((uintptr_t)tensorData[i].data + (uintptr_t) tensor_arena);

     tflTensors[i].data.data =  start;
     tflEvalTensors[i].data.data =  start;
    }
    else{
       tflTensors[i].data.data = tensorData[i].data;
       tflEvalTensors[i].data.data = tensorData[i].data;
    }
#else
    tflTensors[i].data.data = tensorData[i].data;
    tflEvalTensors[i].data.data = tensorData[i].data;
#endif // EI_CLASSIFIER_ALLOCATION_HEAP
    tflTensors[i].quantization = tensorData[i].quantization;
    if (tflTensors[i].quantization.type == kTfLiteAffineQuantization) {
      TfLiteAffineQuantization const* quant = ((TfLiteAffineQuantization const*)(tensorData[i].quantization.params));
      tflTensors[i].params.scale = quant->scale->data[0];
      tflTensors[i].params.zero_point = quant->zero_point->data[0];
    }
    if (tflTensors[i].allocation_type == kTfLiteArenaRw) {
      auto data_end_ptr = (uint8_t*)tflTensors[i].data.data + tensorData[i].bytes;
      if (data_end_ptr > tensor_boundary) {
        tensor_boundary = data_end_ptr;
      }
    }
  }
  if (tensor_boundary > current_location /* end of arena size */) {
    printf("ERR: tensor arena is too small, does not fit model - even without scratch buffers\n");
    return kTfLiteError;
  }
  registrations[OP_CONV_2D] = Register_CONV_2D();
  registrations[OP_DEPTHWISE_CONV_2D] = Register_DEPTHWISE_CONV_2D();
  registrations[OP_PAD] = Register_PAD();
  registrations[OP_ADD] = Register_ADD();
  registrations[OP_SOFTMAX] = Register_SOFTMAX();

  for(size_t i = 0; i < 27; ++i) {
    tflNodes[i].inputs = nodeData[i].inputs;
    tflNodes[i].outputs = nodeData[i].outputs;
    tflNodes[i].builtin_data = nodeData[i].builtin_data;
tflNodes[i].custom_initial_data = nullptr;
      tflNodes[i].custom_initial_data_size = 0;
if (registrations[nodeData[i].used_op_index].init) {
      tflNodes[i].user_data = registrations[nodeData[i].used_op_index].init(&ctx, (const char*)tflNodes[i].builtin_data, 0);
    }
  }
  for(size_t i = 0; i < 27; ++i) {
    if (registrations[nodeData[i].used_op_index].prepare) {
      TfLiteStatus status = registrations[nodeData[i].used_op_index].prepare(&ctx, &tflNodes[i]);
      if (status != kTfLiteOk) {
        return status;
      }
    }
  }
  return kTfLiteOk;
}

static const int inTensorIndices[] = {
  0, 
};
TfLiteTensor* trained_model_input(int index) {
  return &ctx.tensors[inTensorIndices[index]];
}

static const int outTensorIndices[] = {
  70, 
};
TfLiteTensor* trained_model_output(int index) {
  return &ctx.tensors[outTensorIndices[index]];
}

TfLiteStatus trained_model_invoke() {
  for(size_t i = 0; i < 27; ++i) {
    TfLiteStatus status = registrations[nodeData[i].used_op_index].invoke(&ctx, &tflNodes[i]);

#if EI_CLASSIFIER_PRINT_STATE
    ei_printf("layer %lu\n", i);
    ei_printf("    inputs:\n");
    for (size_t ix = 0; ix < tflNodes[i].inputs->size; ix++) {
      auto d = tensorData[tflNodes[i].inputs->data[ix]];

      size_t data_ptr = (size_t)d.data;

      if (d.allocation_type == kTfLiteArenaRw) {
        data_ptr = (size_t)tensor_arena + data_ptr;
      }

      if (d.type == TfLiteType::kTfLiteInt8) {
        int8_t* data = (int8_t*)data_ptr;
        ei_printf("        %lu (%zu bytes, ptr=%p, alloc_type=%d, type=%d): ", ix, d.bytes, data, (int)d.allocation_type, (int)d.type);
        for (size_t jx = 0; jx < d.bytes; jx++) {
          ei_printf("%d ", data[jx]);
        }
      }
      else {
        float* data = (float*)data_ptr;
        ei_printf("        %lu (%zu bytes, ptr=%p, alloc_type=%d, type=%d): ", ix, d.bytes, data, (int)d.allocation_type, (int)d.type);
        for (size_t jx = 0; jx < d.bytes / 4; jx++) {
          ei_printf("%f ", data[jx]);
        }
      }
      ei_printf("\n");
    }
    ei_printf("\n");

    ei_printf("    outputs:\n");
    for (size_t ix = 0; ix < tflNodes[i].outputs->size; ix++) {
      auto d = tensorData[tflNodes[i].outputs->data[ix]];

      size_t data_ptr = (size_t)d.data;

      if (d.allocation_type == kTfLiteArenaRw) {
        data_ptr = (size_t)tensor_arena + data_ptr;
      }

      if (d.type == TfLiteType::kTfLiteInt8) {
        int8_t* data = (int8_t*)data_ptr;
        ei_printf("        %lu (%zu bytes, ptr=%p, alloc_type=%d, type=%d): ", ix, d.bytes, data, (int)d.allocation_type, (int)d.type);
        for (size_t jx = 0; jx < d.bytes; jx++) {
          ei_printf("%d ", data[jx]);
        }
      }
      else {
        float* data = (float*)data_ptr;
        ei_printf("        %lu (%zu bytes, ptr=%p, alloc_type=%d, type=%d): ", ix, d.bytes, data, (int)d.allocation_type, (int)d.type);
        for (size_t jx = 0; jx < d.bytes / 4; jx++) {
          ei_printf("%f ", data[jx]);
        }
      }
      ei_printf("\n");
    }
    ei_printf("\n");
#endif // EI_CLASSIFIER_PRINT_STATE

    if (status != kTfLiteOk) {
      return status;
    }
  }
  return kTfLiteOk;
}

TfLiteStatus trained_model_reset( void (*free_fnc)(void* ptr) ) {
#ifdef EI_CLASSIFIER_ALLOCATION_HEAP
  free_fnc(tensor_arena);
#endif
  scratch_buffers.clear();
  for (size_t ix = 0; ix < overflow_buffers.size(); ix++) {
    free(overflow_buffers[ix]);
  }
  overflow_buffers.clear();
  return kTfLiteOk;
}
